//*******************************************************************
//
// File: Asura_Botanical_Game_Render_Constants.h
//
// Created: 30 Nov 2006
//
// Description: 
//
//*******************************************************************

#ifndef _ASURA_BOTANICAL_GAME_RENDER_CONSTANTS_H_
#define _ASURA_BOTANICAL_GAME_RENDER_CONSTANTS_H_

// other libraries

// internal dependencies

// forward declarations

//*******************************************************************
// Constants
//*******************************************************************

// DLH - 05 December 2006 11:06:00 - Turn on Section if States are required
#if !defined( ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS) || 1 != ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS
	#if (defined( ASURA_BOTANICAL_SUPPORT_STATE) && 1 == ASURA_BOTANICAL_SUPPORT_STATE)
		#define ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS	(1)
	#endif
#endif

// DLH - 30 November 2006 14:26:59 - Turn on Dynamic Data if Interactive or Section or States are requried
#if !defined( ASURA_BOTANICAL_SUPPORT_DYNAMIC_DATA) || 1 != ASURA_BOTANICAL_SUPPORT_DYNAMIC_DATA
	#if (defined( ASURA_BOTANICAL_SUPPORT_INTERACTIVE) && 1 == ASURA_BOTANICAL_SUPPORT_INTERACTIVE) || (defined( ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS) && 1 == ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS) || (defined( ASURA_BOTANICAL_SUPPORT_STATE) && 1 == ASURA_BOTANICAL_SUPPORT_STATE)
		#define ASURA_BOTANICAL_SUPPORT_DYNAMIC_DATA	(1)
	#endif
#endif

#if !defined( ASURA_BOTANICAL_STATE_DATA_TYPE)
	#define ASURA_BOTANICAL_STATE_DATA_TYPE uint8
#endif

#ifndef ASURA_BOTANICALS_MAX_ELEMENT_INSTANCES_PER_FRAME
    #define ASURA_BOTANICALS_MAX_ELEMENT_INSTANCES_PER_FRAME (3500)
#endif

//*******************************************************************
// Class Definitions
//*******************************************************************


//*******************************************************************
// Inline Function Definitions
//*******************************************************************


//*******************************************************************
//
// (c) 2006 Rebellion
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif // _ASURA_BOTANICAL_GAME_RENDER_CONSTANTS_H_
