//*******************************************************************
//
// File: Asura_Botanical_Game_Render_Instance_Lighting.h
//
// Created: 30 Nov 2006
//
// Description: 
//
//*******************************************************************

#ifndef _ASURA_BOTANICAL_GAME_RENDER_INSTANCE_LIGHTING_H_
#define _ASURA_BOTANICAL_GAME_RENDER_INSTANCE_LIGHTING_H_

// other libraries

// internal dependencies

// forward declarations

//*******************************************************************
// Constants
//*******************************************************************


//*******************************************************************
// Class Definitions
//*******************************************************************
#if defined( ASURA_TOOLS)
class Asura_BGR_InstanceLighting
{
public:
	float m_afSphericalR[4];
	float m_afSphericalG[4];
	float m_afSphericalB[4];
};
#endif

//*******************************************************************
// Inline Function Definitions
//*******************************************************************

inline void Asura_BGR_Instance::GetInstanceData( Asura_BGR_InstanceLighting& xInstanceLighting) const
{
	GetInstanceSpherical( xInstanceLighting.m_afSphericalR, xInstanceLighting.m_afSphericalG,
		xInstanceLighting.m_afSphericalB );
}

//*******************************************************************
//
// (c) 2006 Rebellion
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif // _ASURA_BOTANICAL_GAME_RENDER_INSTANCE_LIGHTING_H_
