/**
*
* \file Asura_Chunk_Botanicals_Definition.h
*
* Created by Dave Reed
*
* Copyright (C) 2006 Rebellion (Derby)
*
**/

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef _ASURA_CHUNK_BOTANICALS_DEFINITION_H__
#define _ASURA_CHUNK_BOTANICALS_DEFINITION_H__

#include "Core/Asura_Handle.h"
#include "ChunkSystem/Asura_Chunk_Loaders.h"


class Asura_Chunk_Botanicals_Definition : public Asura_Chunk_Header
{
public:
#ifdef ASURA_TOOLS
	static bool Create( const char* szFileName);
#endif
	bool Process(Asura_Handle iFileHandle) const;
};

#endif //_ASURA_CHUNK_BOTANICALS_INSTANCES_H__
