//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_CurrentStreamingZone.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef ___ASURA_CHUNK_CURRENTSTREAMINGZONE_H___
#define ___ASURA_CHUNK_CURRENTSTREAMINGZONE_H___ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#ifdef ASURA_USE_STREAMING
//////////////////////////////////////////////////////////////////////////////
//
// includes
//
//////////////////////////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_Loaders.h"

//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_CurrentStreamingZone
//
//////////////////////////////////////////////////////////////////////////////

class Asura_SaveBlock_Base;

// Chunk for checkpoint saves, allowing us to load the appropriate zones for where the player will reappear after the checkpoint load
class Asura_Chunk_CurrentStreamingZone : public Asura_Chunk_Header
{
public :
	bool Process( Asura_Chunk_Stream& xStream ) const;

public:
	static bool Create(Asura_SaveBlock_Base& xSaveBlock);

protected:
	void Project_ProcessFilename(const class Asura_String& xLevelFilename) const;
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //#ifdef ASURA_USE_STREAMING

#endif // #ifndef ___ASURA_CHUNK_CURRENTSTREAMINGZONE_H___
