
//
// Asura_Chunk_DynamicLightTemplate.h
//
// Created by Dave Reed - 25/04/2007
// 
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_CHUNK_DYNAMICLIGHTTEMPLATE_H__
#define __ASURA_CHUNK_DYNAMICLIGHTTEMPLATE_H__
#ifdef ASURA_TOOLS

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Asura_Chunk_Loaders.h"
#include "Entity/DynamicLight/Asura_ServerEntity_DynamicLight.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_SaveBlock;

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_DynamicLightTemplate : public Asura_Chunk_Header
{
	friend class Tools_Entity_DynamicLight;

public:
	bool Process(Asura_Handle fileHandle);

#if  defined(ASURA_TOOLS)
	static bool Create( const Asura_DynamicLight_Parameters &xParams, const char *szFileName);
#endif

	static Asura_DynamicLight_Parameters s_xParams;
};

#endif// ASURA_TOOLS
#endif//__ASURA_CHUNK_DYNAMICLIGHTTEMPLATE_H__
