/////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_LBAABBTree.h
//
// Created by Andrew Weinkove - 11/08/05
//
// Chunk loaders for environment LBAABB. Based heavily on the AABB tree equivalent
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
/////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_CHUNK_LBAABBTREE_H__
#define __ASURA_CHUNK_LBAABBTREE_H__

#include "ChunkSystem/Asura_Chunk_Loaders.h"
#include "Core/Asura_Handle.h"

class Asura_SaveBlock;
class Asura_Chunk_Stream;

class Asura_Chunk_EnvironmentLBAABBTrees : public Asura_Chunk_Header
{
public:

	bool Process( Asura_Chunk_Stream& xStream ) const;
	bool Process( Asura_Handle hFile ) const;
#ifdef ASURA_TOOLS
	static bool Create( Asura_Chunk_Stream& xChunkStream );
#endif
};

#endif//__ASURA_CHUNK_LBAABBTREE_H__
