//
// Asura_Chunk_FSFX.h
//
// Created by JGP 09/02/06
// 
// Copyright (C) 2006 Rebellion (Derby), All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifdef ASURA_USE_FSFX

#ifndef __ASURA_CHUNK_FSFX_H__
#define __ASURA_CHUNK_FSFX_H__

// Asura headers
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// Forward defines
class Asura_Chunk_Stream;
class Asura_FSFX_Template;


class Asura_Chunk_FSFX : public Asura_Chunk_Header
{

	public:
		bool Process( Asura_Handle xFileHandle ) const;
#ifdef ASURA_TOOLS
		static void Create( const Asura_FSFX_Template* const pxTemplate, Asura_Chunk_Stream& xStream );
#endif

	enum
	{
		CHUNK_VERSION = 3,
	};

};


#endif//__ASURA_CHUNK_FSFX_H__


#endif // ASURA_USE_FSFX
