//
// Asura_Chunk_IK_Template.h
//
// Created by Richard Rice - 16/05/2008
// 
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#ifndef __ASURA_CHUNK_IK_TEMPLATE__
#define __ASURA_CHUNK_IK_TEMPLATE__
#ifdef ASURA_USE_ANIMATION_IK_SOLVER

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_IK_Template : public Asura_Chunk_Header
{
public :
	bool Process(class Asura_Chunk_Stream& xStream) const;
	bool Process(Asura_Handle iFileHandle) const;
#ifdef ASURA_TOOLS
	static void Create(const class Asura_Animation_IK_Template* pxTemplate,class Asura_Chunk_Stream& xStream);
	static void Create(const class Asura_Animation_IK_Template* pxTemplate,class Asura_SaveBlock* pxSaveBlock);
#endif


};

#endif //ASURA_USE_ANIMATION_IK_SOLVER
#endif //__ASURA_CHUNK_IK_TEMPLATE__