/**
*
* \file Asura_Chunk_MPComms_BannedList.h
*
* Created by Richard May - 03/11/2003 14:16:20
*
* Copyright (C) 2002 Rebellion, All Rights Reserved.
*
* \brief
*
**/


#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_CHUNK_MPCOMMS_BANNEDLIST_H__
#define __ASURA_CHUNK_MPCOMMS_BANNEDLIST_H__

/************/
/* Includes.*/
/************/

// asura
#include "Core/Asura_Handle.h"
#include "ChunkSystem/Asura_Chunk_Loaders.h"

/************/
/* Classes. */
/************/


/*************************************************************
*
* Class Name    : Asura_Chunk_MPComms_BannedList
*
* Author        : Richard May
*
* Description   : List of banned words for the mpcomms system
*
*************************************************************/
class Asura_Chunk_MPComms_BannedList : public Asura_Chunk_Header
{
	
public:
	/* Public interface functions. */
	bool Process( Asura_Handle iFileHandle ) const;	
	static void Create ( class Asura_SaveBlock* pxSaveBlock, class Asura_String* axStringList, u_int uEntries );

protected:
	/* data */
	u_int m_uEntries;
};
/* end of class Asura_Chunk_MPComms_BannedList */


/****************/
/* End of file. */
/****************/
#endif//__ASURA_CHUNK_MPCOMMS_BANNEDLIST_H__
