//
// Asura_Chunk_ModuleReverb.h
//
// Created by Richard Rice - 17/03/03
// 
// Copyright (C) 2003 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_MODULEREVERB_H__
#define __ASURA_CHUNK_MODULEREVERB_H__

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_ModuleReverb : public Asura_Chunk_Header
{
public :
	bool Process(Asura_Handle iFileHandle) const;
	#ifdef ASURA_TOOLS
	static void Create(Asura_SaveBlock* pxSaveBlock);
	#endif

	int m_iNumberOfModules;
	int m_iDefaultReverb;
};


#endif //__ASURA_CHUNK_MODULEREVERB_H__
