//
// Asura_Chunk_RenderSettings.h
//
// Created by Richard Rice - 01/07/04
// 
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_RENDERSETTINGS_H__
#define __ASURA_CHUNK_RENDERSETTINGS_H__

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_Stream;

/*
For saving level specific render settings.
At the moment just for the reflectance texture map.
RAR 01/07/04
*/

class Asura_Chunk_RenderSettings : public Asura_Chunk_Header
{
public :
	bool Process(Asura_Chunk_Stream& xStream) const;
	bool Process(Asura_Handle iFileHandle) const;		// TO BE REMOVED
#ifdef ASURA_TOOLS
	static void Create(Asura_Chunk_Stream& xStream);
	static void Create(Asura_SaveBlock* pxSaveBlock);	// TO BE REMOVED
#endif
};


#endif //__ASURA_CHUNK_RENDERSETTINGS_H__
