/////////////////////////////////////////////////////////////////////////////////////////
//
//	FILE:			Asura_Chunk_ShapeData.h
//
//	AUTHOR:			Andrew Weinkove - 07/04/03
//
// Copyright (C) 2003 Rebellion, All Rights Reserved.
//
/////////////////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef _ASURA_CHUNK_SHAPEDATA_H_
#define _ASURA_CHUNK_SHAPEDATA_H_

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura_Maths.h"
#include "Core/Asura_Hash.h"
#include "ChunkSystem/Asura_Chunk_Loaders.h"

/*-----------------------**
** Asura_Chunk_ShapeData **
**-----------------------*/

class Asura_Chunk_ShapeData : public Asura_Chunk_Header
{
public:

	bool Process( Asura_Handle iFileHandle ) const;
#ifdef ASURA_TOOLS
	static void Create( unsigned uFlags, Asura_Bounding_Box *pxBB, Asura_Hash_ID uHashID, Asura_SaveBlock& xSaveBlock );
	static void Create( unsigned uFlags, Asura_Bounding_Box *pxBB, Asura_Hash_ID uHashID, Asura_Chunk_Stream& xStream );
#endif
};


#endif // _ASURA_CHUNK_SHAPEDATA_H_
