//
// Asura_Chunk_StreamingConnections.h
//
// Created by Richard Rice - 06/03/2006
// 
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_STREAMINGCONNECTIONS_H__
#define __ASURA_CHUNK_STREAMINGCONNECTIONS_H__

#ifdef ASURA_USE_STREAMING
#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_StreamingConnections : public  Asura_Chunk_Header
{
public :
	bool Process(class Asura_Chunk_Stream& xStream) const;
	bool Process(Asura_Handle iFileHandle) const;
#ifdef ASURA_TOOLS
	static void Create(const class Asura_Streaming_Zone* pxZone,class Asura_Chunk_Stream& xStream);
	static void Create(const class Asura_Streaming_Zone* pxZone,class Asura_SaveBlock* pxSaveBlock);
#endif
};


#endif //ASURA_USE_STREAMING

#endif //__ASURA_CHUNK_STREAMINGCONNECTIONS_H__
