//
// Asura_Chunk_StreamingModuleNames.h
//
// Created by Richard Rice - 11/04/2006
// 
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_STREAMINGMODULENAMES_H__
#define __ASURA_CHUNK_STREAMINGMODULENAMES_H__
#if defined(ASURA_USE_STREAMING) && defined(ASURA_TOOLS)

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_StreamingModuleNames : public Asura_Chunk_Header
{
public :
	bool Process(class Asura_Chunk_Stream& xStream) const;
	bool Process(Asura_Handle iFileHandle) const;

	static void Create(class Asura_Chunk_Stream& xStream);
	static void Create(class Asura_SaveBlock* pxSaveBlock);
};


#endif //defined(ASURA_USE_STREAMING) && defined(ASURA_TOOLS)
#endif //__ASURA_CHUNK_STREAMINGMODULENAMES_H__
