//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_StreamingSounds.h
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __ASURA_CHUNK_STREAMINGSOUNDS_H__
#define __ASURA_CHUNK_STREAMINGSOUNDS_H__

#if defined ASURA_USE_AUDIO_SYSTEM

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "ChunkSystem/Asura_Chunk_Loaders.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_Chunk_Stream;

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_StreamingSounds
//
// Package of sounds to stream from disc
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_StreamingSounds : public Asura_Chunk_Header
{
public:

	bool Process( const Asura_Handle iFileHandle );
	bool Process( Asura_Chunk_Stream& xStream );

	static const int iCURRENT_VERSION;
};

#endif // defined ASURA_USE_AUDIO_SYSTEM

#endif // !defined __ASURA_CHUNK_STREAMINGSOUNDS_H__
