//
// Asura_Chunk_Visibility.h
//
// Created by KJFL - 13 March 2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_CHUNK_TEXTURE_STREAMING_H__
#define __ASURA_CHUNK_TEXTURE_STREAMING_H__

#if defined(ASURA_USE_TEXTURE_STREAMING)

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_Texture_Streaming : public Asura_Chunk_Header
{
	public:

		bool Process( Asura_Handle iFileHandle ) const;

		#if defined( ASURA_TOOLS )
		static bool Create( class Asura_Chunk_Stream& xStream );
		#endif

	private:

		enum { CHUNK_VERSION = 1 };

		// VERSION 0: KJFL - 14 March 2008 - First pass
		// VERSION 1: AS - 24 July 2008 - Added chunk flags
};

#endif // defined(ASURA_USE_TEXTURE_STREAMING)

#endif//__ASURA_CHUNK_TEXTURE_STREAMING_H__

