//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_WeatherSystem.h
//
// Copyright (c) 2002-2005 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_WEATHERSYSTEM_H___
#define ___ASURA_CHUNK_WEATHERSYSTEM_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Asura_Chunk_Loaders.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_SaveBlock_Base;

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_WeatherSystem : public Asura_Chunk_Header
{

public:

    bool Process( Asura_Handle iFileHandle ) const;

#ifdef ASURA_TOOLS
	static void Create( Asura_SaveBlock_Base* pxSaveBlock);
#endif

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_WEATHERSYSTEM_H___
