//*******************************************************************
//
// File: Asura_CallStack.h                   
//
// Created: 30 Mar 2006
//
// Description: 
//
//*******************************************************************

#ifndef _ASURA_CALLSTACK_H_
#define _ASURA_CALLSTACK_H_

// other libraries

// internal dependencies

// forward declarations

//*******************************************************************
// Constants
//*******************************************************************


//*******************************************************************
// Class Definitions
//*******************************************************************
class Asura_CallStack
{

public:

	static void* Platform_CreateStackDump( u_int uLevelsToSkip );
    static void Platform_GetHumanReadableStackDump( const void* pvRawStackDump, char* szOutputBfr, u_int uOutputBfrSize );
    static void Platform_DeallocStackDump( void* pvStackDump );

	#if defined( ASURA_TOOLS)
	    static void Platform_GetXMLStackDump( const void* pvRawStackDump, char* szOutputBfr, u_int uOutputBfrSize );
	#endif
};

//*******************************************************************
// Inline Function Definitions
//*******************************************************************


//*******************************************************************
//
// (c) 2006 Rebellion (Derby)
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif // _ASURA_CALLSTACK_H_
