//////////////////////////////////////////////////////////////////////////////
//
// Asura_Entity_Fragment.h
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
// Description:
//
//     Derived class of Ephemeron to create shape fragments.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_ENTITY_FRAGMENT_H___
#define ___ASURA_ENTITY_FRAGMENT_H___ 1

#include "Entity/Ephemera/Asura_Entity_Ephemeron.h"

class Asura_Entity_Fragment : public Asura_Entity_Ephemeron
{

public:
    
    static Asura_Entity_Fragment* Project_Create(Asura_Hash_ID uShapeHashID,
                                                 const Asura_Vector_3& xPos, 
                                                 const Asura_Matrix_3x3& xOrient, 
                                                 const Asura_Vector_3& xInitialVelocity);

protected:

    Asura_Entity_Fragment(Asura_Hash_ID uShapeHashID,
                          const Asura_Vector_3& xPos, 
                          const Asura_Matrix_3x3& xOrient, 
                          const Asura_Vector_3& xInitialVelocity);

};


// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_ENTITY_FRAGMENT_H___
