//////////////////////////////////////////////////////////////////////////////
//
// Asura_ClientEntity_Lift.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
// Description:
//
//     Lift Entity - External control physics object moving along a spline
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CLIENTENTITY_LIFT_H___
#define ___ASURA_CLIENTENTITY_LIFT_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine independent.
#include "Entity/PhysicalObject/Asura_ClientEntity_PhysicalObject.h"

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_ClientEntity_Lift : public virtual Asura_ClientEntity_PhysicalObject
{
public:
	virtual void Update( void );
	virtual void Render();

	virtual bool HandleMessage(const Asura_Message* pxMessage);
protected:

	Asura_ClientEntity_Lift( void );
	~Asura_ClientEntity_Lift();

private:

    typedef Asura_ClientEntity_PhysicalObject PARENT;
	Asura_Handle m_iTravellingSoundHandle;

};
// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CLIENTENTITY_LIFT_H___
