// Asura_XAPO_DSP_Chorus.h
// Thomas Young - 28.04.09
// Copyright (C) 2009 Rebellion, All Rights Reserved.

// F I L E   W R A P P E R ///////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef ___ASURA_XAPO_DSP_CHORUS_H__
#define ___ASURA_XAPO_DSP_CHORUS_H__ 1

#if defined ASURA_USE_AUDIO_SYSTEM

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Sound/XAPO_DSP/Asura_XAPO_DSP.h"
#include "Sound/Asura_Audio_DSP.h"

// C L A S S   D E C L A R A T I O N S ///////////////////////////////////////

class __declspec( uuid( "{172C3AD8-6546-49f1-8BC8-94233F056980}" ) ) Asura_XAPO_DSP_Chorus : public Asura_XAPOBase< Asura_XAPO_DSP_Chorus, Asura_DSP_Params_Chorus::Params >
{
public:

	Asura_XAPO_DSP_Chorus	( );
	~Asura_XAPO_DSP_Chorus	( );

private:

	void DoProcess ( float* pfInputBuffer, u_int uFrames, u_int uChannels, const Asura_DSP_Params_Chorus::Params& xParams );

	float* m_pfSignal;
	u_int m_uExpectedChans;
	u_int m_uExpectedFrames;

	float m_fCounter;
	bool m_bReverseCounter;
	float m_fXaudioSampleRate;
};

#endif // ASURA_USE_AUDIO_SYSTEM

#endif // __ASURA_XAPO_DSP_CHORUS_H__

//eof
