//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_RenderObject_Hierarchy.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Engine independent.
#include "Animation/Asura_Hierarchy.h"
#include "Core/Asura_Material_System.h"
#include "Core/Asura_TextureManagement.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

//
// Asura_Hierarchy_Skin.
//

int  Asura_Hierarchy_Skin::Platform_GetTextureIndex( void ) const { return ASURA_TEXTURE_NONE; }
bool Asura_Hierarchy_Skin::Platform_IsOpaque( void ) const { return true; }
//
// Asura_Hierarchy_System.
//

void Asura_Hierarchy_System::Platform_RenderHierarchy(	const Asura_Animation* pxAnim,
														u_int uCamVisFlags, u_int uRenderFlags,
														const Asura_Vector_3& xBSCentre, float fBSRadius, 
														const int iTexIDOverride /*=ASURA_TEXTURE_NONE*/ )			{}

void Asura_Hierarchy_System::Platform_RenderSkin(	const Asura_Animation* pxAnim, 
													float fAlpha, int iTexIDOverride,
													u_int uCamVisFlags, u_int uRenderFlags,
													const Asura_Vector_3& xBSCentre, float fBSRadius )				 {}

void Asura_Hierarchy_System::Platform_Initialise( void ) {};
void Asura_Hierarchy_System::Platform_Reset( void ) {};
void Asura_Hierarchy_System::Platform_Shutdown( void ) {};

void Asura_Hierarchy_System::Platform_RenderHierarchyShadow( const Asura_Animation& xAnim, const Asura_Shadow& xShadow, const u_int uCamVisFlags, const u_int uRenderFlags ) {}
void Asura_Hierarchy_System::Platform_RenderSkinShadow( const Asura_Animation& xAnim, const Asura_Shadow& xShadow, const u_int uCamVisFlags, const u_int uRenderFlags ) {}