//////////////////////////////////////////////////////////////////////////////
//
// Asura_PlatformSound.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Engine independent.
#include "Sound/Asura_Sound.h"
#include "Sound/Asura_PlatformStreamSound.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

//
// Asura_Sound_System.
//
bool  Asura_Sound_System::Platform_CreateStreamingSound( int, const char* ) { return false; }
void  Asura_Sound_System::Platform_EnsureAllStreamingSoundsAreStopped( void ) { }
int   Asura_Sound_System::Platform_GetMaxActiveReplaceableSounds( void ) { return 0; }
int   Asura_Sound_System::Platform_GetMaxStreamingSounds( void ) { return 0; }
int   Asura_Sound_System::Platform_GetReplaceableSoundSize( int ) { return 0; }
void  Asura_Sound_System::Platform_PauseStreamingSound( int ) { }
void  Asura_Sound_System::Platform_PlayStreamingSound( int, bool, bool ) { }
void  Asura_Sound_System::Platform_ReleaseStreamingSound( int ) { }
void  Asura_Sound_System::Platform_ResumeStreamingSound( int ) { }
void  Asura_Sound_System::Platform_SetReverb( ReverbType, float ) { }
void  Asura_Sound_System::Platform_SetStreamingSoundOutput( int, SoundOutputType ) { }
void  Asura_Sound_System::Platform_SetStreamingSoundVolume( int, float ) { }
void  Asura_Sound_System::Platform_StartPreloadedStreamingSound( int ) { }
void  Asura_Sound_System::Platform_StopStreamingSound( int ) { }
bool  Asura_Sound_System::Platform_StreamingSoundIsReady( int ) { return false; }
bool  Asura_Sound_System::PlatformCreateSound( int, Asura_Handle, bool, bool) { return false; }
bool  Asura_Sound_System::PlatformDestroySound( int ) { return false; }
int   Asura_Sound_System::PlatformInitialise( void ) { return 0; }
bool  Asura_Sound_System::PlatformLoadReplaceableSound( int ) { return false; }
bool  Asura_Sound_System::PlatformLoadSoundFromResource( int, int, int ) { return false; }
bool  Asura_Sound_System::PlatformPauseSound( int ) { return false; }
bool  Asura_Sound_System::PlatformPlaySound( int, bool ) { return false; }
bool  Asura_Sound_System::PlatformReplaceSound( int, int ) { return false; }
void  Asura_Sound_System::PlatformReset( void ) { }
void  Asura_Sound_System::PlatformSetResetPoint( void ) { }
bool  Asura_Sound_System::PlatformSetSoundPitch( int, float ) { return false; }
bool  Asura_Sound_System::PlatformSetSoundVolumePanAndFade( int, float, float, float ) { return false; }
void  Asura_Sound_System::PlatformShutdown( void ) { }
bool  Asura_Sound_System::PlatformSoundIsPlaying( int ) { return false; }
bool  Asura_Sound_System::PlatformUnloadSound( int ) { return false; }
bool  Asura_Sound_System::PlatformUnpauseSound( int ) { return false; }
void  Asura_Sound_System::PlatformUpdate( void ) { }


bool Asura_Sound_System::Platform_StreamingSoundIsFinished(int) { return true; }
float Asura_Sound_System::Platform_GetStreamingSoundPosition(int) { return 0.0f; }
float Asura_Sound_System::Platform_GetStreamingSoundLength(int) { return 0.0f; }

int Asura_Sound_System::Platform_GetMaxSoundsWithEQ( void ) { return 0; }
void Asura_Sound_System::Platform_SetEQType( Asura_Handle iHandle, Asura_Sound_System::EQType eType, float fLevel ) { }

bool Asura_Sound_System::Platform_SetSoundDistanceFilterGain( Asura_Handle iPlayingSoundHandle, float fNormalisedGain ) { return true; }
bool Asura_Sound_System::Platform_SetOcclusionLPF( const Asura_Handle iPlayingSoundHandle, const float fOcclusion ) { return true; }
bool Asura_Sound_System::Platform_SetSoundWetDryVolume( Asura_Handle iPlayingSoundHandle, float fWetVolume, float fDryVolume ) { return true; }
bool Asura_Sound_System::Platform_SetSoundUsesDistanceFilter( Asura_Handle iSoundHandle, bool bUseReverb ) { return true; }
bool Asura_Sound_System::Platform_SetSoundUsesReverb( Asura_Handle iSoundHandle, bool bUseReverb ) { return true; }
bool Asura_Sound_System::Platform_HardwarePanSetSoundSpatial( Asura_Handle iSoundHandle, bool bIsSpacial )  { return true; }
bool Asura_Sound_System::Platform_HardwarePanSetSoundRadii( Asura_Handle iSoundHandle, float fInner, float fOute )  { return true; }
bool Asura_Sound_System::Platform_HardwarePanSetSoundPosition( Asura_Handle iSoundHandle, const Asura_Vector_3& xPosition )  { return true; }
bool Asura_Sound_System::Platform_HardwarePanSetSoundForcedPanAndFade( Asura_Handle iSoundHandle, float fPan, float fFade )  { return true; }
bool Asura_Sound_System::PlatformSoundIsPreparing( Asura_Handle iSoundHandle ) { return true; }
bool Asura_Sound_System::Platform_HardwarePanSetSoundVolume( Asura_Handle iSoundHandle, float fVolume ) { return true; }
