
//------------------------------------
#include "Shared.fxh"

//------------------------------------
float4	g_xXRayColour	= { 0.8f, 1.0f, 1.0f, 0.1f };

//------------------------------------
struct vertexInput
 {
    float4 Position	: POSITION0;

};

struct vertexOutput
{
    float4 Position : POSITION0;
};

//------------------------------------
vertexOutput VS_TransformDiffuse(vertexInput IN) 
{
    vertexOutput OUT;

    // Calculate the vertex position...
    OUT.Position	= mul(IN.Position, g_xViewProjectionMatrix);

   	
   	// Return the data...
    return OUT;
}

float4 PS_Diffuse( vertexOutput IN ) : COLOR
{
	return g_xXRayColour;
};

//-----------------------------------
technique OcclusionPass
{
    pass p0 
    {		
		VertexShader = compile vs_3_0 VS_TransformDiffuse();
			
		PixelShader = compile ps_3_0 PS_Diffuse();
    }
}