//*******************************************************************
//
// File: Asura_Platform_Carpet_MeshManager.cpp
//
// Created: 13 Jan 2006
//
// Description: 
//
//*******************************************************************

// headers
#include "Core/Asura.h"

#if defined( ASURA_USE_CARPET)

#include "Carpet/Asura_Carpet_MeshManager.h"
#include "Carpet/Asura_PS2_Carpet_Mesh_Store.h"

//*******************************************************************
// Constants
//*******************************************************************

//*******************************************************************
// Local Classes
//*******************************************************************


//*******************************************************************
// Function Definitions
//*******************************************************************

void Asura_Carpet_MeshManager::Platform_Initialise()
{
	Asura_PS2_Carpet_Mesh_Store::Initialize();
}

void Asura_Carpet_MeshManager::Platform_Shutdown()
{
	Asura_PS2_Carpet_Mesh_Store::Shutdown();
}

void Asura_Carpet_MeshManager::Platform_Reset()
{
	Asura_PS2_Carpet_Mesh_Store::Reset();
}

void Asura_Carpet_MeshManager::Platform_Render( const float fFade )
{
	Asura_PS2_Carpet_Mesh_Store::Render( fFade );
}

#endif //defined( ASURA_USE_CARPET)


//*******************************************************************
//
// (c) 2006 Rebellion (Derby)
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

