//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PS2_StrippedObject.h
//
// Created by Richard M. Smith - 17 July 2002
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDOBJECT_H___
#define ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDOBJECT_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine independent.
#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

// C O N S T A N T S /////////////////////////////////////////////////////////

// Version history:
//     (MP - 16.12.2003) -  8 - New render data for GSM renderer.
//     (MP - 11.04.2005) -  9 - Changed render data to just use a single DMA
//                              chain, to reduce CPU overhead when rendering.
static const int iASURA_PS2_STRIPPEDOBJECT_CUR_VERSION_NUMBER = 9;

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_PS2_StrippedObject : public Asura_Chunk_ResourceFile
{

public:

    bool Process( Asura_Handle hFile );

};

struct Asura_PS2_Shape_ShapeHdr
{
    u_short usTotalTris;
    u_short usNumStrips;
    float   fLODThreshold;
};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDOBJECT_H___
