//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS2_Breakpoint.h
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
// Description:
//
//	Code to allow the setting of data breakpoints at runtime
//	Code taken from EE Core User's Manual V6 9.3.3
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PS2_BREAKPOINT_H__INCLUDED___
#define ___ASURA_PS2_BREAKPOINT_H__INCLUDED___

#ifndef ASURA_PS2_SONY_SUBMISSION

class Asura_PS2_Breakpoint
{
public:
	static void SetDataBreakpoint( u_int uAddress, u_int uAddressMask, const bool bOnRead = false, const bool bOnWrite = true );
	static void ClearDataBreakpoint();
	static void SetInstructionBreakpoint( u_int uAddress, u_int uAddressMask = 0xffffffff );
};

#endif

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // ___ASURA_PS2_BREAKPOINT_H__INCLUDED___
