//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Rumble.h
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
// Created by (NRM - 28.03.2003) 
//
//
// Description:
//
//     PS2 rumble / dualshock implementation
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PLATFORM_RUMBLE_H___
#define ___ASURA_PLATFORM_RUMBLE_H___ 1

const int PLATFORM_NUM_CONTROLLERS = 8;

enum ASURA_PLATFORM_RUMBLE_MOTORS
{
	ASURA_PS2_SLOW_MOTOR,           // continuous motor on left side
	ASURA_PS2_FAST_MOTOR,           // high frequency, binary motor on right side

	PLATFORM_NUM_RUMBLE_MOTORS
};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PLATFORM_RUMBLE_H___
