//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_SortedRender.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Engine independent.
#include "Rendering/Asura_SortedRender.h"

// C O N S T A N T S /////////////////////////////////////////////////////////

// Group item types that use the same renderer.
static const u_short g_ausBiases[ASURA_SORTEDRENDERITEM_NUM_TYPES] =
{
    0, // ASURA_SORTEDRENDERITEM_TYPE_SHAPE
    2, // ASURA_SORTEDRENDERITEM_TYPE_ANIMATION_SMOOTH_SKIN
    1, // ASURA_SORTEDRENDERITEM_TYPE_ANIMATION_HIERARCHICAL
    3, // ASURA_SORTEDRENDERITEM_TYPE_GLASS
    4, // ASURA_SORTEDRENDERITEM_TYPE_TOOLSMESH
};

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

//
// Asura_SortedRenderItem.
//

void Asura_SortedRender::Platform_BeginRender(void)
{
}

void Asura_SortedRender::Platform_EndRender(void)
{
}

u_int Asura_SortedRenderItem::Platform_GetSortBias( void ) const
{
    return g_ausBiases[m_eType];
}
