;/////////////////////////////////////////////////////////////////////////////
;//
;// VU1_Sphere.vcl
;//
;// Created by Mike Healey.
;//
;// Changes:
;//
;//     (MH - 10.09.2002) Initial version.
;//
;// Description:
;//
;//     Basic tristrip renderer (ie. frustrum culling only.)
;//
;// Memory layout:
;//
;//     See Asura_PS2_SphereDefines.h.
;//
;/////////////////////////////////////////////////////////////////////////////


;/////////////////////////////////////////////////////////////////////////////
;//
;// VCL setup.
;//
;/////////////////////////////////////////////////////////////////////////////

.init_vf_all
.init_vi_all

.syntax new

;/////////////////////////////////////////////////////////////////////////////
;//
;// Includes.
;//
;/////////////////////////////////////////////////////////////////////////////

#include "Asura_PS2_SphereDefines.h"
#include "vcl_sml.i"


--enter
--endenter

VU1_SPHERE_SETUP:

	LQ		fAmbientRGBA,	0(VI00)

--cont

	B VU1_SPHERE_SETUP

.end
