//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS2_Fog.h
//
// Created by Morgan Parry.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PS2_FOG_H___
#define ___ASURA_PS2_FOG_H___ 1

// C L A S S E S /////////////////////////////////////////////////////////////

#ifdef ASURA_PS2_PALETTISED_FOG

class Asura_PS2_FogSystem
{

    public:

        // C L A S S   M E T H O D S /////////////////////////////////////////

        static void Initialise( void );
        static void Reset( void );
        static void Shutdown( void );

        static void Update( void );
        static void Render( void );

        static const u_int* GetFogPalette( void );

};

#endif // #ifdef ASURA_PS2_PALETTISED_FOG

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PS2_FOG_H___
