//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_BotanicalsLOD.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_PS3_BOTANICALS_LOD_H__
#define __ASURA_PS3_BOTANICALS_LOD_H__

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_PS3_Botanicals_LODData
{
public:
	Asura_PS3_Botanicals_LODData();
	~Asura_PS3_Botanicals_LODData();

	void Render( u_int uRenderStartInstance, u_int uNumVisibleInstances ) const;
	void Initialise( Asura_PS3_Botanicals_Mesh_Type eType );

	Asura_PS3_Botanicals_Mesh_Type				m_eType;
	float										m_fMinDistance;
	float										m_fMinFullAlphaDistance;
	float										m_fMaxFullAlphaDistance;
	float										m_fMaxDistance;

	u_int										m_uNumVisibleInstances; // Calculated at runtime

	union
	{
		Asura_PS3_Botanicals_LOD_Geometry*		m_pxGeometryLODs;
		Asura_PS3_Botanicals_LOD_Billboards*	m_pxBillboardLODs;
		Asura_PS3_Botanicals_LOD_Imposter*		m_pxImposterLODs;
	};
};

#endif // !defined __ASURA_PS3_BOTANICALS_LOD_H__
