//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_BotanicalsLODGeometry.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_PS3_BOTANICALS_LOD_GEOMETRY_H__
#define __ASURA_PS3_BOTANICALS_LOD_GEOMETRY_H__

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_PS3_Botanicals_LOD_Geometry
{
public:
	Asura_PS3_Botanicals_LOD_Geometry();
	virtual ~Asura_PS3_Botanicals_LOD_Geometry();

	void Render( u_int uRenderStartInstance, u_int uNumVisibleInstances );

	int							m_uMaterialResponseHashID;
	u_int						m_uNumIndices;
	u_int						m_uNumTriangles;
	u_int						m_uNumVertices;
	u_int						m_uFPHashID;

	Asura_PS3_GCM_VertexBuffer	m_xVB;
	Asura_PS3_GCM_IndexBuffer	m_xIB;
};

#endif // !defined __ASURA_PS3_BOTANICALS_LOD_GEOMETRY_H__
