//
// Asura_Chunk_ResourceFile_PS3_Shaders.h
//
// Created by Catalin Arsenescu - 25 Feb 2008
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_CHUNK_RESOURCEFILE_PS3_SHADERS_H__
#define __ASURA_CHUNK_RESOURCEFILE_PS3_SHADERS_H__

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"
#include "Core/Asura_Handle.h"

class Asura_Chunk_Stream;

class Asura_Chunk_ResourceFile_PS3_Shaders : public Asura_Chunk_ResourceFile
{
public:

	// M E T H O D S /////////////////////////////////////////////////////

	void Process(const char* szFilename, Asura_Chunk_Stream& xStream);
protected:
	void LoadShaderTree		( Asura_Hash_ID uTreeHash, Asura_Chunk_Stream& xStream, bool bCanHaveWaterStrip );
	void LoadOtherShaders	( Asura_Chunk_Stream& xStream );
};



#endif//__ASURA_CHUNK_RESOURCEFILE_PS3_SHADERS_H__
