
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Chunk_Loaders.cpp
// Author : Andy Tate
// Date   : 26-Aug-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// Asura header-files...

// Game header-files...


////////////////////////////////////////////////////////////////////////////////
// Constant declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Static variable declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Private functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Protected functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Public functions...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_ChunkLoading_System::Platform_GetTempChunkMemory
// Author       : Andy Tate
// Date         : 26-Aug-2005
//
// Description  : 
//
// Parameters   : The number of bytes to allocate.
//
// Return value : A pointer to the memory allocated.
////////////////////////////////////////////////////////////////////////////////

char* Asura_ChunkLoading_System::Platform_GetTempChunkMemory (u_int uBytesReqd)
{
	// Allocate memory...
    return	(new char [uBytesReqd]);
}

/// End of function 'Asura_ChunkLoading_System::Platform_GetTempChunkMemory'. ///



////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_ChunkLoading_System::Platform_ReturnTempChunkMemory
// Author       : Andy Tate
// Date         : 26-Aug-2005
//
// Description  : 
//
// Parameters   : A pointer to the memory to be deleted.
//
// Return value : None.
////////////////////////////////////////////////////////////////////////////////

void Asura_ChunkLoading_System::Platform_ReturnTempChunkMemory (char* pcTempMem)
{
	// Delete the memory...
    delete []	(pcTempMem);
}

/// End of function 'Asura_ChunkLoading_System::Platform_ReturnTempChunkMemory'. ///


/// End of file. ///
