//
// Asura_Platform_MainLoop.cpp
//
// Created by RWM - 31/03/2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header
#include "Core/Asura_MainLoop.h"

#include "Core/Asura_FunctionSequencer.h"
#include "Entity/Asura_Entity_System.h"
#include "SpecialFX/Asura_Skybox.h"
#include "SpecialFX/Asura_SpecialFX.h"

void Asura_MainLoop::Platform_ModifyDefaultRenderSequence()
{
#ifdef ASURA_USE_STREAMING
	s_xRenderSequence.MoveAfter( Asura_Skybox::Render, Asura_Streaming_System::RenderEntities );
#else //#ifdef ASURA_USE_STREAMING
	s_xRenderSequence.MoveAfter( Asura_Skybox::Render, Asura_Entity_System::Render );
#endif //#else //#ifdef ASURA_USE_STREAMING

	s_xRenderSequence.MoveAfter( Asura_SpecialFX_System::RenderSkyboxEffects, Asura_Skybox::Render );
}
