//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_MeritHelper.h
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
// Description:
//
//     helper classes for reading/writing merit from/to TUS
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ASURA_PS3_MERITHELPER_H___
#define ASURA_PS3_MERITHELPER_H___ 1

#ifdef ASURA_USE_MERIT_SYSTEM

class Asura_PS3_MeritWriter
{
public:

	Asura_PS3_MeritWriter();
	~Asura_PS3_MeritWriter();

	bool Update(); // returns true when finished

private:

	void SendRequest( u_int uFirstPlayerIndex, u_int uNum );

	u_int m_uNumSent;
	u_int m_uNumTUSWriters;
	class Asura_PS3_TUSTransactionManagerAddToVar* m_pxMeritTUSWriters;
};

#endif // #ifdef ASURA_USE_MERIT_SYSTEM

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ASURA_PS3_MERITHELPER_H___
