//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_CharacterRenderer_Internal.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PS3_CHARACTERRENDERER_INTERNAL_H___
#define ___ASURA_PS3_CHARACTERRENDERER_INTERNAL_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine platform-specific.
#include "Rendering/Asura_PS3_GCM_IndexBuffer.h"
#include "Rendering/Asura_PS3_GCM_VertexBuffer.h"

// C L A S S E S /////////////////////////////////////////////////////////////

struct Asura_PS3_CharacterRenderer_Material
{
    int   iMaterialID;
    u_int uNumIndices;
};

struct Asura_PS3_CharacterRenderer_Skin
{
    u_int uNumTris;
    u_int uNumMaterials;
    u_int uNumVertices;
    u_int uNumIndices;
    
    Asura_PS3_CharacterRenderer_Material* pxMaterials;

    Asura_PS3_GCM_VertexBuffer xVertexBfr;
    Asura_PS3_GCM_IndexBuffer  xIndexBfr;
};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PS3_CHARACTERRENDERER_INTERNAL_H___
