//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_RenderingOptions.cpp
//
// Copyright (c) 2005 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header.
#include "Asura_PS3_RenderingOptions.h"

Asura_PS3_RenderingOptions::OptionsUnion Asura_PS3_RenderingOptions::s_xOptions = 
{
	{
	    true, // /*    0 */ OPTION_DRAW_FRACTAL_SKY,
		true, // /*    1 */ OPTION_DRAW_SKYBOX,
		true, // /*    2 */ OPTION_DRAW_ENV,
		true, // /*    3 */ OPTION_DRAW_OBJS,
		false, // /*    4 */ OPTION_ENABLE_OBJ_SHADOWS,
		true, // /*    5 */ OPTION_DRAW_HIERS,
		true, // /*    6 */ OPTION_ENABLE_HIER_SHADOWS,
		true, // /*    7 */ OPTION_DRAW_SMOOTH_SKINS,
		true, // /*    8 */ OPTION_ENABLE_SMOOTH_SKIN_SHADOWS,
		true, // /*    9 */ OPTION_DRAW_WEAPON,
		true, // /*   10 */ OPTION_DRAW_CORONAS,
		true, // /*   11 */ OPTION_DRAW_PARTICLES,
		true, // /*   12 */ OPTION_DRAW_DECALS,
		true, // /*   13 */ OPTION_DRAW_OVERLAYS,
		true, // /*   14 */ OPTION_ENABLE_PARALLAX_MAP_ENV,
		true, // /*   15 */ OPTION_ENABLE_DYNAMIC_LIGHTS_ENV,
	}
};

