//
// Env_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_ENV_VD_H__
#define __ASURA_PS3_ENV_VD_H__

#define ENVIRONMENT_VERTEX_SIZE	68

static Asura_PS3_VertexBufferDeclaration g_axVertexBufferDeclarationEnv [] =
{
//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",	0,	CELL_GCM_VERTEX_F,		3, 0 },
	{ "xIn.m_xColour",		12,	CELL_GCM_VERTEX_UB,		4, 0 },
	{ "xIn.m_xNormal",		16,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xTangent",		20,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xBinormal",	24,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xTangent2",	28,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xBinormal2",	32,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xUVPair",		36,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xRedSH",		44,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xGreenSH",		52,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xBlueSH",		60,	CELL_GCM_VERTEX_SF,		4, 0 }
};

enum VERTEX_DECLARATION
{
	VD_POSITION,

	VD_COLOUR,

	VD_NORMAL,
	VD_TANGENT,
	VD_BINORMAL,
	VD_TANGENT2,
	VD_BINORMAL2,

	VD_UV_PAIR,

	VD_RED_SH,
	VD_GREEN_SH,
	VD_BLUE_SH,

	VD_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_ENV_VD_H__
