//
// SmoothSkinShadow_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_SMOOTHSKIN_SHADOW_VD_H__
#define __ASURA_PS3_SMOOTHSKIN_SHADOW_VD_H__

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclarationShadow[] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",		 0,	CELL_GCM_VERTEX_F,		4, 0 },
	{ "xIn.m_aiBoneIndices",	20,	CELL_GCM_VERTEX_UB256,	4, 0 },
	{ "xIn.m_afBoneWeights",	24,	CELL_GCM_VERTEX_UB,		4, 0 },
};


enum VERTEX_DECLARATION_SHADOW
{
	VDS_POSITION,

	VDS_BONE_INDICES,
	VDS_BONE_WEIGHTS,

	VDS_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_SMOOTHSKIN_SHADOW_VD_H__
