//
// Apply_Shadows_VP.h
//
// Created by Catalin Arsenescu - 29 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_APPLY_SHADOWS_VP_H__
#define __ASURA_PS3_APPLY_SHADOWS_VP_H__

extern u_int _binary_PS3_ApplyShadows_VP_bin_start;
extern u_int _binary_PS3_ApplyShadows_VP_bin_end;

#if 0
static Asura_PS3_GCM_VertexShaderUniform g_axVertexShaderUniform[] =
{
	//m_szName, m_usArraySize, m_sizeInFloat4ForOneElement, m_usRegister
	{ "g_xWorldViewProj",	1, 4, NULL },
	{ "g_xShadowFrustum",	1, 1, NULL },
};

enum VERTEX_SHADER_UNIFORM
{
	VP_WorldViewProj,
	VP_ShadowFrustum,
};
#else
static Asura_PS3_GCM_VertexShaderUniformParameter g_axVertexShaderUniform[] =
{
	//m_szName, m_usArraySize, m_sizeInFloat4ForOneElement, m_usRegister
	{ "g_xLightClipSpaceToCameraClipSpace",	1, 4, NULL },
};

enum VERTEX_SHADER_UNIFORM
{
	VP_LightClipSpaceToCameraClipSpace,
};
#endif

class Asura_PS3_VP_ApplyShadows : public Asura_PS3_GCM_VertexShader
{
public:
	Asura_PS3_VP_ApplyShadows() : Asura_PS3_GCM_VertexShader( (unsigned char *)&_binary_PS3_ApplyShadows_VP_bin_start, (unsigned char *)&_binary_PS3_ApplyShadows_VP_bin_end, g_axVertexShaderUniform, sizeof ( g_axVertexShaderUniform ) / sizeof ( Asura_PS3_GCM_VertexShaderUniformParameter ) )
	{
	}

	~Asura_PS3_VP_ApplyShadows()
	{
		u_int i;
		for( i = 0; i < sizeof( g_axVertexShaderUniform ) / sizeof( Asura_PS3_GCM_VertexShaderUniformParameter ); ++i )
		{
			g_axVertexShaderUniform[ i ].CleanUp();
		}
	}
};

#endif //#ifndef __ASURA_PS3_APPLY_SHADOWS_VP_H__
