//
// FSFX_SM30_Bloom_VP.h
//
// Created by Catalin Arsenescu - 12 September 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_FSFX_SM30_BLOOM_VP_H__
#define __ASURA_PS3_FSFX_SM30_BLOOM_VP_H__

extern u_int _binary_PS3_FSFX_SM30_Bloom_VP_bin_start;
extern u_int _binary_PS3_FSFX_SM30_Bloom_VP_bin_end;

static Asura_PS3_GCM_VertexShaderUniformParameter g_axVertexShaderUniformB30[] =
{
	//m_szName, m_usArraySize, m_sizeInFloat4ForOneElement, m_usRegister
	{ "g_xUVOffset",	1, 1, NULL },
};

enum VERTEX_SHADER_UNIFORM_B30
{
	VPB30_UVOffset,
};

class Asura_PS3_VP_SM30_Bloom : public Asura_PS3_GCM_VertexShader
{
public:
	Asura_PS3_VP_SM30_Bloom() : Asura_PS3_GCM_VertexShader( (unsigned char *)&_binary_PS3_FSFX_SM30_Bloom_VP_bin_start, (unsigned char *)&_binary_PS3_FSFX_SM30_Bloom_VP_bin_end, g_axVertexShaderUniformB30, sizeof ( g_axVertexShaderUniformB30 ) / sizeof ( Asura_PS3_GCM_VertexShaderUniformParameter ) )
	{
	}

	~Asura_PS3_VP_SM30_Bloom()
	{
		u_int i;
		for( i = 0; i < sizeof( g_axVertexShaderUniformB30 ) / sizeof( Asura_PS3_GCM_VertexShaderUniformParameter ); ++i )
		{
			g_axVertexShaderUniformB30[ i ].CleanUp();
		}
	}
};

#endif //#ifndef __ASURA_PS3_FSFX_SM30_BLOOM_VP_H__
