
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_FullScreenSFX_System.cpp
// Author : Andy Tate
// Date   : 29-Jun-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "SpecialFX/Asura_FullScreenSFX_System.h"

// Asura header-files...
#include "Rendering/Asura_Viewport.h"
#include "Rendering/Asura_RenderStates.h"
#include "Rendering/Asura_Render.h"
#include "Core/Asura_TextureFlags.h"

// Game header-files...


////////////////////////////////////////////////////////////////////////////////
// Constant declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Static variable declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Private functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Protected functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Public functions...
////////////////////////////////////////////////////////////////////////////////

void Asura_FullScreenSFX_System::Platform_RenderFade (u_int uARGB)
{
	Asura_Render::Overlay.Colour           = uARGB;
	Asura_Render::Overlay.TranslucencyMode = ASURA_TRANSLUCENCY_NORMAL;
	Asura_Render::Overlay.TextureIndex     = ASURA_TEXTURE_NONE;

	const float fWidth  = static_cast< float >( Asura_Viewport::GetWidth() );
	const float fHeight = static_cast< float >( Asura_Viewport::GetHeight() );

	Asura_Render::Overlay.SetRectXY( 0.0f, 0.0f, fWidth, fHeight );

	Asura_Render::Overlay.Render();
}

void Asura_FullScreenSFX_System::Platform_InitialiseMotionBlur (void)
{
}

void Asura_FullScreenSFX_System::Platform_RenderMotionBlur (u_char uMotionBlurAlpha)
{
}


/// End of file. ///
