//////////////////////////////////////////////////////////////////////////////
//
// Asura_PlatformHierarchy.h
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PLATFORMHIERARCHY_H___
#define ___ASURA_PLATFORMHIERARCHY_H___ 1

// Define(s)
//#define ASURA_USE_KEYFRAME_CACHING
// RJT NOTE: Hierarchy rendering optimisation making use of quad aligned data/SIMD
// RJT TODO: Move to project settings?
#if !defined(ASURA_HIERARCHY_QUAD)
#define ASURA_HIERARCHY_QUAD
#endif	// !defined(ASURA_HIERARCHY_QUAD)
#if defined(ASURA_HIERARCHY_QUAD) && defined(ASURA_USE_PLATFORM_VECTORS)
	// RJT NOTE: This define enables extra use of the VFPU (write-back cache etc...) with inline assembly, without this just intrinsics are used
	#define ASURA_HIERARCHY_QUAD_VFPU
#endif

// P R O T O T Y P E S   A N D   I N L I N E   F U N C T I O N S /////////////

extern inline bool Asura_PlatformHierarchy_NeedIndependentSkinData( void )
{
#ifdef ASURA_TOOLS
    return true;
#else
    return false;
#endif
}

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PLATFORMHIERARCHY_H___
