///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_PSP_BotanicalsShape.h
// Author : Catalin Arsenescu
// Date   : 09-March-2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////
#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif //ASURA_USE_PRAGMA_ONCE

#ifdef ASURA_USE_BOTANICALS
#ifndef __ASURA_PSP_BOTANICALS_SHAPE__
#define __ASURA_PSP_BOTANICALS_SHAPE__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////
#include "Core/Asura_String.h"
#include "Botanicals/Asura_Botanical_Game_Render_Type.h"

class Asura_PSP_BotanicalsElement;

////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class        : Asura_PSP_BotanicalsShape
// Author       : Catalin Arsenescu
// Date         : 09-March-2007
////////////////////////////////////////////////////////////////////////////////
class Asura_PSP_BotanicalsShape : public Asura_BGR_Type
{
public:
//Public functions
	Asura_PSP_BotanicalsShape();
	virtual ~Asura_PSP_BotanicalsShape();

//Public members
	Asura_PSP_BotanicalsElement*	m_pxElements;
	Asura_Hash_ID					m_uHashID;
	unsigned int					m_uNumElements;
};

#endif //__ASURA_PSP_BOTANICALS_SHAPE__
#endif //ASURA_USE_BOTANICALS
