//
// Asura_PSP_Stubs.cpp
//
// Created by KJFL - Friday, March 05, 2004
//
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "Mesh/Asura_Env_System.h"

#include "Sound/Asura_Sound.h"
#include "Entity/Asura_Entity.h"
#include "Network/Asura_Network.h"
#include "SpecialFX/Asura_Corona_System.h"
#include "Animation/Asura_Hierarchy.h"
#include "Rendering/Asura_SortedRender.h"
#include "Shapes/Asura_Shapes.h"

#include "Rendering/Asura_PSP_CharacterRenderer.h"
#include "Animation/Asura_Animation.h"

void Asura_Environment_System::Platform_Initialise( void )
{
}
void Asura_Environment_System::Platform_Update( void )
{
}
void Asura_Environment_System::Platform_Reset( void )
{
}
void Asura_Environment_System::Platform_Shutdown( void )
{
}


#if 0
/*
  Already defined in 'Asura/Independent/Network/Asura_Network.cpp'
*/
void(*Asura_Network::s_pfnProject_ServerMessageHandler)(const Asura_Message* pxMessage);
void(*Asura_Network::s_pfnProject_ClientMessageHandler)(const Asura_Message* pxMessage);
#endif

/*
void Asura_Hierarchy_System::Project_RenderSkin( const Asura_Animation* pxAnim,
                                u_int uCamVisFlags, u_int uRenderFlags,
                                const Asura_Vector_3& xBSCentre, float fBSRadius )
{

	Asura_Bounding_Box xBB;
	xBB.Reset();

	for (int b=0; b<s_pxSkin->NumberOfBones; b++)
	{
		xBB.Set(GetWorldspaceBonePos(b));
		s_axBoneOri[b] = GetWorldspaceBoneOri(b) * s_pxSkin->BoneRestOrientation[b];
		s_axBonePos[b] = GetWorldspaceBonePos(b) - s_pxSkin->BoneRestPosition[b]*s_axBoneOri[b];
	}

	Asura_PSP_CharacterRenderer::Render(pxAnim->GetSkin(), xBB, 1.0f);
}
*/
