//
// Asura_PSP_Tuner.cpp
//
// Created by JG - 21/09/2005 14:31:19
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#include "Core\Asura.h"

// This file's header
#include "Debugging\Asura_PSP_Tuner.h"

#if defined ASURA_PSP_TUNER
// (MH - 10.05.2007) don't want to put the SN include path for this in GCC builds because it also contains other headers e.g. <new>
#ifndef __SNC__
extern "C" {
	int snIsTunerRunning(void);
	void snStartMarker(unsigned int uID, const char *pText);
	void snStopMarker(unsigned int uID);
}
#else
#include "snTuner.h"
#endif
#endif // #if defined ASURA_PSP_TUNER

void Asura_PSP_Tuner::StartMarker( int iMark, char* szName )
{

#if defined(ASURA_PSP_TUNER)
	snStartMarker( iMark & 31, szName ); 
#endif

}

void Asura_PSP_Tuner::StopMarker( int iMark )
{

#if defined(ASURA_PSP_TUNER)
	snStopMarker( iMark & 31 ); 
#endif

}






