//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_CPUProfile.h
//
// Copyright (c) 2004 Rebellion. All rights reserved.
//
// Description:
//
//     PSP defines for CPU profiling
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PLATFORM_CPUPROFILE_H___
#define ___ASURA_PLATFORM_CPUPROFILE_H___ 1

#ifdef ASURA_PSP_PROFILING
#include "Debugging/Asura_PSP_Profiling.h"

#define ASURA_CPU_PROFILE__REGISTER_LABEL(x,y)	Asura_PSP_Profiling::RegisterLabel(x,y);
#define	ASURA_CPU_PROFILE__START(x) Asura_PSP_Profiling::StartProfile(x);
#define	ASURA_CPU_PROFILE__END(x) Asura_PSP_Profiling::StopProfile(x);
#else //#ifdef ASURA_PSP_PROFILING
#define	ASURA_CPU_PROFILE__START(x)
#define	ASURA_CPU_PROFILE__END(x)
#endif //#else #ifdef ASURA_PSP_PROFILING

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PLATFORM_CPUPROFILE_H___
