//////////////////////////////////////////////////////////////////////////////
//
// Asura_PSP_InfrastructureMode.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
// Description:
//
//     wrapper for infrastructure mode setup and shutdown
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PSP_INFRASTRUCTUREMODE_H___
#define ___ASURA_PSP_INFRASTRUCTUREMODE_H___ 1

#ifdef ASURA_PSP_SUPPORT_INFRASTRUCTURE_NETWORK

class Asura_PSP_InfrastructureMode
{
public:

	static void BeginConnecting();
	static void UpdateConnecting();
	static void RenderConnecting();
	static void CloseConnection();

	static bool IsConnected();
	static bool IsConnecting();

private:

	static int InitialiseNetworkLibraries();
	static void ShutdownNetworkLibraries();
};

#endif // #ifdef ASURA_PSP_SUPPORT_INFRASTRUCTURE_NETWORK

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PSP_INFRASTRUCTUREMODE_H___
