//
// Asura_PSP_TextureHeader.h
//
// Created by KJFL - Wednesday, February 11, 2004
//
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PSP_TEXTUREHEADER_H__
#define __ASURA_PSP_TEXTUREHEADER_H__


enum ASURA_PSP_TEXTUREFORMAT
{
	ASURA_PSP_TEXTUREFORMAT_5650,
	ASURA_PSP_TEXTUREFORMAT_5551,
	ASURA_PSP_TEXTUREFORMAT_4444,
	ASURA_PSP_TEXTUREFORMAT_8888,
	ASURA_PSP_TEXTUREFORMAT_IDX4,
	ASURA_PSP_TEXTUREFORMAT_IDX8,
	ASURA_PSP_TEXTUREFORMAT_IDX16,
	ASURA_PSP_TEXTUREFORMAT_IDX32
};

enum ASURA_PSP_CLUTFORMAT
{
	ASURA_PSP_CLUTFORMAT_16BIT_5650,
	ASURA_PSP_CLUTFORMAT_16BIT_5551,
	ASURA_PSP_CLUTFORMAT_16BIT_4444,
	ASURA_PSP_CLUTFORMAT_32BIT_8888
};


enum ASURA_PSP_TEXTUREFLAGS
{
	ASURA_PSP_TEXTUREFLAG_MULTIPLE_CLUTS,
	ASURA_PSP_TEXTUREFLAG_FASTMODE,
};


class Asura_PSP_TextureHeader
{
	public:
		
		u_short m_usWidth;
		u_short m_usHeight;
		u_short	m_usFlags;
		u_char	m_ucTextureFormatID;
		u_char	m_ucNumberOfMipmaps;

};

#endif//__ASURA_PSP_TEXTUREHEADER_H__
