/**
*
* \file Asura_PlatformRenderWater.h
*
* Created by Anthony Gregson - 17/06/2005
*
* Copyright (C) 2005 Rebellion, All Rights Reserved.
*
* \brief
*
**/

//*********************************************
//** NOTE : DUMMY PSP VERSION, NO ACTIVE CODE **
//*********************************************

#ifndef __ASURA_PLATFORM_RENDER_WATER_H__
#define __ASURA_PLATFORM_RENDER_WATER_H__

#include "Core/Asura.h"
#include "Rendering/Asura_Water.h"

// container class for the data packets
class Asura_Platform_Water_Packet
{
public:

	friend class Asura_Water_System;

	Asura_Platform_Water_Packet() {};
	~Asura_Platform_Water_Packet() {};

	void Reset( void ) {};

	void SetVertexCount(u_int uVertexCount) {};

	void AddVertex(float x, float y, float z, float r, float g, float b, float u, float v) {};

	void Close( void ) {};
};
// End class Asura_Platform_Water_Packet

#endif
