//
// Asura_Platform_CPUProfile.h
//
// Created by KOR - 06 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PLATFORM_CPUPROFILE_H__
#define __ASURA_PLATFORM_CPUPROFILE_H__

#ifdef ASURA_WII_PROFILING
#include "Debugging/Asura_Wii_Profiling.h"

#define ASURA_CPU_PROFILE__REGISTER_LABEL(x,y)	Asura_Wii_Profiling::RegisterLabel(x,y);
#define	ASURA_CPU_PROFILE__START(x) Asura_Wii_Profiling::StartProfile(x);
#define	ASURA_CPU_PROFILE__END(x) Asura_Wii_Profiling::StopProfile(x);
#else //#ifdef ASURA_PSP_PROFILING
#define	ASURA_CPU_PROFILE__START(x)
#define	ASURA_CPU_PROFILE__END(x)
#endif //#else #ifdef ASURA_PSP_PROFILING

#endif//__ASURA_PLATFORM_CPUPROFILE_H__