//
// Asura_Platform_ProgressBar.cpp
//
// Created by KOR - 09 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "Menus/Asura_ProgressBar.h"

// Wii
#include "Rendering/Asura_GX.h"

void Asura_ProgressDisplay_BackgroundFiller::Platform_Render(void)
{
	Asura_Render::CurrentStates.RequestTextureIndex(0, Asura_GX::GetWhiteTextureIndex());

	Asura_Render::Overlay.SetRectXY(m_xCurTL.x, m_xCurTL.y, m_xCurDimensions.x, m_xCurDimensions.y);
	Asura_Render::Overlay.TranslucencyMode = ASURA_TRANSLUCENCY_DOUBLECOLOUR;
	Asura_Render::Overlay.TextureIndex = ASURA_TEXTURE_NONE;
	Asura_Render::Overlay.Colour = 0xffffffff;
	Asura_Render::Overlay.Render();
}

void Asura_ProgressDisplay_BackgroundFiller::Platform_Reset(void)
{
}
