//
// Asura_Platform_DepthOfField.cpp
//
// Created by KOR - 10 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "SpecialFX/Asura_DepthOfField_System.h"

// Wii
#include "SpecialFX/Asura_GX_DOF.h"

void Asura_DepthOfField_System::Platform_Initialise()
{
	Asura_GX_DOF::Initialise();
}

void Asura_DepthOfField_System::Platform_Shutdown()
{
	Asura_GX_DOF::Shutdown();
}

void Asura_DepthOfField_System::Platform_Render()
{
	// Moved these out of Asura_GX_DOF, no idea where the 0.5f comes from - SW
	Asura_GX_DOF::Render( GetCurrentNearZ(), GetCurrentFarZ(), 0.5f * GetCurrentSize(), GetCurrentStrength() );
}

