//
// Asura_Platform_FullScreenSFX_System.cpp
//
// Created by KOR - 10 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "SpecialFX/Asura_FullScreenSFX_System.h"

// Engine independent.
#include "Rendering/Asura_Render.h"

#include "Camera/Asura_Camera.h"
#include "Rendering/Asura_GX.h"
#include "Rendering/Asura_Viewport.h"


// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

void Asura_FullScreenSFX_System::Platform_RenderFade( u_int uARGB )
{
    Asura_Render::Overlay.Colour           = uARGB;
    Asura_Render::Overlay.TranslucencyMode = ASURA_TRANSLUCENCY_NORMAL;
	Asura_Render::Overlay.TextureIndex     = Asura_GX::GetWhiteTextureIndex();

	Asura_Render::Overlay.SetRectXY(0.0f, 0.0f, static_cast<float>(Asura_Viewport::GetWidth()), static_cast<float>(Asura_Viewport::GetHeight()));

    Asura_Render::Overlay.Render();   
}

void Asura_FullScreenSFX_System::Platform_InitialiseMotionBlur()
{
}

void Asura_FullScreenSFX_System::Platform_RenderMotionBlur( u_char uMotionBlurAlpha )
{
}
