//////////////////////////////////////////////////////////////////////////////
//
// Asura_Xbox360_OS.h
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ASURA_XBOX360_OS_H___
#define ASURA_XBOX360_OS_H___ 1

class Asura_Xbox360_OS
{
public:

	//Asura place to check for whether the SystemUI (Xbox Guide) is open.
	static bool IsSystemUIOpen() { return s_bSystemUIOpen; }
	static void SetSystemUIOpen(bool bOpen) { s_bSystemUIOpen = bOpen; }

	// project code should call SetActivePlayerIndex() when the player presses START on the title screen.
	// This value can then be used for all SDK functions which take DWORD dwUserIndex.
	static u_int GetActivePlayerIndex();
	static void SetActivePlayerIndex(u_int uIndex);
private:

	static bool s_bSystemUIOpen;
	static u_int s_uActivePlayer;
};


// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ASURA_XBOX360_OS_H___
