
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_PlatformRenderWater.h
// Author : Kevin Floyer-Lea
// Date   : 20-Jun-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __ASURA_PLATFORMRENDERWATER_H__
#define __ASURA_PLATFORMRENDERWATER_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"
#include "Rendering/Asura_Water.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

class Asura_Platform_Water_Packet
{
public:
	// Friend classes...

	friend class Asura_Water_System;


	// Public functions...

	Asura_Platform_Water_Packet()	{}
	~Asura_Platform_Water_Packet()	{}

	// Dummy interface for now...
	void							Reset			(void)																		{}
	void							SetVertexCount	(u_int uVertexCount)														{}
	void							AddVertex		(float x, float y, float z, float r, float g, float b, float u, float v)	{}
	void							Close			(void)																		{}


protected:
	// Protected variables...


	// Protected functions...


private:
	// Private variables...


	// Private functions...

	Asura_Platform_Water_Packet  (const Asura_Platform_Water_Packet& xOther);

	Asura_Platform_Water_Packet&	operator=	(const Asura_Platform_Water_Packet& xOther);

};   // End of class 'Asura_Platform_Water_Packet'.



#endif   // ifndef __ASURA_PLATFORMRENDERWATER_H__


/// End of file. ///
