/******************************************************************************/
/* Parameters                                                                 */
/******************************************************************************/

const float4 g_xColour;

/******************************************************************************/
/* Functions                                                                  */
/******************************************************************************/

float4 VShader( const float4 xInPos : POSITION ) : POSITION
{
	float4 xOut;	
	xOut.xy = xInPos.xy;
	xOut.z = 0.0f;
	xOut.w = 1.0f;
	return xOut;
}

float4 PShader() : COLOR
{
	return g_xColour;
}

/******************************************************************************/
/* Techniques                                                                 */
/******************************************************************************/

technique
{
	pass
	{
		AlphaTestEnable = FALSE;
		CullMode = NONE;
		ZEnable = FALSE;
		ZWriteEnable = FALSE;

		VertexShader = compile vs_3_0 VShader();
		PixelShader = compile ps_3_0 PShader();
	}
}