// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdChannelChat/bdChannelInfo.h>

bdChannelInfo::bdChannelInfo()
: m_channelID(0),
  m_channelType(0),
  m_numSubscribers(0),
  m_maxSubscribers(0)
{
}

bdChannelInfo::~bdChannelInfo()
{
}

bdBool bdChannelInfo::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = true;
	ok = ok && buffer->readUInt64(m_channelID);
	ok = ok && buffer->readString(m_channelName, BD_MAX_CHANNELNAME_LENGTH);
	ok = ok && buffer->readUByte8(m_channelType);
	ok = ok && buffer->readUInt32(m_numSubscribers);
	ok = ok && buffer->readUInt32(m_maxSubscribers);
	return ok;
}
