// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdLobbyCommon/bdCustomQueryParams.h>

bdCustomQueryParams::bdCustomQueryParams(const bdUInt queryID, 
										 const bdUInt maxNumResults)
: m_queryID(queryID),
  m_maxNumResults(maxNumResults)
{
}

bdCustomQueryParams::~bdCustomQueryParams()
{
}

void bdCustomQueryParams::serialize(bdBitBuffer &buffer)
{
	buffer.writeInt32(m_queryID);
	buffer.writeInt32(m_maxNumResults);
}
