// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdMessageStore/bdLobbyMessage.h>

bdLobbyMessage::bdLobbyMessage(const bdUInt messageType)
:	m_msgType(static_cast<bdLobbyMessageType>(messageType)),
	m_recipientID(0),
	m_msgID(0),
	m_timeStamp(0),
	m_isRead(false)
{
}

bdLobbyMessage::~bdLobbyMessage()
{
}

bdBool bdLobbyMessage::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = buffer->readUInt64(m_recipientID);
	ok = ok && buffer->readUInt64(m_msgID);
	ok = ok && buffer->readUInt32(m_timeStamp);
	ok = ok && buffer->readBool(m_isRead);

	return ok;
}
