// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#ifndef BD_LOBBY_MESSAGE_TYPE_H
#define BD_LOBBY_MESSAGE_TYPE_H

// Lobby Messaging Operations
// TODO: make this an enum
#define BD_LOBBY_MSG_OP_GET				(1u)
#define BD_LOBBY_MSG_OP_GET_TYPE		(2u)
#define BD_LOBBY_MSG_OP_DELETE			(4u)
#define BD_LOBBY_MSG_OP_GET_UNREAD		(5u)
#define BD_LOBBY_MSG_OP_SET_READSTATUS	(6u)
#define BD_LOBBY_MSG_OP_DELETE_MESSAGES (7u)
#define BD_LOBBY_MSG_OP_SEND_MESSAGE	(8u)

// message types enum
#define BD_LOBBY_MESSAGE_TYPES_BEGIN	enum bdLobbyMessageType {
#define BD_LOBBY_MESSAGE_TYPE(MSG_TYPE_NAME, MSG_TYPE_VAL, MSG_IMPL, MSG_CLASSNAME)	MSG_TYPE_NAME = MSG_TYPE_VAL,
#define BD_LOBBY_MESSAGE_TYPES_END(MSG_TYPE_NAME)	MSG_TYPE_NAME };

#include <bdLobby/bdMessageStore/bdMessageTypes/bdLobbyMessageTypes.h>

#undef BD_LOBBY_MESSAGE_TYPES_BEGIN
#undef BD_LOBBY_MESSAGE_TYPE
#undef BD_LOBBY_MESSAGE_TYPES_END

// Typedef the class names and bdReferences for each concrete implementation
// message types enum
#define BD_LOBBY_MESSAGE_TYPES_BEGIN 
#define BD_LOBBY_MESSAGE_TYPE(MSG_TYPE_NAME, MSG_TYPE_VAL, MSG_IMPL, MSG_CLASSNAME)	class MSG_IMPL;\
																					typedef MSG_IMPL MSG_CLASSNAME; \
																					typedef bdReference<MSG_IMPL> MSG_CLASSNAME##Ref;
#define BD_LOBBY_MESSAGE_TYPES_END(MSG_TYPE_NAME)

#include <bdLobby/bdMessageStore/bdMessageTypes/bdLobbyMessageTypes.h>

#undef BD_LOBBY_MESSAGE_TYPES_BEGIN
#undef BD_LOBBY_MESSAGE_TYPE
#undef BD_LOBBY_MESSAGE_TYPES_END

#endif //BD_LOBBY_MESSAGE_TYPE_H
