// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS


#include <bdLobby/bdMessageStore/bdMessageTypes/bdLobbyMessageTypes.h>

template <bdUInt T> inline 
bdTeamNotificationMessage<T>::bdTeamNotificationMessage()
:	bdLobbyMessage(T),
	m_originatorID(0),
	m_teamID(0)
{
	bdMemset(m_originatorName, '\0', BD_MAX_USERNAME_LENGTH);
	bdMemset(m_teamName, '\0', BD_MAX_TEAMNAME_LENGTH);
}

template <bdUInt T> inline 
bdTeamNotificationMessage<T>::~bdTeamNotificationMessage()
{
}

template <bdUInt T> inline 
bdBool bdTeamNotificationMessage<T>::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdLobbyMessage::deserialize(buffer);
	ok = ok && buffer->readUInt64(m_originatorID);
	ok = ok && buffer->readString(m_originatorName, BD_MAX_USERNAME_LENGTH);
	ok = ok && buffer->readUInt64(m_teamID);
	ok = ok && buffer->readString(m_teamName, BD_MAX_TEAMNAME_LENGTH);

	return ok;
}
