// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS


#include <bdLobby/bdProfiles/bdProfileInfo.h>

#define BD_LOG_LEVEL "profilesInfo"

bdProfileInfo::bdProfileInfo()
: m_profileID(0)
{
}

bdProfileInfo::~bdProfileInfo()
{
}

void bdProfileInfo::serialize(bdBitBuffer&)
{
}

bdBool bdProfileInfo::deserialize(bdBitBufferRef buffer)
{
	const bdBool ok = buffer->readUInt64(m_profileID);

	if (!ok)
	{
		BD_ERR(BD_LOG_LEVEL, "Deserialization failed");
	}
	return ok;
}

bdEntityID bdProfileInfo::getProfileID() const
{
	return m_profileID;
}

