// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS


#include <bdLobby/bdTeams/bdTeamInfo.h>

#define BD_LOG_LEVEL "teamInfo"

bdTeamInfo::bdTeamInfo()
: m_teamID(0)
{
}

bdTeamInfo::~bdTeamInfo()
{
}

void bdTeamInfo::serialize(bdBitBuffer&)
{
}

bdBool bdTeamInfo::deserialize(bdBitBufferRef buffer)
{
	const bdBool ok = buffer->readUInt64(m_teamID);
	if (!ok)
	{
		BD_ERR(BD_LOG_LEVEL, "Deserialization failed");
	}
	return ok;
}

bdTeamID bdTeamInfo::getTeamID() const
{
	return m_teamID;
}

