// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE:

#ifndef BD_TEAMS_RESULT_H
#define BD_TEAMS_RESULT_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>

template <typename T>
class bdTeamsResult : public bdQueryResult
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdTeamsResult ();

		virtual ~bdTeamsResult ();

		virtual bdBool handleResult(const bdUInt numResults,
									bdBitBufferRef buffer);

	public:
	
		T m_data;

};


#include <bdLobby/bdTeams/bdTeamsResult.inl>

#endif // BD_TEAMS_RESULT_H
