// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdTitleUtilities/bdTitleStatsResult.h>

bdTitleStatsResult::bdTitleStatsResult()
:m_numOnlineSessions(0),
 m_numTotalUsers(0),
 m_numOnlineUsers(0)
{
}

bdBool bdTitleStatsResult::handleResult(const bdUInt numResults, 
                                        bdBitBufferRef buffer)
{
	bdBool ok = true;
	m_numResults = 0;
	
	if (numResults == 1)
	{
		ok = ok && buffer->readUInt32(m_numOnlineSessions);
		ok = ok && buffer->readUInt32(m_numTotalUsers);
		ok = ok && buffer->readUInt32(m_numOnlineUsers);


		if(ok)
		{		
			m_numResults = 1;
		}
	}
	return ok;
}

