//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_Alien_GrapplePuppet.h
//
// Copyright (C) 2007 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_BEHAVIOUR_ALIEN_GRAPPLEPUPPET_H__
#define __AVP_BEHAVIOUR_ALIEN_GRAPPLEPUPPET_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Behaviour/Axon_Project_Behaviour.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_Message;
class AVP_Brain_Actor_Alien;

//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_Alien_GrapplePuppet
//
//////////////////////////////////////////////////////////////////////////////

class AVP_Behaviour_Alien_GrapplePuppet : public Axon_Project_Behaviour
{
	typedef Axon_Project_Behaviour PARENT;

public:
	AVP_Behaviour_Alien_GrapplePuppet( AVP_Brain_Actor_Alien* pxBrain );

	void SetGrapplerGuid( const Asura_Guid uGuid ) { m_uGrapplerGuid = uGuid; }

protected:
	virtual bool Activate();
	virtual void PerFrameUpdate( const float fTimeslice );
	virtual bool HandleMessage( const Asura_Message* pxMessage );

#ifndef ASURA_NO_DEBUG_OUTPUT
	virtual void RenderDebugInfo();
#endif

private:
	AVP_Brain_Actor_Alien* GetAlienBrain();

private:
	bool  m_bResponding;
	float m_fResponseTimer;
	Asura_Guid m_uGrapplerGuid;
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AVP_BEHAVIOUR_ALIEN_GRAPPLEPUPPET_H__
