//---------------------------------------------------------------------------
// File			: AVP_Behaviour_Human_Grapple.h
// Created		: 
// Created By	: Gareth Thomas
// Copyright (C) 2007 Rebellion. All Rights Reserved.
//---------------------------------------------------------------------------

// BEGIN FILE WRAPPER ///////////////////////////////////////
#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif
#ifndef __AVP_BEHAVIOUR_HUMAN_GRAPPLE_H__
#define __AVP_BEHAVIOUR_HUMAN_GRAPPLE_H__ 1
// END FILE WRAPPER ///////////////////////////////////////////

// INCLUDES ///////////////////////////////////////////////////////////
#include "Behaviour/Axon_Project_Behaviour.h"

// FORWARD DECLARATIONS ///////////////////////////////////
class AVP_Brain_Actor;

//---------------------------------------------------------------------------
// Class		: AVP_Behaviour_Human_Grapple
// Description	: 
//---------------------------------------------------------------------------
class AVP_Behaviour_Human_Grapple : public Axon_Project_Behaviour
{
	typedef Axon_Project_Behaviour PARENT;

public:

	// InCover Update State Enum
	enum GrappleUpdateState
	{
		UNSET,
		MAX_STATES
	};

	// Construction / Deconstruction
	AVP_Behaviour_Human_Grapple								(AVP_Brain_Actor* pxBrain);
	virtual ~AVP_Behaviour_Human_Grapple					(void)							{}

protected:
	virtual void					PerFrameUpdate						(const float fTimeslice);
#ifndef ASURA_NO_DEBUG_OUTPUT
	virtual void					RenderDebugInfo(void);
#endif

private:

	// Private Member Variables...
	enum { CURRENT_CHUNK_VERSION = 0 };
};

#endif //__AVP_BEHAVIOUR_HUMAN_GRAPPLE_H__

/// End Of File 'AVP_Behaviour_Human_Grapple.h'
