//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_Predalien_Test.cpp
//
// Copyright (C) 2008 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// core
#include "Core/Asura.h"

// header
#include "Behaviour/BehaviourTypes/Predalien/AVP_Behaviour_Predalien_Test.h"

// asura
#include "Network/Asura_Network.h"

// axon
#include "Behaviour/BehaviourTypes/AVP_Behaviour_Types.h"
#include "Core/BrainTypes/AVP_Brain_Actor_Predalien.h"

// avp
#include "Actor/Vertebrates/Alien/AVP_Alien_MeleeCounter_System.h"
#include "Entity/AVP_Messages.h"
#include "Entity/PhysicalObject/Actor/Vertebrates/AVP_Vertebrate_Messages.h"

//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_Predalien_Test
//
//////////////////////////////////////////////////////////////////////////////

AVP_Behaviour_Predalien_Test::AVP_Behaviour_Predalien_Test( AVP_Brain_Actor_Predalien* pxBrain )
: PARENT( pxBrain, AVP_BEHAVIOUR_TYPE_PREDALIEN_TEST )
{
}

void AVP_Behaviour_Predalien_Test::Update( const float fTimeslice )
{
	PARENT::Update( fTimeslice );

	UpdateStateTimer( fTimeslice );
}

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
