
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_FaceHugger_AIAnimStateData.h
// Author : Will Plano
// Date   : 02/05/2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_FACEHUGGER_AIANIMSTATEDATA_H__
#define __AVP_FACEHUGGER_AIANIMSTATEDATA_H__

#include "Actor/Vertebrates/FaceHugger/AVP_FaceHugger_AIAnimStateMachine.h"

class AVP_Actor_AnimStateData;

class AVP_FaceHugger_AIAnimStateData
{
public:
	static const AVP_Actor_AnimStateData* GetAnimStateData( const Asura_Hash_ID uAnimStateBlueprintType, u_int uState );

	static void Initialise( const Asura_Hash_ID uAnimStateBlueprintType );
	static void ResetStorage();

private:
	static AVP_Actor_AnimStateData* s_apxAnimStateData[ AVP_FaceHugger_AIAnimStateMachine::FACEHUGGER_STATE_END ];
	static bool s_bInitialised;

	AVP_FaceHugger_AIAnimStateData();
	AVP_FaceHugger_AIAnimStateData(const AVP_FaceHugger_AIAnimStateData& xOther);
	AVP_FaceHugger_AIAnimStateData&	operator=(const AVP_FaceHugger_AIAnimStateData& xOther);
};

#endif // __AVP_FACEHUGGER_AIANIMSTATEDATA_H__
