
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Human_AIAnimStateConnections.h
// Author : Will Plano
// Date   : 04/10/2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_HUMAN_AIANIMSTATECONNECTIONS_H__
#define __AVP_HUMAN_AIANIMSTATECONNECTIONS_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Actor/Vertebrates/Human/AVP_Human_AIAnimStateMachine.h"

class AVP_Actor_AIAnimStateConnectionData;

class AVP_Human_AIAnimStateConnections
{
public:
	static const AVP_Actor_AIAnimStateConnectionData* GetConnectionData( const u_int uStateFrom, const u_int uStateTo );
private:
	static bool s_bInitialised;
	static const AVP_Actor_AIAnimStateConnectionData* s_aapxConnectionsMatrix[ AVP_Human_AIAnimStateMachine::HUMAN_STATE_END ][ AVP_Human_AIAnimStateMachine::HUMAN_STATE_END ];
};

#endif   // ifndef __AVP_HUMAN_AIANIMSTATECONNECTIONS_H__

/// End of file. ///
