
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Sentrygun_AIAnimStateConnections.h
// Author : Will Plano
// Date   : 25/06/2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_SENTRYGUN_AIANIMSTATECONNECTIONS_H__
#define __AVP_SENTRYGUN_AIANIMSTATECONNECTIONS_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Actor/Weapons/Sentrygun/AVP_Sentrygun_AIAnimStateMachine.h"

class AVP_Actor_AIAnimStateConnectionData;

class AVP_Sentrygun_AIAnimStateConnections
{
public:
	static const AVP_Actor_AIAnimStateConnectionData* GetConnectionData( const u_int uStateFrom, const u_int uStateTo );
private:
	static bool s_bInitialised;
	static const AVP_Actor_AIAnimStateConnectionData* s_aapxConnectionsMatrix[ AVP_Sentrygun_AIAnimStateMachine::SENTRYGUN_STATE_END ][ AVP_Sentrygun_AIAnimStateMachine::SENTRYGUN_STATE_END ];
};

#endif   // ifndef __AVP_SENTRYGUN_AIANIMSTATECONNECTIONS_H__

/// End of file. ///
