//////////////////////////////////////////////////////////////////////////////
//
// AVP_Chunk_Loaders.h
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef _AVP_CHUNK_LOADERS_H___
#define _AVP_CHUNK_LOADERS_H___ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine independent.
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// T Y P E S /////////////////////////////////////////////////////////////////

enum AVP_CHUNKID
{
	AVP_CHUNKID_SURFACEEFFECTS					= MAKEID('s','u','e','f'),
    AVP_CHUNKID_NAVIGATION						= MAKEID('a','v','p','n'),
	AVP_CHUNKID_WEAPONDATA						= MAKEID('w','e','a','p'),
	AVP_CHUNKID_ALIEN_PLAYERANIMSTATEDATA		= MAKEID('a','p','a','s'),
	AVP_CHUNKID_HUMAN_PLAYERANIMSTATEDATA		= MAKEID('h','p','a','s'),
	AVP_CHUNKID_PREDATOR_PLAYERANIMSTATEDATA	= MAKEID('p','p','a','s')
};

// C L A S S E S /////////////////////////////////////////////////////////////

class AVP_ChunkLoading_System
{
public:
    static bool ParseChunk( Asura_Chunk_Header* pxChunkHdr, Asura_Chunk_File_Stream& xFileStream );
};

#endif // #ifndef _AVP_CHUNK_LOADERS_H___
