//////////////////////////////////////////////////////////////////////////////
//
// AVP_Chunk_Navigation.h
//
// Copyright (C) 2007 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_CHUNK_NAVIGATION_H__
#define __AVP_CHUNK_NAVIGATION_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// asura
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_Chunk_Stream;

//////////////////////////////////////////////////////////////////////////////
//
// AVP_Chunk_Navigation
//
//////////////////////////////////////////////////////////////////////////////

class AVP_Chunk_Navigation : public Asura_Chunk_Header
{
public:
#ifdef ASURA_TOOLS
    static void WriteToChunkStream( Asura_Chunk_Stream& xChunkStream );
#endif
    void ReadFromChunkStream( Asura_Chunk_Stream& xChunkStream );

private:
    enum { CURRENT_CHUNK_VERSION = 2 };
    enum { CHUNK_CONTAINS_SETTINGS = 0x00000001 };
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AVP_CHUNK_NAVIGATION_H__
