
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_ConnectionState_WaitForGuid.h
// Author : Anthony Gregson
// Date   : 22/11/07
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_CONNECTIONSTATE_WAITFORGUID_H__
#define __AVP_CONNECTIONSTATE_WAITFORGUID_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/States/Connection/AVP_State_Connection.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////

class AVP_Connection;

////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class  : AVP_ConnectionState_WaitForGuid
// Author : Anthony Gregson
// Date   : 22/11/07
////////////////////////////////////////////////////////////////////////////////

class AVP_ConnectionState_WaitForGuid : public AVP_State_Connection
{
	typedef AVP_State_Connection PARENT;

public:
	// Public functions...
	AVP_ConnectionState_WaitForGuid(AVP_Connection& xParentMachine)
		: PARENT(xParentMachine)
	{
	}
//	virtual ~AVP_ConnectionState_WaitForGuid();

	// Overridden functions...
//	virtual	void Enter(const u_int uPreviousState);
	virtual	void Update();
	virtual	void Render() const;
//	virtual	void Exit(const u_int uNextState);

	virtual	const char*	GetName(void) const	{ return("Wait for guid"); }

protected:

private:

};   // End of class 'AVP_ConnectionState_WaitForGuid'.


#endif   // ifndef __AVP_CONNECTIONSTATE_WAITFORGUID_H__


/// End of file. ///
