//////////////////////////////////////////////////////////////////////////////
//
// Asura_Project_Cutscene.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Cutscene/Asura_Cutscene_Attachment.h"

#include "Cutscene/AVP_Cutscene.h"

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

Asura_Cutscene* Asura_Cutscene::Project_AllocateCutscene( int iCutsceneType, const Asura_String& xName )
{
	switch(iCutsceneType)
	{
		case ACT_StandardCutscene:
		{
			return(new AVP_Cutscene(xName));
		}

		default:
		{
			Asura_Assert(0,"Unknown cutscene type");
			return(NULL);
		}
	}		// End of switch..
}

float Asura_Cutscene::Project_GetDefaultInitialFOV()
{
    return Asura_Maths::DegToRad( 75.0f );
}

Asura_Cutscene_Attachment* Asura_Cutscene_Attachment::Project_AllocateAttachment( Asura_Cutscene_Actor_Hierarchy* pxParentActor, int iType )
{
    return NULL;
}

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
