///////////////////////////////////////////////////////////////////////////////
//
// File: AVP_ClientEntity_CameraVolume.cpp
//
// Created by Martin G.Harris (6/9/2006)
// 
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"
#include "Entity/CameraVolume/AVP_ClientEntity_CameraVolume.h"


#ifdef ASURA_USE_CAMERA_VOLUME

// Includes
#include "Core/Asura_OrientedVolume.h"

///////////////////////////////////////
// AVP_ClientEntity_CameraVolume //
///////////////////////////////////////
AVP_ClientEntity_CameraVolume::AVP_ClientEntity_CameraVolume(Asura_Guid uGuid)
: PARENT(uGuid)
{
}

AVP_ClientEntity_CameraVolume::AVP_ClientEntity_CameraVolume(Asura_Guid uGuid, const char*& pcChunkBuffer)
: PARENT(uGuid, pcChunkBuffer)
{
	// Read the next part of the chunk
	m_xProperty.InitialiseFromChunkBuffer(pcChunkBuffer);
}

AVP_ClientEntity_CameraVolume::~AVP_ClientEntity_CameraVolume()
{
}

#endif //ASURA_USE_CAMERA_VOLUME
