/////////////////////////////////////////////////////////////////////////////////////////////////////////
///
/// This is no longer used/needed but is kept just in case design changes its mind and want devoted
/// pheromone entities
///
/////////////////////////////////////////////////////////////////////////////////////////////////////////
/*

///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_ClientEntity_Pheromone.cpp
// Author : Andy Tate
// Date   : 28-Feb-2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Entity/Pheromone/AVP_ClientEntity_Pheromone.h"

// Asura independent header-files...
#include "Blueprint/Asura_Blueprint.h"
#include "Network/Asura_Message.h"

// Game independent header-files...
#include "Entity/AVP_Entity_Classification.h"
#include "Entity/Pheromone/AVP_Pheromone_Messages.h"


////////////////////////////////////////////////////////////////////////////////
// Constant declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Static variable declarations...
////////////////////////////////////////////////////////////////////////////////

AVP_ClientEntity_Pheromone::PheromoneList	AVP_ClientEntity_Pheromone::s_xList;


////////////////////////////////////////////////////////////////////////////////
// Private functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Protected functions...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ClientEntity_Pheromone::AVP_ClientEntity_Pheromone
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

AVP_ClientEntity_Pheromone::AVP_ClientEntity_Pheromone(const AVP_Message_Pheromone_Create& xMessage)
{

	// Initialise the standard entity data...
	Classification	= AVP_ENTITYCLASS_PHEROMONE;
	s_xList.AddToList(this);
}

/// End of function 'AVP_ClientEntity_Pheromone::AVP_ClientEntity_Pheromone'. ///



////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ClientEntity_Pheromone::~AVP_ClientEntity_Pheromone
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

AVP_ClientEntity_Pheromone::~AVP_ClientEntity_Pheromone()
{

	s_xList.RemoveFromList(this);
}

/// End of function 'AVP_ClientEntity_Pheromone::~AVP_ClientEntity_Pheromone'. ///



////////////////////////////////////////////////////////////////////////////////
// Public functions...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ClientEntity_Pheromone::Create
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

AVP_ClientEntity_Pheromone* AVP_ClientEntity_Pheromone::Create(const Asura_Message* pxMessage)
{
	const AVP_Message_Pheromone_Create*	pxData			= static_cast<const AVP_Message_Pheromone_Create*>(pxMessage->GetData());
	AVP_ClientEntity_Pheromone*			pxPheromone	= new AVP_ClientEntity_Pheromone (*pxData);

	return(pxPheromone);
}

/// End of function 'AVP_ClientEntity_Pheromone::Create'. ///



////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ClientEntity_Pheromone::Render
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

void AVP_ClientEntity_Pheromone::Render(void)
{
}

/// End of function 'AVP_ClientEntity_Pheromone::Render'. ///



////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ClientEntity_Pheromone::Update
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

void AVP_ClientEntity_Pheromone::Update(void)
{
	PARENT::Update();
}

/// End of function 'AVP_ClientEntity_Pheromone::Update'. ///


/// End of file. ///
*/