//////////////////////////////////////////////////////////////////////////////
//
// AVP_Message_InteractPredatorLock_ClientCreate.h
//
// Created by AJK 22/10/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef AVP_MESSAGE_INTERACTOBJECT_CLIENTCREATE
#define AVP_MESSAGE_INTERACTOBJECT_CLIENTCREATE

#include "Entity/PhysicalObject/Interact/AVP_Messages_InteractObject.h"

class AVP_ServerEntity_InteractPredatorLock;

class AVP_Message_InteractPredatorLock_ClientCreate : public AVP_Message_InteractObject_ClientCreate
{
public:

	void FillInteractionObject( const AVP_ServerEntity_InteractPredatorLock* pxObject );
	u_char GetCurrentPosition() const { return m_cLockCurrentPosition; }

private :
	typedef AVP_Message_InteractObject_ClientCreate PARENT;

	u_char           m_cLockCurrentPosition;              // From 1 to 4

};

#endif   // ifndef AVP_MESSAGE_INTERACTOBJECT_CLIENTCREATE
