//////////////////////////////////////////////////////////////////////////////
//
// AVP_Message_InteractToolReceptacle_ClientCreate.h
//
// Created by AJK 25/11/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef AVP_MESSAGE_INTERACTTOOLRECEPTACLE_CLIENTCREATE
#define AVP_MESSAGE_INTERACTTOOLRECEPTACLE_CLIENTCREATE

#include "Entity/PhysicalObject/Interact/AVP_Messages_InteractObject.h"

class AVP_ServerEntity_InteractToolReceptacle;

class AVP_Message_InteractToolReceptacle_ClientCreate : public AVP_Message_InteractObject_ClientCreate
{
public:

	AVP_Message_InteractToolReceptacle_ClientCreate();
	void FillInteractionObject( const AVP_ServerEntity_InteractToolReceptacle* pxObject );
	bool IsToolInside() const { return m_bToolInside; }
	Asura_Guid GetToolGuid() const { return m_uToolGuid; }

private :
	typedef AVP_Message_InteractObject_ClientCreate PARENT;

	bool	   m_bToolInside;
	Asura_Guid m_uToolGuid;
};

#endif   // ifndef AVP_MESSAGE_INTERACTTOOLRECEPTACLE_CLIENTCREATE
