//////////////////////////////////////////////////////////////////////////////
//
// AVP_GUIMenu_AudioDiaries.h
//
// (AJK - 12.03.2009) Created
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __AVP_GUIMENU_AUDIODIARIES__
#define __AVP_GUIMENU_AUDIODIARIES__

class AVP_GUIMenu_AudioDiaries
{
public:
	static void SetupConsoleCommands();
	static void Shutdown();
	static void StopDialogue();
	static void Update();

private:
	static bool ConsoleCmd_AudioDiariesList  ( u_int uElementIndex, bool bInterrogate, bool bHelp );
	static bool ConsoleCmd_AudioDiariesDate  ( u_int uElementIndex, bool bInterrogate, bool bHelp );
	static bool ConsoleCmd_AudioDiariesPlay  ( u_int uElementIndex, bool bInterrogate, bool bHelp );
	static bool ConsoleCmd_AudioDiariesNew   ( u_int uElementIndex, bool bInterrogate, bool bHelp );

#if defined(ASURA_USE_DIALOGUE_SYSTEM)
	static	Asura_Handle s_iDialogueHandle;
#endif	//defined(ASURA_USE_DIALOGUE_SYSTEM)
};

#endif // __AVP_GUIMENU_AUDIODIARIES__