//
// Asura_Project_Main.h
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_PROJECT_MAIN_H__
#define __ASURA_PROJECT_MAIN_H__

#include "Core/AVP_Core.h"

class Asura_Project
{
public:
	static void EarlyInitialise() { AVP_Core::EarlyInitialise(); }
	static void LateInitialise() { AVP_Core::LateInitialise(); }
	static bool MainLoop() { return AVP_Core::MainLoop(); }
	static void Shutdown() { AVP_Core::Shutdown(); }
#ifdef ASURA_TOOLS
	static bool GetToolsRequested() { return AVP_Core::GetToolsRequested(); }
	static void SetToolsRequested(bool bRequested) { AVP_Core::SetToolsRequested(bRequested); }
#endif
};

#endif//__ASURA_PROJECT_MAIN_H__
