//
// AVP_Multiplayer_DamageCounter.h
//
// Created by JG - 07 August 2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_MULTIPLAYER_DAMAGECOUNTER_H__
#define __AVP_MULTIPLAYER_DAMAGECOUNTER_H__


//----------------------------------------------------------------------------------------
//////////////////////////////////////////////////////////////////////////////////////////
//  CLASS    :  AVP_Multiplayer_DamageCounter
//  CREATED  :  JG (7.8.2008)
//  DESC     :  Store damage received from a player
//////////////////////////////////////////////////////////////////////////////////////////
//----------------------------------------------------------------------------------------
class AVP_Multiplayer_DamageCounter
{
public:
	AVP_Multiplayer_DamageCounter( Asura_Guid uGuid ); 
	virtual ~AVP_Multiplayer_DamageCounter(); 

	Asura_Guid	GetGuid( void ) const								{ return m_uActorGuid; }
	bool		IsDestroyed( void ) const							{ return false; }

	void		SetDamage( const float fDamage )					{ m_fDamage = fDamage; }
	float		GetDamage( void ) const								{ return m_fDamage; }

protected:
	void		SetGuid( const Asura_Guid uActorGuid )				{ m_uActorGuid = uActorGuid; }
	
	Asura_Guid		m_uActorGuid; 
	float			m_fDamage; 

}; 
#endif//__AVP_MULTIPLAYER_DAMAGECOUNTER_H__