
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Platform_Human_InputHandler.cpp
// Author : Andy Tate
// Date   : 3-Oct-2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
// JL - 01 April 2009 - Modified version of PC file, used in PC-CLI
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Actor/Vertebrates/Human/AVP_Human_InputHandler.h"

// AVP platform header files...
#include "Actor/Vertebrates/Human/AVP_PC_Human_ControlMapper.h"

// JL - 01 April 2009 - Stubbed out for PC-CLI to avoid using anything related to joysticks
void AVP_Human_InputHandler::Platform_InitialiseControlMap(void) 
{
	AVP_PC_Human_ControlMapper	xControlMapper;
	xControlMapper.Initialise(*this);
}

/// End of file. ///
