///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Platform_FMV.cpp
// Author : Catalin Arsenescu
// Date   : 25/04/08
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
// JL - 01 April 2009 - Edited PC version used in PC-CLI, doesnt play anything
// anymore, PC-CLI does not support playing FMVs
//
///////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Fmv/AVP_FMV.h"

#include "Core/Asura_UserInput.h"
#include "Cutscene/Asura_FMVSubtitles.h"

bool CheckForFMVSkip( void );

void AVP_FMV::Platform_Initialise ()
{
	//Dont need to do anything here
}

void AVP_FMV::Platform_Shutdown ()
{
	//Or here
}

bool AVP_FMV::Platform_Play(const char* szFilename, int iAudioStream, bool bLoop)
{
	return true;
}

bool CheckForFMVSkip( void )
{
	// Escape should probably always skip.
	if( Asura_UserInput::DebouncedKeyPressed(ASURA_KEYID_ESCAPE) ) { return true; }
	if( Asura_UserInput::DebouncedKeyPressed(ASURA_KEYID_SPACE) ) { return true; }
	if( Asura_UserInput::DebouncedKeyPressed(ASURA_KEYID_MOUSEBUTTON1) ) { return true; }
	if( Asura_UserInput::DebouncedKeyPressed(ASURA_KEYID_ENTER) ) { return true; }

	return false;
}

//eof
