///////////////////////////////////////////////////////////////////////////////
//
// File      : AVP_Rumble_System.cpp
// Author    : Ali Jakamy
// Created   : 25/03/2009
//
// Copyright (C) 2009 Rebellion. All Rights Reserved
//
// JL - 01 April 2009 - Edited PC version used in PC-CLI, PC-CLI does not rumble
//
///////////////////////////////////////////////////////////////////////////////
#include "Core/Asura.h"

// This file's header
#include "Input/AVP_Rumble_System.h"

// Asura Headers
#include "Input/Asura_Rumble_System.h"

Asura_Hash_ID AVP_Rumble_System::GetPlatformBuleprint( Asura_Hash_ID uBlueprint )
{
	return Asura_ConcatenateHashID( uBlueprint, "PCCLI" );	
}

bool AVP_Rumble_System::GetPlatformSupport2Motors( )
{
	return false;
}

void AVP_Rumble_System::PlatformSetupRumbleMotor( AVP_Rumble* pxRumble, AVP_Rumble_Motor eMotor, Asura_Handle iRumble) {}
void AVP_Rumble::PlatformSetup() {}