//////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_PlatformProject_CommandConsole.cpp
// Author : Johan Lerstrom
// Date   : 01-Apr-2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//
// Description: PC-CLI uses the PC console window
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#ifdef ASURA_SUPPORT_COMMAND_CONSOLE

#include "Interface/Asura_CommandConsole.h"

#include "Interface/Asura_PC_ConsoleWindowIO.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

Asura_CommandConsole_IO* Asura_CommandConsole::PlatformProject_CreateIO( void )
{
	return new Asura_PC_ConsoleWindowIO("AVP PC-CLI");
}

#endif //def ASURA_SUPPORT_COMMAND_CONSOLE
