///////////////////////////////////////////////////////////////////////////////
//
// File: AVP_Platform_Laser.cpp
//
// Created by Andrew Southgate 12/11/2007
// 
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
// Handles rendering of the predators tri-laser thingy
//
// JL - 01 April 2009 - Edited PC version used in PC-CLI, PC-CLI does not
// display tri-laser thingies.
//
///////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"
#include "Core/Asura_LOS.h"
#include "Core/Asura_Timers.h"
#include "Core/Asura_TextureManagement.h"


// Asura Platform-independent
#include "Camera/Asura_Camera.h"
#include "Core/Asura_Maths.h"
#include "Rendering/Asura_Render.h"
#include "Rendering/Asura_Viewport.h"
#include "Rendering/Asura_Colour.h"

// AVP
#include "SpecialFX/AVP_Laser.h"
#include "SpecialFX/AVP_Platform_Laser.h"

void AVP_Platform_Laser_System::Initialise() {}
void AVP_Platform_Laser_System::CaptureEffect() {}

#if ASURA_LOAD_EFFECT_FILES == 1
void AVP_Platform_Laser_System::OnEffectLoaded(Asura_Direct3D_Effect* pxEffect)
{
	//AVP_Platform_Laser_System::CaptureEffect();
}

void AVP_Platform_Laser_System::OnEffectUnloaded(Asura_Direct3D_Effect* pxEffect)
{
	//s_pxLaserEffect = NULL;
}
#endif

void AVP_Platform_Laser_System::RenderStart() {}
void AVP_Platform_Laser_System::SetupLaserParams(AVP_Laser *pxLaser) {}
void AVP_Platform_Laser_System::RenderLaser(AVP_Laser *pxLaser, const Asura_Vector_3 &xPosition, const Asura_Vector_3 &xRight, const Asura_Vector_3 &xDown, const Asura_Vector_3 &xForward, float fLength) {}
void AVP_Platform_Laser_System::RenderEnd() {}
void AVP_Platform_Laser_System::Shutdown() {}
