//////////////////////////////////////////////////////////////////////////////
//
// AVP_Platform_Hierarchy_System.cpp
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#include "Animation/AVP_Hierarchy_System.h"

// Asura Platform-independent
#include "Animation/Asura_Animation.h"
#include "Animation/Asura_Hierarchy.h"
#include "Camera/Asura_Camera.h"
#include "Core/Asura_MaterialResponse_System.h"
#include "Debugging/Asura_Assert.h"
#include "Rendering/Asura_Render.h"
#include "Rendering/Asura_SortedRender.h"
#include "Rendering/Asura_Viewport.h"

// Asura PC
#include "Rendering/Asura_Direct3D.h"
#include "Rendering/Asura_Direct3D_BackBufferCapture.h"
#include "Rendering/Asura_Direct3D_Effect.h"
#include "Rendering/Asura_Direct3D_Effects_System.h"
#include "Rendering/Asura_Direct3D_MaterialResponse.h"
#include "Rendering/Asura_Direct3D_SmoothSkinRenderer.h"

// Misc
#include <d3d9.h>


#include "SpecialFX/AVP_Platform_CloakEffect.h"
/******************************************************************************/
/* Global Variables                                                           */
/******************************************************************************/


/******************************************************************************/
/* Functions                                                                  */
/******************************************************************************/


/******************************************************************************/
/* AVP_Hierarchy_System Static Class Functions                                */
/******************************************************************************/

////////////////////////////////////////////////////////////////////////////////
//
// AVP_Hierarchy_System::Platform_Initialise()
//
// Initialises the AVP hierarchy renderers on this platform
//
// Parameters:		None
// Return value:	None
//
////////////////////////////////////////////////////////////////////////////////

void AVP_Hierarchy_System::Platform_Initialise()
{
}

////////////////////////////////////////////////////////////////////////////////
//
// AVP_Hierarchy_System::Platform_Reset()
//
// Resets the AVP hierarchy renderers on this platform
//
// Parameters:		None
// Return value:	None
//
////////////////////////////////////////////////////////////////////////////////

void AVP_Hierarchy_System::Platform_Reset()
{
}

////////////////////////////////////////////////////////////////////////////////
//
// AVP_Hierarchy_System::Platform_Shutdown()
//
// Shuts down the AVP hierarchy renderers on this platform
//
// Parameters:		None
// Return value:	None
//
////////////////////////////////////////////////////////////////////////////////

void AVP_Hierarchy_System::Platform_Shutdown()
{
	
}


