//////////////////////////////////////////////////////////////////////////////
//
// AVP_Platform_DevLobby.cpp
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
// Description:
//
//     PC version
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#if defined(AVP_USE_DEV_LOBBY)

// Asura PC includes
#ifdef ASURA_PC_SUPPORT_STEAMWORKS
#include "Network/Steamworks/Asura_PC_Steamworks.h"
#endif

// AVP includes
#include "Core/AVP_Settings.h"
#include "FrontEnd/AVP_DevLobby.h"

void AVP_DevLobby::Platform_Initialise()
{
	// without steamworks, always use LAN.
#ifdef ASURA_PC_SUPPORT_STEAMWORKS
	if (!Asura_PC_Steamworks::IsSteamworksEnabled())
#endif
	{
		AVP_Settings::SetOnlineGame(false);
	}
}

void AVP_DevLobby::Platform_Shutdown()
{

}

#endif	//defined(AVP_USE_DEV_LOBBY)
