//////////////////////////////////////////////////////////////////////////////
//
// AVP_Platform_Hierarchy_System.cpp
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#include "Animation/AVP_Hierarchy_System.h"

// Asura Platform-independent
#include "Animation/Asura_Animation.h"
#include "Animation/Asura_Hierarchy.h"
#include "Camera/Asura_Camera.h"
#include "Core/Asura_MaterialResponse_System.h"
#include "Debugging/Asura_Assert.h"
#include "Rendering/Asura_Render.h"
#include "Rendering/Asura_SortedRender.h"
#include "Rendering/Asura_Viewport.h"

// Asura PS3
#include "Rendering/Asura_PS3_CharacterRenderer.h"

// AVP PS3
#include "SpecialFX/AVP_Platform_CloakEffect.h"

/******************************************************************************/
/* AVP_Hierarchy_System Static Class Functions                                */
/******************************************************************************/

////////////////////////////////////////////////////////////////////////////////
//
// AVP_Hierarchy_System::Platform_Initialise()
//
// Initialises the AVP hierarchy renderers on this platform
//
// Parameters:		None
// Return value:	None
//
////////////////////////////////////////////////////////////////////////////////

void AVP_Hierarchy_System::Platform_Initialise()
{
}

////////////////////////////////////////////////////////////////////////////////
//
// AVP_Hierarchy_System::Platform_Reset()
//
// Resets the AVP hierarchy renderers on this platform
//
// Parameters:		None
// Return value:	None
//
////////////////////////////////////////////////////////////////////////////////

void AVP_Hierarchy_System::Platform_Reset()
{
}

////////////////////////////////////////////////////////////////////////////////
//
// AVP_Hierarchy_System::Platform_Shutdown()
//
// Shuts down the AVP hierarchy renderers on this platform
//
// Parameters:		None
// Return value:	None
//
////////////////////////////////////////////////////////////////////////////////

void AVP_Hierarchy_System::Platform_Shutdown()
{
}
