//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Project_UserInput.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Core/Asura_UserInput.h"

// Input Simulation
#ifdef AVP_USE_INPUT_SIMULATOR
	#include "InputSimulator/AVP_InputSimulator_System.h"
#endif
//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

void Asura_UserInput::PlatformProject_Initialise()
{
}

void Asura_UserInput::PlatformProject_Shutdown()
{
}

void Asura_UserInput::PlatformProject_Reset()
{
}

void Asura_UserInput::PlatformProject_Update()
{
	#ifdef AVP_USE_INPUT_SIMULATOR
		AVP_InputSimulator_System::Update( CurrentInput, AxisValue );	
	#endif
}

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
