//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Project_ServerEntity_FMVTrigger.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Entity/Triggers/Asura_ServerEntity_FMVTrigger.h"

#include "Debugging/Asura_CPUProfile_Renderer.h"

#include "FMV/AVP_FMV.h"

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

void Asura_ServerEntity_FMVTrigger::PlatformProject_PlayFMV() const
{
	const char*	szFilename	= m_xFMVName.GetString();

	// Since the entity update profile is running and playing an FMV causes several other
	// profile markers to be started an stopped, we need to pause the profile system altogether.
	ASURA_CPUPROFILE_SCOPED_PAUSE;

	AVP_FMV::Play(szFilename);
}

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
