///////////////////////////////////////////////////////////////////////////////
//
// File   : GlowOutlinesSkin_FP.h
// Author : Andy Southgate
// Date   : 19-February-2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////


#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_PS3_GLOWOUTLINESSKIN_FP_H__
#define __AVP_PS3_GLOWOUTLINESSKIN_FP_H__

extern uint32_t _binary_PS3_GlowOutlinesSkin_FP_bin_start;
extern uint32_t _binary_PS3_GlowOutlinesSkin_FP_bin_end;

class AVP_PS3_GlowOutlinesSkin_PS : public AVP_PS3_PixelShader
{
public:
	AVP_PS3_GlowOutlinesSkin_PS() : 
		AVP_PS3_PixelShader(ASURA_PS3_GLOWOUTLINESSKIN_SHADER, NULL, 
			&_binary_PS3_GlowOutlinesSkin_FP_bin_start, &_binary_PS3_GlowOutlinesSkin_FP_bin_end)
	{

	}
#if defined(ASURA_PS3_ALLOW_SHADER_RELOAD)
	void ReloadFromDisc()
	{
		AVP_PS3_PixelShader::ReloadFromDisc("~/Project/AVP/Game/PS3/Shaders/GlowOutlinesSkin_FP.fpx", NULL);

	}
#endif

};


#endif // __AVP_PS3_GLOWOUTLINESSKIN_FP_H__