//
// CloakEffect_VD.h
//
// Created by Catalin Arsenescu - 11 October 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_CLOAKEFFECT_VD_H__
#define __ASURA_PS3_CLOAKEFFECT_VD_H__

//Must correspond to SmoothSkin_VD.h
static Asura_PS3_VertexBufferDeclaration g_axVertexDeclaration[] =
{
//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",		 0,	CELL_GCM_VERTEX_F,		3, 0 },
	{ "xIn.m_aiBoneIndices",	20,	CELL_GCM_VERTEX_UB256,	4, 0 },
	{ "xIn.m_afBoneWeights",	24,	CELL_GCM_VERTEX_UB,		4, 0 },
	{ "xIn.m_xNormal",			28,	CELL_GCM_VERTEX_CMP,	1, 0 },
};

enum VERTEX_DECLARATION
{
	VD_POSITION,

	VD_BONE_INDICES,
	VD_BONE_WEIGHTS,

	VD_NORMAL,

	VD_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_CLOAKEFFECT_VD_H__
