
///////////////////////////////////////////////////////////////////
// ToolsAVP_Blueprint_AnimSpreadsheetExporter.h
// Will Plano - 19/08/2008
// Copyright (C) 2008 Rebellion, All Rights Reserved.
///////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __TOOLS_ANIMSPREADSHEETEXPORTER_H__
#define __TOOLS_ANIMSPREADSHEETEXPORTER_H__

//////////////////////////////////////////////////////////////////////////
// ToolsAVP_SurfaceOverlay
//////////////////////////////////////////////////////////////////////////

class AVP_Actor_AnimStateData;
class Asura_Blueprint;

class ToolsAVP_Blueprint_AnimSpreadsheetExporter
{
public :
	static void Run();
	static bool IsActive();
	static void CreateFile( const char* szFileName );
	static void WriteState( const char* szStateName, const AVP_Actor_AnimStateData* pxAnimStateData, const Asura_Blueprint* pxStateBP, const Asura_Hash_ID uStateBPType );

private:
	static void CloseFile();
	static void WriteCell( const char* szCellText, const bool bLastInRow = false );

	static const char* GetAnimNameFromHash( const Asura_Hash_ID uAnimHash );
	static const char* GetBPNameFromHash( const Asura_Hash_ID uBPTypeHash, const Asura_Hash_ID uBPHash );
};

#endif //__TOOLS_ANIMSPREADSHEETEXPORTER_H__
