//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Mode_Blueprint.h
//
// Copyright (C) 2008 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __TOOLSAVP_MODE_BLUEPRINT_H__
#define __TOOLSAVP_MODE_BLUEPRINT_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Blueprint/Tools_Mode_Blueprint.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Tools_Blueprint_Edit_Object;
class Tools_ContextMenu;
class Tools_ContextMenu_Context;

//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Mode_Blueprint
//
//////////////////////////////////////////////////////////////////////////////

class ToolsAVP_Mode_Blueprint : public Tools_Mode_Blueprint
{
	typedef Tools_Mode_Blueprint PARENT;

public:
	ToolsAVP_Mode_Blueprint();

	static Tools_Mode_Blueprint* Project_CreateBlueprintMode();

protected:
    virtual class Tools_Blueprint_Edit_Object* CreateBlueprintEditObject();
	virtual void AddContextMenuItems( Tools_ContextMenu& xMenu, const Tools_ContextMenu_Context& xContext );

private:
	static bool TreeSelectionIsPhysicalObjectBlueprint();
	static void CreateStaticFromBlueprint();
	static void CreatePhysicsFromBlueprint();
	static void CreateLiftFromBlueprint();
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__TOOLSAVP_MODE_BLUEPRINT_H__
