//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Cutscene_Object.h
//
// Created by Ali Jakamy 25/06/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLSAVP_CUTSCENE_OBJECT_H__
#define __TOOLSAVP_CUTSCENE_OBJECT_H__

// Tools.
#include "Cutscene/Tools_Cutscene_Object.h"

// Forward declaration
class Asura_Cutscene_Event;

class ToolsAVP_Cutscene_Object : public Tools_Cutscene_Object
{
public:

	ToolsAVP_Cutscene_Object( Asura_Cutscene* pxCutscene ) : Tools_Cutscene_Object( pxCutscene ) {}

    virtual void AddEventsToSelectionOverlay(ListSelection_Overlay& xOverlay);
    virtual Tools_Cutscene_Event* AllocateToolsEvent(Asura_Cutscene_Event* pxEvent, int iEventID);

private :
	
	typedef Tools_Cutscene_Object PARENT;
};

#endif // #ifndef __TOOLSAVP_CUTSCENE_OBJECT_H__