//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Node_VantagePoint.cpp
//
// Copyright (C) 2008 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// core
#include "Core/Asura.h"

// header
#include "Entity/Locations/VantagePoint/ToolsAVP_Node_VantagePoint.h"

// avp
#include "Entity/Locations/VantagePoint/AVP_ServerNode_VantagePoint.h"

//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Node_VantagePoint
//
//////////////////////////////////////////////////////////////////////////////

ToolsAVP_Node_VantagePoint::ToolsAVP_Node_VantagePoint( Asura_Entity* pxEntity )
: PARENT( pxEntity )
{
	AVP_ServerNode_VantagePoint* pxVPEntity = static_cast<AVP_ServerNode_VantagePoint*>(pxEntity);
	if (!pxVPEntity->HasValidOrientation())
	{
		pxVPEntity->SetOrientation(Orientation);	
		SetEntityModified();
	}
}

void ToolsAVP_Node_VantagePoint::UpdateWhileSelected()
{
	PARENT::UpdateWhileSelected();
}
//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
