//
// ToolsAVP_SaveAsura.cpp
//
// Created by Chris Wallace
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

// Asura includes
#include "Core/Asura.h"

// This file's header
#include "Load&Save/ToolsAVP_SaveAsura.h"

// Asura includes
#include "ChunkSystem/Asura_Chunk_Stream.h"
#include "ChunkSystem/Asura_SaveBlock.h"

// Project includes
#include "ChunkSystem/AVP_Chunk_Navigation.h"

bool ToolsAVP_SaveAsura::AddChunksToWaypointingFile( Asura_SaveBlock* pxSaveBlock )
{
    const bool bParentOk = PARENT::AddChunksToWaypointingFile( pxSaveBlock );

    Asura_Chunk_SaveBlock_Stream xStream( pxSaveBlock );
    AVP_Chunk_Navigation::WriteToChunkStream( xStream );

    return bParentOk;
}
