//*******************************************************************
//
// File: Tools_Botanicals_Statistics.h       
//
// Created: 16 Mar 2006
//
// Description: 
//
//*******************************************************************

#ifndef _TOOLS_BOTANICALS_STATISTICS_H_
#define _TOOLS_BOTANICALS_STATISTICS_H_

#if defined( ASURA_USE_BOTANICALS) && defined( ASURA_TOOLS)

// other libraries

// internal dependencies

// forward declarations

//*******************************************************************
// Constants
//*******************************************************************
#if defined( ASURA_TOOLS)
	#define ASURA_BOTANICAL_INSTANCEMANAGER_PROFILE
#endif


//*******************************************************************
// Class Definitions
//*******************************************************************

class Tools_Botanicals_Statistics
{
public:
	static bool Reset();
	static bool Render();

public:
	static float s_fTime;
	static uint32 s_uDIPCount;
	static uint32 s_uDIP3DCount;
	static uint32 s_uDIPLeafCount;
	static uint32 s_uDIPImposterCount;
	static uint32 s_uDIPIndexCount;
	static uint32 s_uDIPVertexCount;
	static uint32 s_uDIPPrimitiveCount;
	static uint32 s_uDIP3DPrimitiveCount;
	static uint32 s_uDIPLeafPrimitiveCount;
	static uint32 s_uDIPImposterPrimitiveCount;
	static uint32 s_uInstanceCount;
	
	static uint32 s_uDynamicLightTotalCount;
	static uint32 s_uDynamicLightVertexCount;
	static uint32 s_uDynamicLightObjectCount;
};

//*******************************************************************
// Inline Function Definitions
//*******************************************************************

#define TOOLS_BOTANICAL_STATISTICS_SET( _VARIABLE, _VALUE) Tools_Botanicals_Statistics::_VARIABLE = (_VALUE)
#define TOOLS_BOTANICAL_STATISTICS_ADD( _VARIABLE, _VALUE) Tools_Botanicals_Statistics::_VARIABLE += (_VALUE)
#define TOOLS_BOTANICAL_STATISTICS_RESET() Tools_Botanicals_Statistics::Reset()

#else //defined( ASURA_TOOLS)

#define TOOLS_BOTANICAL_STATISTICS_SET( _VARIABLE, _VALUE)
#define TOOLS_BOTANICAL_STATISTICS_ADD( _VARIABLE, _VALUE)
#define TOOLS_BOTANICAL_STATISTICS_RESET()

//*******************************************************************
//
// (c) 2006 Rebellion (Derby)
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif //defined( ASURA_USE_BOTANICALS)

#endif // _TOOLS_BOTANICALS_STATISTICS_H_
