//
// Asura_Chunk_Skybox.h
//
// Created by Kevin Lea - 02/10/2001 16:56:25
// 
// Copyright (C) 2001 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_CHUNK_SKYBOX_H__
#define __TOOLS_CHUNK_SKYBOX_H__

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_Stream;

class Tools_Chunk_SkyBox : public Asura_Chunk_Header
{
	public:
		bool Process(Asura_Handle fileHandle);
		static void Create(Asura_Chunk_Stream& xStream);

		float m_fRed;
		float m_fGreen;
		float m_fBlue;
};

#endif//__TOOLS_CHUNK_SKYBOX_H__
