//
// Tools_Cutscene_Subtitles.h
//
// Created by Richard Rice - 23/08/2005
// 
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//


#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef _TOOLS_CUTSCENE_SUBTITLES_H_
#define _TOOLS_CUTSCENE_SUBTITLES_H_

#include "Core/Asura_Hash.h"
#include "Core/Asura_String.h"


template <class T> class Asura_TemplateHashTree;

class Tools_Cutscene_Subtitles
{
public :
	static void Initialise();
	static void Shutdown();

	//select subtitle from list
	static Asura_Hash_ID SelectSubtitle(Asura_Hash_ID uInitialTextHash);

	//get string of subtitle ID from its hash
	static const char* GetSubtitleID(Asura_Hash_ID uTextHash);

private :
	static void LoadSubtitleIDs();

	static Asura_TemplateHashTree<Asura_String>* s_pxSubtitleTree;
};



#endif //_TOOLS_CUTSCENE_SUBTITLES_H_
