
// Tools_EffectVolume_FSFXOverlay.h
//
// Created by Emil Popovic - 12/01/2009
// 
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_FSFX

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif


#ifndef __TOOLS_EFFECTVOLUME_FSFXOVERLAY_H__
#define __TOOLS_EFFECTVOLUME_FSFXOVERLAY_H__


#include "Entity/Tools_Entity_Object.h"
#include "Entity/Triggers/EffectVolume/Asura_EffectVolume_Effect.h"

class Tools_EffectVolume_FSFXOverlay : public Tools_Modal_Overlay
{
public:
	Tools_EffectVolume_FSFXOverlay( Asura_EffectVolume_Effect_FSFX* pxFsfx );
	virtual ~Tools_EffectVolume_FSFXOverlay();

	bool DoModal();

protected:
	virtual void InitialiseOverlay(class Asura_Overlay* pxOverlay);
	virtual void Update();

private:

	static void OkayPressed( int iUserData );
	static void CancelPressed( int iUserData );

	bool							m_bReturnValue;

	Asura_EffectVolume_Effect_FSFX* m_pxCurrentFsfx;

	static Asura_Hash_ID			s_uFSFXHash;
	static float					s_fFSFXIntensity;
	static bool						s_bFSFXChanged;


	typedef Tools_Modal_Overlay PARENT;
};


#endif //__TOOLS_EFFECTVOLUME_FSFXOVERLAY_H__

#endif //ASURA_USE_FSFX

