//
// Tools_GUIMenu_XMLExporter.h
//
// Created by HE - 10 May 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __TOOLS_GUIMENU_XMLEXPORTER_H__
#define __TOOLS_GUIMENU_XMLEXPORTER_H__

#ifdef ASURA_USE_GUI_MENU_SYSTEM

#include "Misc/Tools_XMLExporter.h"

//////////////////////////////////////////////////////////////////////////////
//
// Tools_GUIMenu_XMLExporter
//
//////////////////////////////////////////////////////////////////////////////

class Tools_GUIMenu_XMLExporter : public Tools_XMLExporter
{

typedef Tools_XMLExporter PARENT;

public:
	Tools_GUIMenu_XMLExporter( const char* szPath = NULL, const char* szStyleSheet = NULL ) : PARENT(szPath, szStyleSheet) {}

	void StartXMLExport( const Asura_GUIMenu_Menu_Page* pxMenuPage );

	//converts a Asura_GUIMenu_Object_Type to its string name
	static char* MapObjectTypesToName( u_int uType ); //uType is a Asura_GUIMenu_Object_Type

private:
	//no copying or assignment, please
	Tools_GUIMenu_XMLExporter(Tools_GUIMenu_XMLExporter const&);
	Tools_GUIMenu_XMLExporter& operator=(const Tools_GUIMenu_XMLExporter& xExporter);
};

#endif // ASURA_USE_GUI_MENU_SYSTEM

#endif//__TOOLS_GUIMENU_XMLEXPORTER_H__
