//
// fail.cpp
//
// Created by Kevin Lea - 05/10/2001 16:50:43
// 
// Copyright (C) 2001 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

/* LotU: Error handling functions.

   Copyright (C) 1995, Jamie Lokier.
   Written for Rebellion Developments, Ltd.

   Permission to use, copy, modify and distribute this file for any
   purpose by Rebellion Developments, Ltd. is hereby granted.  If you
   want to use this file outside the company, please let me know.
*/

/* modified for use in DZ by Jake Hotson */
/* And modified again for Asura by Richard Rice*/

// This file's header.
#include "fail.h"

// Stdlib independent.
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

// Engine independent.
#include "Debugging/Asura_Assert.h"

void VARARG_DECL fail (const char * format, ...)
{
	char buffer[512];
	va_list ap;

	va_start (ap, format);
	if (format != 0)
		vsprintf (buffer, format, ap);
	va_end (ap);

	Asura_Assert(0,buffer);
}
