//////////////////////////////////////////////////////////////////////////////
//
// Tools_OS.h
//
// Created by Morgan Parry.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___TOOLS_OS_H___
#define ___TOOLS_OS_H___ 1

// C L A S S E S /////////////////////////////////////////////////////////////

class Tools_OS
{

    public:

        static void Initalise( void );
        static void Shutdown( void );

        // Returns ptr to formatted error string. Each call destroys the
        // result of the last.
        static const char* GetLastSystemError( void );

};
// End class Tools_OS.

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___TOOLS_OS_H___
