//*******************************************************************
//
// File: Asura_Botanical_Game_Render_Types.h 
//
// Created: 27 Nov 2006
//
// Description: 
//
//*******************************************************************

#ifndef _ASURA_BOTANICAL_GAME_RENDER_TYPES_H_
#define _ASURA_BOTANICAL_GAME_RENDER_TYPES_H_

#if defined( ASURA_USE_BOTANICALS)

// other libraries
#include "Botanicals/Asura_Botanical_Game_Render_Constants.h"

// internal dependencies

// forward declarations

//*******************************************************************
// Constants
//*******************************************************************


//*******************************************************************
// Class Definitions
//*******************************************************************

#define ASURA_BGR_VERSION_ID_OFF (static_cast< Asura_BGR_Version_ID>( -1))
#define ASURA_BGR_SECTION_ID_INVALID (static_cast< Asura_BGR_Section_ID>( -1))
#define ASURA_BGR_STATE_ID_INVALID (static_cast< Asura_BGR_State_ID>( -1))

#define ASURA_BGR_STATE_VALUE_MIN (0)
#define ASURA_BGR_STATE_VALUE_MAX (0xFF)

typedef uint16 Asura_BGR_Version_ID;
typedef u_int Asura_BGR_Section_ID;
typedef u_int Asura_BGR_State_ID;
typedef void* Asura_BGR_DynamicInstance;

#if !defined( ASURA_BOTANICAL_STATE_DATA_TYPE)
	#error ASURA_BOTANICAL_STATE_DATA_TYPE is not defined by project or Constants is not included
#endif
typedef ASURA_BOTANICAL_STATE_DATA_TYPE Asura_BGR_State_Value;

//*******************************************************************
// Inline Function Definitions
//*******************************************************************


//*******************************************************************
//
// (c) 2006 Rebellion
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif //defined( ASURA_USE_BOTANICALS)

#endif // _ASURA_BOTANICAL_GAME_RENDER_TYPES_H_
