/**
*
* \file Asura_Chunk_BillboardPlant_Template.h
*
* Created by Andrew Weinkove - 06/12/02
*
* Copyright (C) 2002 Rebellion, All Rights Reserved.
*
**/

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_CHUNK_BILLBOARDPLANT_TEMPLATE_H__
#define __ASURA_CHUNK_BILLBOARDPLANT_TEMPLATE_H__

#ifdef ASURA_USE_BILLBOARD_PLANTS

#include "Core/Asura_Handle.h"
#include "ChunkSystem/Asura_Chunk_Loaders.h"


class Asura_Chunk_BillboardPlant_Template : public Asura_Chunk_Header
{
	public:
#ifdef ASURA_TOOLS
		static void Create();
#endif
		bool Process(Asura_Handle fileHandle) const;
};

#endif //ASURA_USE_BILLBOARD_PLANTS
#endif //__ASURA_CHUNK_BILLBOARDPLANT_TEMPLATE_H__
