//
// Asura_Chunk_Corona.h
//
// Created by Richard Rice - 24/02/03
// 
// Copyright (C) 2003 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_CORONA_H__
#define __ASURA_CHUNK_CORONA_H__

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Material;

class Asura_Chunk_Corona : public Asura_Chunk_Header
{
public :
	bool Process(Asura_Handle iFileHandle) const;
	#ifdef ASURA_TOOLS
	//Extracts coronas from a chunkbuffer , assinging them new IDs.
	//If uSavedID is specified then only that light will be created , and its index will
	//be returned.
	int ImportFromChunkBuffer(const char* pcChunkBuffer,u_int uSavedID,u_int uNewID) const;

	static void Create(Asura_SaveBlock* pxSaveBlock,bool bTemplateFile, bool bMissionFile);
	#endif

	int m_iNumberOfCoronas;
};

#endif //__ASURA_CHUNK_CORONA_H__
