//
// Asura_Chunk_Fragment.h
//
// Created by Richard Rice - 02/12/2002
// 
// Copyright (C) 2002 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_FRAGMENT_H__
#define __ASURA_CHUNK_FRAGMENT_H__

#include "Asura_Chunk_Loaders.h"

class Asura_Chunk_Stream;
class Asura_FragmentType;
class Asura_SaveBlock;

class Asura_Chunk_Fragment : public Asura_Chunk_Header
{
public :
#if defined(ASURA_TOOLS)
	static void Create(const Asura_FragmentType* pxFragmentType, Asura_Chunk_Stream& xStream);
	static void Create(const Asura_FragmentType* pxFragmentType, Asura_SaveBlock* pxSaveBlock);
#endif	// defined(ASURA_TOOLS)
	bool Process(Asura_Chunk_Stream& xStream) const;
	bool Process(Asura_Handle iFileHandle) const;

	enum ChunkFlags
	{
		ChunkFlag_AnimatedFragment = 0x00000001,
	};


};


#endif //__ASURA_CHUNK_FRAGMENT_H__
