//
// Asura_Chunk_HierarchyBodyPart.h
//
// Created by Richard Rice - 9/10/02
// 
// Copyright (C) 2002 Rebellion, All Rights Reserved.
//


#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef _ASURA_CHUNK_HIERARCHYBODYPART_H_
#define _ASURA_CHUNK_HIERARCHYBODYPART_H_

#include "Asura_Chunk_Loaders.h"

//////////////////////////////////////////////////////////////////////////////////////////////
/*--------------------------------**
** Asura_Chunk_DeathAnimFilenames **
**--------------------------------*/
class Asura_Chunk_DeathAnimFilenames : public Asura_Chunk_Header
{
public:
	bool Process(Asura_Handle iFileHandle) const;
	static void Create(class Asura_SaveBlock& xSaveBlock);

 	int m_iNumberOfAnims;
};

//////////////////////////////////////////////////////////////////////////////////////////////
/*-------------------------------**
** Asura_Chunk_HierarchyBodyPart **
**-------------------------------*/

class Asura_Chunk_HierarchyBodyPart : public Asura_Chunk_Header
{
	public :
		bool Process(Asura_Handle iFileHandle);
		static void Create(class Asura_SaveBlock& xSaveBlock);
};


#endif // _ASURA_CHUNK_HIERARCHYBODYPART_H_
