///////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This is a vector font alphabet as line strips. Don't even think about touching it.
//
///////////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef ASURA_DEBUGOVERLAY_ALPHABET_HH
#define ASURA_DEBUGOVERLAY_ALPHABET_HH

namespace Asura_DebugOverlay_Alphabet
{
	static const float pfCoordsA[] =
	{
		0.0f,0.9f,
		0.2f,0.1f,
		0.6f,0.1f,
		0.8f,0.9f,
		0.7f,0.5f,
		0.1f,0.5f,
	};

	static const float pfCoordsB[] =
	{
		0.0f,0.1f,
		0.6f,0.1f,
		0.8f,0.3f,
		0.8f,0.5f,
		0.0f,0.5f,
		0.6f,0.5f,
		0.8f,0.7f,
		0.8f,0.9f,
		0.0f,0.9f,
		0.0f,0.1f,
	};

	static const float pfCoordsC[] = 
	{ 
		0.8f,0.1f, 
		0.0f,0.1f, 
		0.0f,0.9f, 
		0.8f,0.9f 
	};

	static const float pfCoordsD[] =
	{
		0.0f,0.1f,
		0.6f,0.1f,
		0.8f,0.3f,
		0.8f,0.7f,
		0.6f,0.9f,
		0.0f,0.9f,
		0.0f,0.1f,
	};

	static const float pfCoordsE[] =
	{
		0.8f,0.1f, 
		0.0f,0.1f, 
		0.0f,0.5f, 
		0.4f,0.5f, 
		0.0f,0.5f, 
		0.0f,0.9f, 
		0.8f,0.9f 
	};

	static const float pfCoordsF[] =
	{
		0.8f,0.1f, 
		0.0f,0.1f, 
		0.0f,0.5f, 
		0.4f,0.5f, 
		0.0f,0.5f, 
		0.0f,0.9f, 
	};

	static const float pfCoordsG[] =
	{
		0.8f,0.1f, 
		0.0f,0.1f, 
		0.0f,0.9f, 
		0.8f,0.9f, 
		0.8f,0.5f, 
		0.4f,0.5f, 
	};

	static const float pfCoordsH[] =
	{
		0.0f,0.1f, 
		0.0f,0.9f, 
		0.0f,0.5f, 
		0.8f,0.5f, 
		0.8f,0.1f, 
		0.8f,0.9f, 
	};

	static const float pfCoordsI[] =
	{
		0.2f,0.1f, 
		0.6f,0.1f, 
		0.4f,0.1f, 
		0.4f,0.9f, 
		0.2f,0.9f, 
		0.6f,0.9f, 
	};

	static const float pfCoordsJ[] =
	{
		0.0f,0.1f, 
		0.8f,0.1f, 
		0.6f,0.1f, 
		0.6f,0.9f, 
		0.0f,0.9f, 
		0.0f,0.5f, 
	};

	static const float pfCoordsK[] =
	{
		0.0f,0.1f, 
		0.0f,0.5f, 
		0.8f,0.1f, 
		0.0f,0.5f, 
		0.8f,0.9f, 
		0.0f,0.5f, 
		0.0f,0.9f, 
	};

	static const float pfCoordsL[] =
	{
		0.0f,0.1f, 
		0.0f,0.9f, 
		0.8f,0.9f, 
	};

	static const float pfCoordsM[] =
	{
		0.0f,0.9f, 
		0.0f,0.1f, 
		0.4f,0.5f, 
		0.8f,0.1f, 
		0.8f,0.9f, 
	};

	static const float pfCoordsN[] =
	{
		0.0f,0.9f, 
		0.0f,0.1f, 
		0.8f,0.9f, 
		0.8f,0.1f, 
	};

	static const float pfCoordsO[] =
	{
		0.2f,0.1f, 
		0.6f,0.1f, 
		0.8f,0.3f, 
		0.8f,0.7f, 
		0.6f,0.9f, 
		0.2f,0.9f, 
		0.0f,0.7f, 
		0.0f,0.3f, 
		0.2f,0.1f, 
	};

	static const float pfCoordsP[] =
	{
		0.0f,0.9f,
		0.0f,0.1f,
		0.8f,0.1f,
		0.8f,0.5f,
		0.0f,0.5f,
	};

	static const float pfCoordsQ[] =
	{
		0.6f,0.9f, 
		0.2f,0.9f, 
		0.0f,0.7f, 
		0.0f,0.3f, 
		0.2f,0.1f, 
		0.6f,0.1f, 
		0.8f,0.3f, 
		0.8f,0.6f, 
		0.5f,0.9f, 
		0.8f,0.9f, 
	};

	static const float pfCoordsR[] =
	{
		0.0f,0.9f,
		0.0f,0.1f,
		0.8f,0.1f,
		0.8f,0.5f,
		0.0f,0.5f,
		0.8f,0.9f
	};

	static const float pfCoordsS[] =
	{
		0.8f,0.3f,
		0.6f,0.1f,
		0.0f,0.1f,
		0.0f,0.5f,
		0.8f,0.5f,
		0.8f,0.9f,
		0.2f,0.9f,
		0.0f,0.7f,
	};

	static const float pfCoordsT[] =
	{
		0.8f,0.1f,
		0.0f,0.1f,
		0.4f,0.1f,
		0.4f,0.9f,
	};

	static const float pfCoordsU[] =
	{
		0.0f,0.1f,
		0.0f,0.9f,
		0.8f,0.9f,
		0.8f,0.1f,
	};

	static const float pfCoordsV[] =
	{
		0.0f,0.1f,
		0.4f,0.9f,
		0.8f,0.1f,
	};

	static const float pfCoordsW[] =
	{
		0.0f,0.1f, 
		0.0f,0.9f, 
		0.4f,0.5f, 
		0.8f,0.9f, 
		0.8f,0.1f, 
	};

	static const float pfCoordsX[] =
	{
		0.0f,0.1f, 
		0.8f,0.9f, 
		0.4f,0.5f, 
		0.8f,0.1f, 
		0.0f,0.9f, 
	};

	static const float pfCoordsY[] =
	{
		0.0f,0.1f, 
		0.4f,0.5f, 
		0.8f,0.1f, 
		0.4f,0.5f, 
		0.4f,0.9f, 
	};

	static const float pfCoordsZ[] =
	{
		0.0f,0.1f, 
		0.8f,0.1f, 
		0.0f,0.9f, 
		0.8f,0.9f, 
	};

	static const float pfCoords0[] =
	{
		0.2f,0.1f, 
		0.6f,0.1f, 
		0.8f,0.3f, 
		0.8f,0.7f, 
		0.6f,0.9f, 
		0.2f,0.9f, 
		0.0f,0.7f, 
		0.0f,0.3f, 
		0.2f,0.1f, 
		0.1f,0.2f, 
		0.7f,0.8f, 
	};

	static const float pfCoords1[] =
	{
		0.2f,0.3f, 
		0.4f,0.1f, 
		0.4f,0.9f, 
		0.2f,0.9f, 
		0.6f,0.9f, 
	};

	static const float pfCoords2[] =
	{
		0.0f,0.3f, 
		0.2f,0.1f, 
		0.6f,0.1f, 
		0.8f,0.3f, 
		0.0f,0.9f, 
		0.8f,0.9f, 
	};

	static const float pfCoords3[] =
	{
		0.0f,0.3f, 
		0.2f,0.1f, 
		0.6f,0.1f, 
		0.8f,0.3f, 
		0.8f,0.5f, 
		0.4f,0.5f, 
		0.8f,0.5f, 
		0.8f,0.7f, 
		0.6f,0.9f, 
		0.2f,0.9f, 
		0.0f,0.7f, 
	};

	static const float pfCoords4[] =
	{
		0.8f,0.5f, 
		0.0f,0.5f, 
		0.4f,0.1f, 
		0.4f,0.9f, 
	};

	static const float pfCoords5[] =
	{
		0.8f,0.1f,
		0.0f,0.1f,
		0.0f,0.5f,
		0.8f,0.5f,
		0.8f,0.9f,
		0.0f,0.9f,
	};

	static const float pfCoords6[] =
	{
		0.8f,0.1f,
		0.0f,0.5f,
		0.0f,0.7f,
		0.2f,0.9f,
		0.6f,0.9f,
		0.8f,0.7f,
		0.6f,0.5f,
		0.0f,0.5f,
	};

	static const float pfCoords7[] =
	{
		0.0f,0.1f,
		0.8f,0.1f,
		0.0f,0.9f,
	};

	static const float pfCoords8[] =
	{
		0.4f,0.5f,
		0.0f,0.3f,
		0.0f,0.1f,
		0.8f,0.1f,
		0.8f,0.3f,
		0.0f,0.7f,
		0.0f,0.9f,
		0.8f,0.9f,
		0.8f,0.7f,
		0.4f,0.5f,
	};

	static const float pfCoords9[] =
	{
		0.0f,0.9f,
		0.8f,0.5f,
		0.8f,0.3f,
		0.6f,0.1f,
		0.2f,0.1f,
		0.0f,0.3f,
		0.2f,0.5f,
		0.8f,0.5f,
	};

	static const float pfCoordsDot[] =
	{
		0.2f,0.8f,
		0.3f,0.8f,
	};

	static const float pfCoordsQuestion[] =
	{
		0.2f,0.2f,
		0.2f,0.1f,
		0.6f,0.1f,
		0.6f,0.4f,
		0.2f,0.4f,
		0.2f,0.6f,
	};

	static const float pfCoordsComma[] =
	{
		0.2f,0.8f,
		0.4f,0.6f,
	};

	static const float pfCoordsColon[] =
	{
		0.2f,0.2f,
		0.3f,0.2f,
	};

	static const float pfCoordsDash[] =
	{
		0.1f,0.5f,
		0.9f,0.5f,
	};

	static const float pfCoordsPlus[] =
	{
		0.5f,0.1f,
		0.5f,0.9f,
	};

	static const float pfCoordsForwardSlash[] =
	{
		0.1f,0.9f,
		0.9f,0.1f,
	};

	static const float pfCoordsEquals[] =
	{
		0.1f,0.2f,
		0.9f,0.2f,
	};

	static const float pfCoordsError[] = 
	{
		0.2f,0.2f,
		0.6f,0.2f,
		0.6f,0.6f,
		0.2f,0.6f,
		0.2f,0.2f,
	};

	static const float pfCoordsQuote[] = 
	{
		0.2f,0.2f,
		0.2f,0.5f,
	};

	static const float pfCoordsDoubleQuote[] = 
	{
		0.6f,0.2f,
		0.6f,0.5f,
	};

	static const float pfCoordsOpenBracket[] = 
	{
		0.6f,0.1f,
		0.4f,0.3f,
		0.4f,0.7f,
		0.6f,0.9f,
	};

	static const float pfCoordsOpenSquareBracket[] = 
	{
		0.6f,0.1f,
		0.3f,0.1f,
		0.3f,0.9f,
		0.6f,0.9f,
	};

	static const float pfCoordsCloseBracket[] = 
	{
		0.2f,0.1f,
		0.4f,0.3f,
		0.4f,0.7f,
		0.2f,0.9f,
	};

	static const float pfCoordsCloseSquareBracket[] = 
	{
		0.2f,0.1f,
		0.5f,0.1f,
		0.5f,0.9f,
		0.2f,0.9f,
	};

	static const float pfCoordsUnderscore[] = 
	{
		0.1f,0.9f,
		0.9f,0.9f,
	};

	static const float pfCoordsGreaterThan[] = 
	{
		0.2f,0.2f,
		0.7f,0.5f,
		0.2f,0.9f,
	};

	static const float pfCoordsLessThan[] = 
	{
		0.8f,0.2f,
		0.3f,0.5f,
		0.8f,0.9f,
	};

	struct Asura_AlphaCharacter
	{
		u_int m_uNumCoords1;
		const float* m_pfCoords1;
		u_int m_uNumCoords2;
		const float* m_pfCoords2;
	}; 

	static const Asura_AlphaCharacter pxChars[] = {
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },

		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },

		{ 0,	NULL, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 2,	pfCoordsQuote, 2, pfCoordsDoubleQuote }, // "
		{ 5,	pfCoordsError, 0, NULL }, // #
		{ 5,	pfCoordsError, 0, NULL },// $
		{ 5,	pfCoordsError, 2, pfCoordsForwardSlash }, // %
		{ 5,	pfCoordsError, 0, NULL },
		{ 2,	pfCoordsQuote, 0, NULL }, // '
		{ 4,	pfCoordsOpenBracket, 0, NULL }, // (
		{ 4,	pfCoordsCloseBracket, 0, NULL }, // )
		{ 5,	pfCoordsError, 0, NULL },
		{ 2,	pfCoordsPlus, 2, pfCoordsDash },
		{ 2,	pfCoordsComma, 0, NULL },
		{ 2,	pfCoordsDash, 0, NULL },
		{ 2,	pfCoordsDot, 0, NULL },
		{ 2,	pfCoordsForwardSlash, 0, NULL },

		{ 11,	pfCoords0, 0, NULL },
		{ 5,	pfCoords1, 0, NULL },
		{ 6,	pfCoords2, 0, NULL },
		{ 11,	pfCoords3, 0, NULL },
		{ 4,	pfCoords4, 0, NULL },
		{ 6,	pfCoords5, 0, NULL },
		{ 8,	pfCoords6, 0, NULL },
		{ 3,	pfCoords7, 0, NULL },
		{ 10,	pfCoords8, 0, NULL },
		{ 8,	pfCoords9, 0, NULL },
		{ 2,	pfCoordsColon, 2, pfCoordsDot },
		{ 2,	pfCoordsColon, 2, pfCoordsComma },
		{ 3,	pfCoordsLessThan, 0, NULL },
		{ 2,	pfCoordsDash, 2, pfCoordsEquals },
		{ 3,	pfCoordsGreaterThan, 0, NULL },
		{ 6,	pfCoordsQuestion, 2, pfCoordsDot },

		{ 5,	pfCoordsError, 0, NULL },
		{ 6,	pfCoordsA, 0, NULL },
		{ 10,	pfCoordsB, 0, NULL },
		{ 4,	pfCoordsC, 0, NULL },
		{ 7,	pfCoordsD, 0, NULL },
		{ 7,	pfCoordsE, 0, NULL },
		{ 6,	pfCoordsF, 0, NULL },
		{ 6,	pfCoordsG, 0, NULL },
		{ 6,	pfCoordsH, 0, NULL },
		{ 6,	pfCoordsI, 0, NULL },
		{ 6,	pfCoordsJ, 0, NULL },
		{ 7,	pfCoordsK, 0, NULL },
		{ 3,	pfCoordsL, 0, NULL },
		{ 5,	pfCoordsM, 0, NULL },
		{ 4,	pfCoordsN, 0, NULL },
		{ 9,	pfCoordsO, 0, NULL },

		{ 5,	pfCoordsP, 0, NULL },
		{ 10,	pfCoordsQ, 0, NULL },
		{ 6,	pfCoordsR, 0, NULL },
		{ 8,	pfCoordsS, 0, NULL },
		{ 4,	pfCoordsT, 0, NULL },
		{ 4,	pfCoordsU, 0, NULL },
		{ 3,	pfCoordsV, 0, NULL },
		{ 5,	pfCoordsW, 0, NULL },
		{ 5,	pfCoordsX, 0, NULL },
		{ 5,	pfCoordsY, 0, NULL },
		{ 4,	pfCoordsZ, 0, NULL },
		{ 4,	pfCoordsOpenSquareBracket, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 4,	pfCoordsCloseSquareBracket, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 2,	pfCoordsUnderscore, 0, NULL },

		{ 5,	pfCoordsError, 0, NULL },
		{ 6,	pfCoordsA, 0, NULL },
		{ 10,	pfCoordsB, 0, NULL },
		{ 4,	pfCoordsC, 0, NULL },
		{ 7,	pfCoordsD, 0, NULL },
		{ 7,	pfCoordsE, 0, NULL },
		{ 6,	pfCoordsF, 0, NULL },
		{ 6,	pfCoordsG, 0, NULL },
		{ 6,	pfCoordsH, 0, NULL },
		{ 6,	pfCoordsI, 0, NULL },
		{ 6,	pfCoordsJ, 0, NULL },
		{ 7,	pfCoordsK, 0, NULL },
		{ 3,	pfCoordsL, 0, NULL },
		{ 5,	pfCoordsM, 0, NULL },
		{ 4,	pfCoordsN, 0, NULL },
		{ 9,	pfCoordsO, 0, NULL },

		{ 5,	pfCoordsP, 0, NULL },
		{ 10,	pfCoordsQ, 0, NULL },
		{ 6,	pfCoordsR, 0, NULL },
		{ 8,	pfCoordsS, 0, NULL },
		{ 4,	pfCoordsT, 0, NULL },
		{ 4,	pfCoordsU, 0, NULL },
		{ 3,	pfCoordsV, 0, NULL },
		{ 5,	pfCoordsW, 0, NULL },
		{ 5,	pfCoordsX, 0, NULL },
		{ 5,	pfCoordsY, 0, NULL },
		{ 4,	pfCoordsZ, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
		{ 5,	pfCoordsError, 0, NULL },
	};

}; //  namespace Asura_DebugOverlay_Alphabet

#endif // #ifndef ASURA_DEBUGOVERLAY_ALPHABET_HH
