//////////////////////////////////////////////////////////////////////////////
//
// Asura_ClientEntity_PhysicsObject.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ASURA_CLIENTENTITY_PHYSICSOBJECT_H___
#define ASURA_CLIENTENTITY_PHYSICSOBJECT_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine independent.
#include "Entity/PhysicalObject/Asura_ClientEntity_PhysicalObject.h"

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_ClientEntity_PhysicsObject : public virtual Asura_ClientEntity_PhysicalObject
{

public:

	virtual bool HandleMessage( const Asura_Message* pxMsg );
	virtual void Update( void );

protected:

	Asura_ClientEntity_PhysicsObject( void );


private:

    typedef Asura_ClientEntity_PhysicalObject PARENT;

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ASURA_CLIENTENTITY_PHYSICSOBJECT_H___
