//
// Asura_Physics_Constraint_WorldPosition.h
//
// Created by KJFL - 4 July 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//


#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PHYSICS_CONSTRAINT_WORLDPOSITION_H__
#define __ASURA_PHYSICS_CONSTRAINT_WORLDPOSITION_H__

#ifdef ASURA_PHYSICS_SUPPORT_CONSTRAINTS

#include "Core/Asura_Maths.h"
#include "Physics/Constraints/Asura_Physics_Constraint.h"

class Asura_Physics_RigidBodyInstance;

class Asura_Physics_Constraint_WorldPosition : public Asura_Physics_Constraint
{
	public:

		Asura_Physics_Constraint_WorldPosition( const Asura_AVector3& xPositionOnBody, const Asura_AVector3& xWorldPosition, Asura_Physics_RigidBodyInstance* pxBody );

		virtual ~Asura_Physics_Constraint_WorldPosition() {}
		
		virtual void ResolveConstraint( void );

		// set joint-breaking speed
		// set joint-breaking distance
	
	protected: 

		Asura_AVector3	m_xPositionOnBody;
		Asura_AVector3	m_xWorldPosition;
};

#endif

#endif//__ASURA_PHYSICS_CONSTRAINT_WORLDPOSITION_H__

