// Asura_XAPO_DSP_AddNoise.h
// Thomas Young - 26.03.09
// Copyright (C) 2009 Rebellion, All Rights Reserved.

// F I L E   W R A P P E R ///////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#if !defined __ASURA_XAPO_DSP_ADDNOISE_H__
#define __ASURA_XAPO_DSP_ADDNOISE_H__

#if defined ASURA_USE_AUDIO_SYSTEM

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Sound/XAPO_DSP/Asura_XAPO_DSP.h"
#include "Sound/Asura_Audio_DSP.h"

// C L A S S   D E C L A R A T I O N S ///////////////////////////////////////

class __declspec( uuid( "{28B0AA35-0FDF-4290-A00F-402E9B3207BC}" ) ) Asura_XAPO_DSP_AddNoise : public Asura_XAPOBase< Asura_XAPO_DSP_AddNoise, Asura_DSP_Params_AddNoise::Params >
{
	public:

		Asura_XAPO_DSP_AddNoise		( );
		~Asura_XAPO_DSP_AddNoise	( );

	private:

		void DoProcess ( float* pfInputBuffer, u_int uFrames, u_int uChannels, const Asura_DSP_Params_AddNoise::Params& xParams );
		
		void UpdateParameters( const Asura_DSP_Params_AddNoise::Params& xParams );

		float m_pfStatic[480];
};

#endif // ASURA_USE_AUDIO_SYSTEM

#endif // __ASURA_XAPO_DSP_ADDNOISE_H__

//eof
