// Asura_XAPO_DSP_Flanger.h
// Thomas Young - 27.04.09
// Copyright (C) 2009 Rebellion, All Rights Reserved.

// F I L E   W R A P P E R ///////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef ___ASURA_XAPO_DSP_FLANGER_H__
#define ___ASURA_XAPO_DSP_FLANGER_H__ 1

#if defined ASURA_USE_AUDIO_SYSTEM

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Sound/XAPO_DSP/Asura_XAPO_DSP.h"
#include "Sound/Asura_Audio_DSP.h"

// C L A S S   D E C L A R A T I O N S ///////////////////////////////////////

class __declspec( uuid( "{8CFB11E5-56FF-4301-97C3-6869397DE104}" ) ) Asura_XAPO_DSP_Flanger : public Asura_XAPOBase< Asura_XAPO_DSP_Flanger, Asura_DSP_Params_Flanger::Params >
{
	public:

		Asura_XAPO_DSP_Flanger	( );
		~Asura_XAPO_DSP_Flanger	( );

	private:

		void DoProcess ( float* pfInputBuffer, u_int uFrames, u_int uChannels, const Asura_DSP_Params_Flanger::Params& xParams );

		float* m_pfSignal;
		u_int m_uExpectedChans;
		u_int m_uExpectedFrames;

		u_int m_uSampleOffset;
		bool m_bReverseDir;
};

#endif // ASURA_USE_AUDIO_SYSTEM

#endif // __ASURA_XAPO_DSP_FLANGER_H__

//eof
