//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_ScreenShot_System.cpp
//
// Description: PC-CLI dummy screenshot function definitions
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Debugging/Asura_ScreenShot_System.h"

////////////////////////////////////////////////////////////////////////////////
// Function definitions
////////////////////////////////////////////////////////////////////////////////

void Asura_ScreenShot_System::Platform_RenderProgressBar(const Asura_Vector_2& xPosition, const Asura_Vector_2& xSize, const u_int uARGB ) { }
void Asura_ScreenShot_System::Platform_WriteScreenAs24Bit(Asura_Stream& xStream, const Asura_IntVector_2& xPosition, const Asura_IntVector_2& xSize, const u_int uFormat ) { }
void Asura_ScreenShot_System::Platform_NotTakingScreenShot() { }
int Asura_ScreenShot_System::Platform_TakeScreenShot(const char* szFilename ) { return 1; }
void Asura_ScreenShot_System::Platform_AddScreenToFPBuffer( const Asura_IntVector_2& xPosition, const Asura_IntVector_2& xSize, const u_int uFormat, float* pfFPBuffer ) { }
void Asura_ScreenShot_System::Platform_GetScreenDimensions( Asura_IntVector_2* pxPosition, Asura_IntVector_2* pxSize, u_int* puFormat ) { }
void Asura_ScreenShot_System::Platform_RenderPrompt() { }
void Asura_ScreenShot_System::Platform_EndHiResRender() { }
void Asura_ScreenShot_System::Platform_FreeFloatBuffer( float* pfBuffer ) { }
float* Asura_ScreenShot_System::Platform_AllocateFloatBuffer( u_int uNumFloats ) { return NULL; }
void Asura_ScreenShot_System::Platform_BeginHiResRender() { }
