//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_NetworkSession_GT2.cpp
//
// Copyright (c) 2004 Rebellion. All rights reserved.
//
// Description:
//
//     GT2 implementations of LAN session code
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Network/Asura_GameSpy_GT2.h"
#include "Network/Asura_Network_Session.h"

void Asura_Network_Session_System::Platform_Initialise(void)
{
	Asura_GameSpy_GT2::Initialise();
	Asura_GameSpy_GT2::StartSessionManager();
}


void Asura_Network_Session_System::Platform_Shutdown(void)
{
	Asura_GameSpy_GT2::Shutdown();
	Asura_GameSpy_GT2::StopSessionManager();
}


void Asura_Network_Session_System::Platform_Update(void)
{
	Asura_GameSpy_GT2::Update();
	Asura_GameSpy_GT2::UpdateLANSessions();
}
