// Asura_Platform_Server.cpp
//
// Created by Richard Rice - 09/09/2003
// 
// Copyright (C) 2003 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"
#include "Network/Asura_Network.h"

#include "Network/Asura_Message.h"

#include "Network/Asura_PC_Message.h"

#ifdef ASURA_PC_SUPPORT_GCDKEY
#include "Network/Asura_PC_GCDKey.h"
#endif //ASURA_PC_SUPPORT_GCDKEY


bool Asura_Network::Platform_ServerMessageHandler(const Asura_Message* pxMessage)
{
	switch(pxMessage->GetMsgID())
	{
		#ifdef ASURA_PC_SUPPORT_GCDKEY
		case ASURA_PC_MSG_GCDRESPONSE :
		{
			const Asura_Msg_GCD_Response* pxData = (const Asura_Msg_GCD_Response*)pxMessage->GetData();
			if(pxData)
			{
				Asura_PC_GCDKey::HandleGCDResponse(pxMessage->From,pxData->m_szResponse);
			}
			return true;
		}
		#endif //ASURA_PC_SUPPORT_GCDKEY
		default :
			break;
	}
	return false;
}
