//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PS2_StrippedEnv.cpp
//
// By: Morgan Parry.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header.
#include "ChunkSystem/Asura_Chunk_ResourceFile_PS2_StrippedEnv.h"

// Engine independent.
#include "Core/Asura_Handle.h"
#include "FileAccess/Asura_FileAccess.h"

// Engine platform-specific.
#include "Mesh/Asura_PS2_Env_Store.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

bool Asura_Chunk_ResourceFile_PS2_StrippedEnv::Process( Asura_Handle iHandle )
{
    Asura_PS2_Env_Store::SetDataOffset( Asura_FileAccess::GetFilePosition(iHandle) );
    Asura_PS2_Env_Store::SetDataSize( FileSize );
    Asura_PS2_Env_Store::LoadInitialData( iHandle );
    return true;
}
