//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PS2_StrippedHierSkin.h
//
// Created by Richard Rice.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDSMOOTHSKIN_H___
#define ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDSMOOTHSKIN_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"
#include "Core/Asura_Handle.h"

// D E F I N E S /////////////////////////////////////////////////////////////

//
// Version history:
//
//     (MP   - 13.06.2002) -  2 - Added tri count for each strip.
//
//     (PSJE - 20.02.2003) -  3 - New format using various different VIF
//                                UNPACK formats to reduce data size.
//
//     (MP   - 29.04.2004) -  4 - New format supporting multiple elements
//                                and multiple materials.
//
#define ASURA_PS2_SMOOTH_SKIN_FILE_FORMAT_VERSION (4)

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_PS2_StrippedSmoothSkin : public Asura_Chunk_ResourceFile
{

    public:

        // M E T H O D S /////////////////////////////////////////////////////

        bool Process( Asura_Handle hFile );

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDSMOOTHSKIN_H___
