#include "vcl_sml.i"

.syntax new

.init_vf_all	 	; for all vf registers. 
.init_vi_all		; for all vi registers.

--enter
    in_vf.xyz fLeftInput0(VF01)
    in_vf.xyz fLeftInput1(VF02)
    in_vf.xyz fLeftInput2(VF03)
    in_vf.xyz fRightInput0(VF04)
    in_vf.xyz fRightInput1(VF05)
    in_vf.xyz fRightInput2(VF06)
--endenter

.global VU0_Asura_Matrix3x3_Multiply
VU0_Asura_Matrix3x3_Multiply:

    mul.xyz            acc,         fRightInput0,   fLeftInput0[x]
    madd.xyz           acc,         fRightInput1,   fLeftInput0[y]
    madd.xyz           fOutput0,    fRightInput2,   fLeftInput0[z]

    mul.xyz            acc,         fRightInput0,   fLeftInput1[x]
    madd.xyz           acc,         fRightInput1,   fLeftInput1[y]
    madd.xyz           fOutput1,    fRightInput2,   fLeftInput1[z]

    mul.xyz            acc,         fRightInput0,   fLeftInput2[x]
    madd.xyz           acc,         fRightInput1,   fLeftInput2[y]
    madd.xyz           fOutput2,    fRightInput2,   fLeftInput2[z]

--exit
    out_vf.xyz fOutput0(VF07)
    out_vf.xyz fOutput1(VF08)
    out_vf.xyz fOutput2(VF09)
--endexit

