/* Copyright (C) 2002 Sony Computer Entertainment America */
/*        All Rights Reserved.  SCEA Confidential         */

#ifndef LIBUTIL_RECT_H
#define LIBUTIL_RECT_H

class RECT {
public:
  int x1, y1, x2, y2;
  RECT() { x1=y1=0; x2=y2=9999; }
  RECT(int a, int b, int c, int d) { set(a,b,c,d);}
  void set(int a, int b, int c, int d) { x1=a; y1=b; x2=c; y2=d;}
  void lim(int a, int b, int c, int d) { if (a>x1) x1=a; if (b>y1) y1=b; if (c<x2) x2=c; if (d<y2) y2=d;}
  int w() const {return x2-x1;}
  int h() const {return y2-y1;}
  int area() const { return (x2-x1)*(y2-y1);}
  void print() { printf("%d %d %d %d\n", x1,y1,x2,y2);}
};

#endif

