//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Shape.h
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PLATFORM_SHAPE_H___
#define ___ASURA_PLATFORM_SHAPE_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine independent.
#include "Shapes/Asura_Shapes.h"

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Platform_Shape_RenderData : public Asura_Shape_RenderData
{

    public:

        Asura_Platform_Shape_RenderData( const char*& pcChunkBuffer );
#if _DEBUG
        virtual ~Asura_Platform_Shape_RenderData( void );
#endif

    private:
        
#if _DEBUG
        char* m_szName;
#endif

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PLATFORM_SHAPE_H___
