//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Decal.h
//
// Copyright (c) 2005 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PLATFORM_DECAL_H___
#define ___ASURA_PLATFORM_DECAL_H___ 1

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_PS2_DecalSystem
{

public:

    // T Y P E S /////////////////////////////////////////////////////////////

    struct BufferListSpec
    {
        int   iTexID;
        u_int uDecalFlags; // From ASURA_DECAL_FLAGS enum, though only values that we care about here.
        u_int uNumBfrs;    // Each buffer is currently 1232 bytes and can contain up to 50 vertices.
    };

    // C L A S S   M E T H O D S /////////////////////////////////////////////

    static void Project_GetBufferListSpecs( const BufferListSpec** ppxSpecs, u_int* puNumSpecs );

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PLATFORM_DECAL_H___
