//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_BotanicalsElement.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_PS3_BOTANICALS_ELEMENT_H__
#define __ASURA_PS3_BOTANICALS_ELEMENT_H__

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/
class Asura_PS3_Botanicals_Element
{
public:
	// Needs to match TOOLS_BOTANICALS_ELEMENTTYPE. Update aszELEMENT_TYPE_NAMES in the .cpp if this changes
	Asura_PS3_Botanicals_Element();
	~Asura_PS3_Botanicals_Element();

	Asura_PS3_Botanicals_Mesh_Type	m_eType;

	float							m_fBSCentreHeight;
	float							m_fBSRadius;

	int								m_iNumLODs;
	Asura_PS3_Botanicals_LODData*	m_pxLODData;

#if defined( ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS) && 1 == ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS
	Asura_BGR_Section_ID			m_xSectionID;
	Asura_BGR_Version_ID			m_xVersionID;
#endif
};

#endif // !defined __ASURA_PS3_BOTANICALS_ELEMENT_H__
