
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Camera.cpp
// Author : Andy Tate
// Date   : 25-Jan-2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Camera/Asura_Camera.h"


////////////////////////////////////////////////////////////////////////////////
// Private functions...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_CameraData::Platform_InitialiseNearFarClip
// Author       : Andy Tate
// Date         : 25-Jan-2007
////////////////////////////////////////////////////////////////////////////////

void Asura_CameraData::Platform_InitialiseNearFarClip (void)
{
	m_fFarClip	= 2000.0f;
	m_fNearClip = 0.1f;
}

/// End of function 'Asura_CameraData::Platform_InitialiseNearFarClip'. ///


/// End of file. ///
