//*******************************************************************
//
// File: Asura_Chunk_ResourceFile_PS3_Carpet.h
//
// Created: 9 November 2007 Catalin Arsenescu
//
// Description: 
//
//*******************************************************************

#ifndef __ASURA_CHUNK_RESOURCEFILE_PS3_CARPET_H__
#define __ASURA_CHUNK_RESOURCEFILE_PS3_CARPET_H__

#if defined( ASURA_USE_CARPET)

// other libraries
#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

// internal dependencies

// forward declarations
class Asura_Chunk_Stream;

//*******************************************************************
// Constants
//*******************************************************************


//*******************************************************************
// Class Definitions
//*******************************************************************

class Asura_Chunk_ResourceFile_PS3_Carpet : public Asura_Chunk_ResourceFile
{
public:
	enum
	{
		CURRENT_VERSION = 5
	};

	// Class functions
	void Process( const char* const szFilename, Asura_Chunk_Stream& xStream );
};



//*******************************************************************
// Inline Function Definitions
//*******************************************************************


//*******************************************************************
//
// (c) 2006 Rebellion
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************
#endif //defined( ASURA_USE_CARPET)

#endif // __ASURA_CHUNK_RESOURCEFILE_PS3_CARPET_H__
