//
// Asura_Chunk_ResourceFile_PS3_MaterialResponse.h
//
// Created by KJFL - 02 January 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_CHUNK_RESOURCEFILE_PS3_MATERIALRESPONSE_H__
#define __ASURA_CHUNK_RESOURCEFILE_PS3_MATERIALRESPONSE_H__

#if defined ASURA_USE_MATERIAL_RESPONSE_SYSTEM

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

class Asura_Chunk_Stream;

class Asura_Chunk_ResourceFile_PS3_MaterialResponse: public Asura_Chunk_ResourceFile
{
    public:

        void Process( const char* szFilename, Asura_Chunk_Stream& xStream );
private:
	template< class TPixelType>
	void Process_Fill( const char* szFilename, Asura_Chunk_Stream& xStream,  const float fTypeRange, const u_int uOffsetR, const u_int uOffsetG, const u_int uOffsetB, const u_int uOffsetA );
};

#endif // ASURA_USE_MATERIAL_RESPONSE_SYSTEM

#endif//__ASURA_CHUNK_RESOURCEFILE_PS3_MATERIALRESPONSE_H__
