//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_CommandBufferInspector.h
//
// Functions to get debug info about the "graphics command management"
// e.g. inspecting the command buffer
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PS3_COMMANDBUFFERINSPECTOR_H___
#define ___ASURA_PS3_COMMANDBUFFERINSPECTOR_H___ 1

#if defined ASURA_PS3_USE_COMMAND_BUFFER_INSPECTOR


class Asura_PS3_CommandBufferInspector
{
public:
	static void Initialise();
	static void Run( const u_int* puStart, const u_int* puBufferEnd );

private:
	static bool RunCommandConsoleCallback( bool bHelp );
	static bool RunTests( bool bHelp );
};

#endif //#if defined ASURA_PS3_USE_COMMAND_BUFFER_INSPECTOR

#endif // #ifndef ___ASURA_PS3_COMMANDBUFFERINSPECTOR_H___
