//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_DebugInfo.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if defined ASURA_PS3_ALLOW_STATS

#ifndef ___ASURA_PS3_DEBUGINFO_H___
#define ___ASURA_PS3_DEBUGINFO_H___ 1

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_PS3_DebugInfo
{

public:
    enum TOGGLE
    {
        TOGGLE_FPS = 0,
        TOGGLE_DEFERRED = 1,
        TOGGLE_MEM = 2,
        TOGGLE_TRIS_DETAILED = 3,

		TOGGLE_NUMBER_OF_TOGGLES
    };

    // C L A S S   M E T H O D S /////////////////////////////////////////////

    static void Initialise( void );
    static void Render( void );
	static void Shutdown( void );
	static bool AreStatsEnabled( void )			{ return s_bShowStats; }
private:
	static bool									s_bShowStats;
	static void EnableStats( const bool bVal )	{ s_bShowStats = bVal; }
};
// End class Asura_PS3_DebugInfo.


// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PS3_DEBUGINFO_H___

#endif //#if defined ASURA_PS3_ALLOW_STATS
