
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_PS3_USBPad_SonyDualshock2.h
// Author : Andy Tate
// Date   : 27-Jun-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __ASURA_PS3_USBPAD_SONYDUALSHOCK2_H__
#define __ASURA_PS3_USBPAD_SONYDUALSHOCK2_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Input/Asura_PS3_USBPad.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

class Asura_PS3_USBPad_SonyDualshock2 : public Asura_PS3_USBPad
{
public:
	// Public functions...

	Asura_PS3_USBPad_SonyDualshock2 (void)										{}

	// Virtual accessor functions...
	virtual	VendorID							GetVendorID		(void) const	{ return (VID_SONY); }
	virtual	ProductID							GetProductID	(void) const	{ return (PID_SONY_DUALSHOCK_2); }

	// Virtual function for updating the current values...
	virtual	void								Update			(const CellUsbPadData& xPadData);


protected:
	// Protected variables...


	// Protected functions...


private:
	// Private variables...


	// Private functions...

	Asura_PS3_USBPad_SonyDualshock2  (const Asura_PS3_USBPad_SonyDualshock2& xOther);
//	~Asura_PS3_USBPad_SonyDualshock2 ();

			Asura_PS3_USBPad_SonyDualshock2&	operator=		(const Asura_PS3_USBPad_SonyDualshock2& xOther);

};   // End of class 'Asura_PS3_USBPad_SonyDualshock2'.



#endif   // ifndef __ASURA_PS3_USBPAD_SONYDUALSHOCK2_H__


/// End of file. ///
