//
// Asura_PS3_AABBRenderer.h
//
// Created by KJFL - 17 January 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_AABBRENDERER_H__
#define __ASURA_PS3_AABBRENDERER_H__

class Asura_Bounding_Box;

// Wrapper to render an arbitrary AABB to the screen. 
// Written for the Visibility system in its occlusion query tests.
class Asura_PS3_AABBRenderer
{
	public:

		// Initialise and Shutdown should only be called by Asura_PS3_Graphics.
		static void Initialise( void );
		static void Shutdown( void );

		// draw the given BB 
		static void Render( const Asura_Bounding_Box& xBB );



		static void BeginBatchRender( void );
		static void BatchRender( const Asura_Bounding_Box& xBB );
		static void EndBatchRender( void );
};

#endif//__ASURA_PS3_AABBRENDERER_H__
