//
// Asura_PS3_Helper.h
//
// Created by Catalin Arsenescu - 20 November 2007
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif //#ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __ASURA_PS3_HELPER_H__
#define __ASURA_PS3_HELPER_H__

struct CellGcmContextData;

class Asura_PS3_Helper
{

public:

	static void WaitForIdleState( void );
    static void WriteBlockingWaitForBackEndCmds( CellGcmContextData* pxContext );   

	static uint32 GetPitchSize( uint32 uiSize );
	static uint32 AddressToOffset( const void* pxAddress );

protected:

	static u_int				s_uiRefVal;

private:

	Asura_PS3_Helper( void );

};

#endif //#ifndef __ASURA_PS3_HELPER_H__
