//
// Asura_PS3_TextureHeader.h
//
// Created by KJFL - 28 June 2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_TEXTUREHEADER_H__
#define __ASURA_PS3_TEXTUREHEADER_H__


enum ASURA_PS3_TEXTUREFORMAT
{
	ASURA_PS3_TEXTUREFORMAT_8888_RGBA	= 0,
	ASURA_PS3_TEXTUREFORMAT_DXT5_RGBA	= 1,
	ASURA_PS3_TEXTUREFORMAT_DXT1_RGB	= 2,
	ASURA_PS3_TEXTUREFORMAT_ABGR16F		= 3,
	ASURA_PS3_TEXTUREFORMAT_DXT1_A8		= 4,
	ASURA_PS3_TEXTUREFORMAT_L8			= 5,
	ASURA_PS3_TEXTUREFORMAT_YX16F		= 6, // two 16b float value
	ASURA_PS3_TEXTUREFORMAT_YX16		= 7, // two 16b integer value
	ASURA_PS3_TEXTUREFORMAT_X32F		= 8, // one 32b float value
	ASURA_PS3_TEXTUREFORMAT_DEPTH24_D8	= 9,
};

enum ASURA_PS3_TEXTURE_FLAGS
{
	ASURA_PS3_TEXTURE_NORMAL			= 0x00,
	ASURA_PS3_TEXTURE_CUBEMAP			= 0x01,
	ASURA_PS3_TEXTURE_SWIZZLE			= 0x02,
};


class Asura_PS3_TextureHeader
{
	public:
		
		u_short m_usWidth;
		u_short m_usHeight;
		u_short	m_usFlags;
		u_char	m_ucTextureFormatID;
		u_char	m_ucNumberOfMipmaps;

};


#endif//__ASURA_PS3_TEXTUREHEADER_H__
