
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Font_System.cpp
// Author : Andy Tate
// Date   : 29-Jun-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Rendering/Asura_Font_System.h"

// Asura independent header-files...

// Asura platform header-files...
#include "Rendering/Asura_PS3_Graphics.h"


////////////////////////////////////////////////////////////////////////////////
// Constant declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Static variable declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Private functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Protected functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Public functions...
////////////////////////////////////////////////////////////////////////////////

float Asura_Font_System::GetPlatformYScaleFactor (void)
{
	const float	fVisibleAspect	= Asura_PS3_Graphics::GetScreenAspectRatio ();
	const float	fInternalAspect	= Asura_PS3_Graphics::GetInternalScreenAspectRatio ();

	// Scale vertically according to aspect ratio...
	return	(fVisibleAspect / fInternalAspect);
}


/// End of file. ///
