//
// FSFX_Noise_FP.h
//
// Created by Catalin Arsenescu - 11 September 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_FSFX_NOISE_FP_H__
#define __ASURA_PS3_FSFX_NOISE_FP_H__

extern u_int _binary_PS3_FSFX_Noise_FP_bin_start;
extern u_int _binary_PS3_FSFX_Noise_FP_bin_end;

enum FRAGMENT_SHADER_UNIFORM_N
{
	FPN_Colour,

	FPN_ELEMENTS
};

enum TEXTURE_UNITS_N
{
	FPN_NoiseTexture,

	FPN_TU_ELEMENTS
};

class Asura_PS3_FSFX_N_Handles : public Asura_PS3_FP_Handles
{
public:
	Asura_PS3_FSFX_N_Handles() : Asura_PS3_FP_Handles( FPN_ELEMENTS, FPN_TU_ELEMENTS )
	{}

	void InitialiseFromShader( Asura_PS3_FragmentShaderBase* pxShader )
	{
		pxShader->InitUniformElement( FPN_Colour, "g_fColour", 1 );

		pxShader->InitTextureUnit( FPN_NoiseTexture, "g_xNoiseTexture",	CELL_GCM_TEXTURE_WRAP, CELL_GCM_TEXTURE_WRAP, CELL_GCM_TEXTURE_LINEAR_LINEAR, CELL_GCM_TEXTURE_LINEAR );
	}
};

#endif //#ifndef __ASURA_PS3_FSFX_NOISE_FP_H__
