//
// RadialBlur_VP.h
//
// Created by Catalin Arsenescu - 11 September 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_RADIALBLUR_VP_H__
#define __ASURA_PS3_RADIALBLUR_VP_H__

extern u_int _binary_PS3_FSFX_RadialBlur_VP_bin_start;
extern u_int _binary_PS3_FSFX_RadialBlur_VP_bin_end;

static Asura_PS3_GCM_VertexShaderUniformParameter g_axVertexShaderUniformRB[] =
{
	//m_szName, m_usArraySize, m_sizeInFloat4ForOneElement, m_usRegister
	{ "g_axVertexTransforms",	4, 4, NULL },
};

enum VERTEX_SHADER_UNIFORM_RB
{
	VPRB_VertexTransforms,
};

class Asura_PS3_VP_RadialBlur : public Asura_PS3_GCM_VertexShader
{
public:
	Asura_PS3_VP_RadialBlur() : Asura_PS3_GCM_VertexShader( (unsigned char *)&_binary_PS3_FSFX_RadialBlur_VP_bin_start, (unsigned char *)&_binary_PS3_FSFX_RadialBlur_VP_bin_end, g_axVertexShaderUniformRB, sizeof ( g_axVertexShaderUniformRB ) / sizeof ( Asura_PS3_GCM_VertexShaderUniformParameter ) )
	{
	}

	~Asura_PS3_VP_RadialBlur()
	{
		u_int i;
		for( i = 0; i < sizeof( g_axVertexShaderUniformRB ) / sizeof( Asura_PS3_GCM_VertexShaderUniformParameter ); ++i )
		{
			g_axVertexShaderUniformRB[ i ].CleanUp();
		}
	}
};

#endif //#ifndef __ASURA_PS3_RADIALBLUR_VP_H__
