//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_SPURS_PFX.h
//
// Copyright (c) 2005 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_SPURS_PFX_H___
#define ___ASURA_SPURS_PFX_H___ 1

class	Asura_PS3_SPURS_TaskController;
struct	PFX_TaskParameters;

class	Asura_PS3_SPURS_PFX
{
public:
	static void	Initialise( u_int	uMaxQueueSize, u_int uQueueElementSize );
	static void	Shutdown( void );

	static void	Begin( void );

	static inline	Asura_PS3_SPURS_TaskController*	GetTaskController( void )	{	return m_pxSPURS_PFX_TaskController; }
	static inline	PFX_TaskParameters*				GetTaskParameters( void )	{	return &m_xTaskParams; }
protected:
	static	u_int							m_uNumber_Of_SPU_Threads;		
	static	Asura_PS3_SPURS_TaskController*	m_pxSPURS_PFX_TaskController;
	static	PFX_TaskParameters				m_xTaskParams;

};



#endif