
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Camera.cpp
// Author : Andy Tate
// Date   : 25-Jan-2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Camera/Asura_Camera.h"

// Asura platform header-files...
#include "Rendering/Asura_PSP_Graphics.h"


////////////////////////////////////////////////////////////////////////////////
// Private functions...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_CameraData::Platform_InitialiseNearFarClip
// Author       : Andy Tate
// Date         : 25-Jan-2007
////////////////////////////////////////////////////////////////////////////////

DEBUGVAR float dbg_fDefaultFarClipPlane = 1000.0f;
DEBUGVAR float dbg_fDefaultNearClipPlane = 0.25f;

void Asura_CameraData::Platform_InitialiseNearFarClip (void)
{
	m_fFarClip	= dbg_fDefaultFarClipPlane;
	m_fNearClip	= dbg_fDefaultNearClipPlane;
}

/// End of function 'Asura_CameraData::Platform_InitialiseNearFarClip'. ///


/// End of file. ///
