//
// Asura_PlatformInput.h
//
// Created by KJFL - Wednesday, March 31, 2004
//
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PLATFORMINPUT_H__
#define __ASURA_PLATFORMINPUT_H__

// Placeholder implementation. Handles emulator only and we're still not sure what the final buttons will be.
#include "Core/Asura_UserInput.h"

enum Asura_PSP_ButtonID
{
	ASURA_PSP_KEYID_PAD1_CROSS      = ASURA_KEYID_PAD1_BUTTON1, 
	ASURA_PSP_KEYID_PAD1_CIRCLE	    = ASURA_KEYID_PAD1_BUTTON2, 
	ASURA_PSP_KEYID_PAD1_SQUARE		= ASURA_KEYID_PAD1_BUTTON3, 
	ASURA_PSP_KEYID_PAD1_TRIANGLE	= ASURA_KEYID_PAD1_BUTTON4, 
	ASURA_PSP_KEYID_PAD1_R2		    = ASURA_KEYID_PAD1_BUTTON5, 
	ASURA_PSP_KEYID_PAD1_L2		    = ASURA_KEYID_PAD1_BUTTON6, 
	ASURA_PSP_KEYID_PAD1_START		= ASURA_KEYID_PAD1_BUTTON7, 
	ASURA_PSP_KEYID_PAD1_SELECT		= ASURA_KEYID_PAD1_BUTTON8, 
	ASURA_PSP_KEYID_PAD1_L1	        = ASURA_KEYID_PAD1_BUTTON9, 
	ASURA_PSP_KEYID_PAD1_R1	        = ASURA_KEYID_PAD1_BUTTON10,
	ASURA_PSP_KEYID_PAD1_L3	        = ASURA_KEYID_PAD1_BUTTON11,
	ASURA_PSP_KEYID_PAD1_R3	        = ASURA_KEYID_PAD1_BUTTON12,
	ASURA_PSP_KEYID_PAD1_UP		    = ASURA_KEYID_PAD1_BUTTON13,
	ASURA_PSP_KEYID_PAD1_DOWN		= ASURA_KEYID_PAD1_BUTTON14,
	ASURA_PSP_KEYID_PAD1_LEFT		= ASURA_KEYID_PAD1_BUTTON15,
	ASURA_PSP_KEYID_PAD1_RIGHT		= ASURA_KEYID_PAD1_BUTTON16
};


#endif//__ASURA_PLATFORMINPUT_H__
