/* $Revision: 6 $ */



ENTRY(_start)
SECTIONS
{
	. = 0x00010000;
	.init           :
	{
		KEEP(*(.init))
	} =0
	.plt            : { *(.plt) }
	.text           :
	{
		_ftext = . ;
		*(.text .stub .text.* .gnu.linkonce.t.*)
		/* .gnu.warning sections are handled specially by elf32.em.  */
		*(.gnu.warning)
		*(.mips16.fn.*) *(.mips16.call.*)
	} =0
	.fini           :
	{
		KEEP (*(.fini))
	} =0
	PROVIDE (__etext = .);
	PROVIDE (_etext = .);
	PROVIDE (etext = .);
	__cplinit = . ;
	.cplinit ALIGN(4): { *(__cplinit) QUAD(0) }
	.rodata         : { *(.rodata .rodata.* .gnu.linkonce.r.*) }
	.rodata1        : { *(.rodata1) }
	.sdata2         : { *(.sdata2 .sdata2.* .gnu.linkonce.s2.*) }
	.sbss2          : { *(.sbss2 .sbss2.* .gnu.linkonce.sb2.*) }
	.eh_frame_hdr : { *(.eh_frame_hdr) }

	.data           :
	{
		_fdata = . ;
		*(.data .data.* .gnu.linkonce.d.*)
		/* SORT(CONSTRUCTORS) */
	}
	.data1          : { *(.data1) }
	.tdata	  : { *(.tdata .tdata.* .gnu.linkonce.td.*) }
	.tbss		  : { *(.tbss .tbss.* .gnu.linkonce.tb.*) *(.tcommon) }
	.eh_frame       : { KEEP (*(.eh_frame)) }
	.gcc_except_table   : { *(.gcc_except_table) }
	.dynamic        : { *(.dynamic) }
	.ctors          :
	{
		__CTOR_LIST__ = .;
		LONG(-1);
		*(.ctors)
		LONG(0); 
	}
	.dtors	  :
	{ 
		 __DTOR_LIST__ = .;
		 LONG(-1);
		*(.dtors)
		LONG(0);
	}
	.jcr            : { KEEP (*(.jcr)) }
	_gp = ALIGN(16) + 0x7ff0;
	.got            : { *(.got.plt) *(.got) }
	/* We want the small data sections together, so single-instruction offsets
	can access them all, and initialized data all before uninitialized, so
	we can shorten the on-disk segment size.  */
	.sdata          :
	{
	*(.sdata .sdata.* .gnu.linkonce.s.*)
	}
	.lit8           : { *(.lit8) }
	.lit4           : { *(.lit4) }
	_edata = .;
	PROVIDE (edata = .);
	__bss_start = .;
	_fbss = .;
	.sbss           :
	{
		PROVIDE (__sbss_start = .);
		PROVIDE (___sbss_start = .);
		*(.dynsbss)
		*(.sbss .sbss.* .gnu.linkonce.sb.*)
		*(.scommon)
		PROVIDE (__sbss_end = .);
		PROVIDE (___sbss_end = .);
	}
	.bss            :
	{
		*(.dynbss)
		*(.bss .bss.* .gnu.linkonce.b.*)
		*(COMMON)
		/* Align here to ensure that the .bss section occupies space up to
		_end.  Align after .bss to ensure correct alignment even if the
		.bss section disappears because there are no input sections.  */
		. = ALIGN(32 / 8);
	}
	. = ALIGN(32 / 8);
	_end = .;
	PROVIDE (end = .);
	/* Stabs debugging sections.  */
	.stab          0 : { *(.stab) }
	.stabstr       0 : { *(.stabstr) }
	.stab.excl     0 : { *(.stab.excl) }
	.stab.exclstr  0 : { *(.stab.exclstr) }
	.stab.index    0 : { *(.stab.index) }
	.stab.indexstr 0 : { *(.stab.indexstr) }
	.comment       0 : { *(.comment) }
	/* DWARF debug sections.
	Symbols in the DWARF debugging sections are relative to the beginning
	of the section so we begin them at 0.  */
	/* DWARF 1 */
	.debug          0 : { *(.debug) }
	.line           0 : { *(.line) }
	/* GNU DWARF 1 extensions */
	.debug_srcinfo  0 : { *(.debug_srcinfo) }
	.debug_sfnames  0 : { *(.debug_sfnames) }
	/* DWARF 1.1 and DWARF 2 */
	.debug_aranges  0 : { *(.debug_aranges) }
	.debug_pubnames 0 : { *(.debug_pubnames) }
	/* DWARF 2 */
	.debug_info     0 : { *(.debug_info .gnu.linkonce.wi.*) }
	.debug_abbrev   0 : { *(.debug_abbrev) }
	.debug_line     0 : { *(.debug_line) }
	.debug_frame    0 : { *(.debug_frame) }
	.debug_str      0 : { *(.debug_str) }
	.debug_loc      0 : { *(.debug_loc) }
	.debug_macinfo  0 : { *(.debug_macinfo) }
	/* SGI/MIPS DWARF 2 extensions */
	.debug_weaknames 0 : { *(.debug_weaknames) }
	.debug_funcnames 0 : { *(.debug_funcnames) }
	.debug_typenames 0 : { *(.debug_typenames) }
	.debug_varnames  0 : { *(.debug_varnames) }
	.gptab.sdata : { *(.gptab.data) *(.gptab.sdata) }
	.gptab.sbss : { *(.gptab.bss) *(.gptab.sbss) }
}
