
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_PSP_RenderStates.cpp
// Author : Andy Tate
// Date   : 13-Jun-2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Rendering/Asura_PSP_RenderStates.h"

// Asura independent header-files...
#include "Core/Asura_Maths.h"


////////////////////////////////////////////////////////////////////////////////
// Static variable declarations...
////////////////////////////////////////////////////////////////////////////////

u_int	Asura_PSP_RenderStates::s_uAmbient			= 0xCDCDCDCD;
int		Asura_PSP_RenderStates::s_iColourMaterial	= -1;
int		Asura_PSP_RenderStates::s_iDepthOffset		= 999;
u_int	Asura_PSP_RenderStates::s_uPixelMask		= 0xCDCDCDCD;
float	Asura_PSP_RenderStates::s_fSU				= Asura_Maths::LargeFloat;
float	Asura_PSP_RenderStates::s_fSV				= Asura_Maths::LargeFloat;
float	Asura_PSP_RenderStates::s_fTU				= Asura_Maths::LargeFloat;
float	Asura_PSP_RenderStates::s_fTV				= Asura_Maths::LargeFloat;
float	Asura_PSP_RenderStates::s_fTexSlope			= Asura_Maths::LargeFloat;


/// End of file. ///
