//
// Asura_PlatformFileAccess.h
//
// Created by KOR - 09 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PLATFORMFILEACCESS_H__
#define __ASURA_PLATFORMFILEACCESS_H__

#define REPLACE_SLASHES(__szFilename) \
{ \
	unsigned int __iPos = 0; \
	while(__szFilename[__iPos]) \
	{ \
		if(__szFilename[__iPos] == '\\') __szFilename[__iPos] = '/'; \
		__iPos++; \
	} \
}

#define REPLACE_EXTENSION(__szFilename, __szNewExtension, __iLength) \
{ \
	char* __szExt = strrchr( __szFilename, '.' ); \
	int __iNumChars = strlen(__szFilename); \
	if( __szExt ) \
	{ \
		Asura_Assert( (__szExt + 1) - __szFilename <= __iLength - 4, "Path is too long." ); \
	} \
	else \
	{ \
		Asura_Assert( __iNumChars <= __iLength - 5, "Path is too long." ); \
		__szExt = &__szFilename[__iNumChars]; \
		*__szExt = '.'; \
	} \
	*(__szExt + 1) = __szNewExtension[0]; \
	*(__szExt + 2) = __szNewExtension[1]; \
	*(__szExt + 3) = __szNewExtension[2]; \
	*(__szExt + 4) = '\0'; \
}

#endif//__ASURA_PLATFORMFILEACCESS_H__