//
// Asura_Platform_SpecialFX.cpp
//
// Created by KOR - 10 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "SpecialFX/Asura_SpecialFX.h"

// Wii
#include "Rendering/Asura_PlatformRenderWater.h"
#include "SpecialFX/Asura_GX_Fog.h"

void Asura_SpecialFX_System::Platform_Initialise(void)
{
	Asura_GX_Fog::Initialise();
	Asura_GX_Water::Initialise();
}

void Asura_SpecialFX_System::Platform_Update(void)
{
}

void Asura_SpecialFX_System::Platform_BeginRender(const RenderType eRenderType)
{
}

void Asura_SpecialFX_System::Platform_Render(void)
{
	Asura_GX_Fog::Render();
}

void Asura_SpecialFX_System::Platform_EndRender(const RenderType eRenderType)
{
}

void Asura_SpecialFX_System::Platform_Reset(void)
{
}

void Asura_SpecialFX_System::Platform_Shutdown(void)
{
	Asura_GX_Fog::Shutdown();
	Asura_GX_Water::Shutdown();
}
