//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Xbox360_Botanicals.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_BOTANICALS_H__
#define __ASURA_CHUNK_RESOURCEFILE_XBOX360_BOTANICALS_H__

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

// Asura Platform-independent
#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_Chunk_Stream;

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Xbox360_Botanicals
//
// Class used to process botanicals chunks
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_Xbox360_Botanicals : public Asura_Chunk_ResourceFile
{
public:
	enum
	{
		CURRENT_VERSION = 6
	};

	// Class functions
	bool Process( const char* const szFilename, Asura_Chunk_Stream& xStream );
};

#endif // !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_BOTANICALS_H__
