// Asura_Chunk_ResourceFile_Xbox360_StreamingSounds.h
// Thomas Young 13.11.07
// Copyright (C) 2006 Rebellion, All Rights Reserved.

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_XBOX360_STREAMEDSOUNDS_H___
#define ___ASURA_CHUNK_RESOURCEFILE_XBOX360_STREAMEDSOUNDS_H___ 1

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_Chunk_Stream;

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

// D E F I N E S /////////////////////////////////////////////////////////////

// Version history:
//
//	(TY - 13.11.07) -  0 - Initial version.
//	(TY - 07.12.07) -  1 - Stopped using wavebanks, switched to loading on demand
//
#define ASURA_XBOX360_STREAMEDSOUNDS_CHUNK_VERSION (1)

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_Xbox360_StreamedSounds : public Asura_Chunk_ResourceFile
{

	public:

		struct HdrEntry
		{
			int iSoundID;
			int iOffset;
			int iSize;
		};

		// M E T H O D S /////////////////////////////////////////////////////
		bool Process(  const char* const szFilename, Asura_Chunk_Stream& xStream );


};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_XBOX360_STREAMEDSOUNDS_H___

//eof
