///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Module.cpp
// Author : Kevin Floyer-Lea
// Date   : 28-Jun-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#include "Rendering/Asura_Module.h"

// Asura Xbox 360
#include "Rendering/Asura_Xbox360_EnvironmentRenderer.h"

/******************************************************************************/
/* Asura_Module_Handler Static Class Functions                                */
/******************************************************************************/

void Asura_Module_Handler::Platform_BeginRender()
{
}

void Asura_Module_Handler::Platform_Render()
{
	Asura_Xbox360_EnvironmentRenderer::Render( false );
}

void Asura_Module_Handler::Platform_EndRender()
{
}

void Asura_Module_Handler::Platform_RenderLate()
{
	Asura_Xbox360_EnvironmentRenderer::Render( true );
	Asura_Xbox360_EnvironmentRenderer::RenderWater();	
}

void Asura_Module_Handler::Platform_Initialise()
{
}

void Asura_Module_Handler::Platform_Shutdown()
{
}
