//////////////////////////////////////////////////////////////////////////////
//
// Asura_Xbox360_HDR.h
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __ASURA_XBOX360_HDR_H__
#define __ASURA_XBOX360_HDR_H__

#if defined ASURA_USE_HDR

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Xbox360_HDR
//
// Class for managing HDR rendering on Xbox 360
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Xbox360_HDR
{
public:

	static void Initialise();
	static void Shutdown();

	static void ApplyToneMapping();
};

#endif // defined ASURA_USE_HDR

#endif // !defined __ASURA_XBOX360_HDR_H__
