///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Shape_RenderData.h
// Author : Kevin Floyer-Lea
// Date   : 20-Jun-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#if !defined __ASURA_PLATFORM_SHAPE_H__
#define __ASURA_PLATFORM_SHAPE_H__

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

// Asura Platform-independent
#include "Shapes/Asura_Shapes.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Shape_RenderData
//
// Xbox 360-specific shape class
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Platform_Shape_RenderData : public Asura_Shape_RenderData
{
public:

	// Constructor / destructor
	explicit Asura_Platform_Shape_RenderData( const char*& pcChunkBuffer );
	virtual ~Asura_Platform_Shape_RenderData();

	// Data
	#if defined _DEBUG
		const char* m_szName;
	#endif
};

#endif // !defined __ASURA_PLATFORM_SHAPE_H__
