//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Sound_Replaceable.cpp
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#ifndef ASURA_USE_AUDIO_SYSTEM

#include "Sound/Asura_Sound.h"

/******************************************************************************/
/* Asura_Sound_System Static Class Functions                                  */
/******************************************************************************/

int Asura_Sound_System::Platform_GetMaxActiveReplaceableSounds()
{
	// Fixed to same number as PC for now, needed for e.g. dialogue systems to work
	return 4;
}

int Asura_Sound_System::Platform_GetReplaceableSoundSize( const int iLoadedSoundID )
{
    return 0;
}

bool Asura_Sound_System::PlatformLoadReplaceableSound( const int iLoadedSoundID )
{
	return false;
}

bool Asura_Sound_System::PlatformReplaceSound( const int iExistingSoundLoadedID, const int iNewSoundLoadedID )
{
	return false;
}

#endif // #ifndef ASURA_USE_AUDIO_SYSTEM

//eof
