// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

BD_BIT_BUFFER_TYPES_BEGIN
	BD_BIT_BUFFER_TYPE(BD_BB_NO_TYPE, NoType)
	BD_BIT_BUFFER_TYPE(BD_BB_BOOL_TYPE, Bool)
	BD_BIT_BUFFER_TYPE(BD_BB_SIGNED_CHAR8_TYPE, Char8)
	BD_BIT_BUFFER_TYPE(BD_BB_UNSIGNED_CHAR8_TYPE, UChar8)
	BD_BIT_BUFFER_TYPE(BD_BB_WCHAR16_TYPE, WChar16)
	BD_BIT_BUFFER_TYPE(BD_BB_SIGNED_INTEGER16_TYPE, Int16)
	BD_BIT_BUFFER_TYPE(BD_BB_UNSIGNED_INTEGER16_TYPE, UInt16)
	BD_BIT_BUFFER_TYPE(BD_BB_SIGNED_INTEGER32_TYPE, Int32)
	BD_BIT_BUFFER_TYPE(BD_BB_UNSIGNED_INTEGER32_TYPE, UInt32)
	BD_BIT_BUFFER_TYPE(BD_BB_SIGNED_INTEGER64_TYPE, Int64)
	BD_BIT_BUFFER_TYPE(BD_BB_UNSIGNED_INTEGER64_TYPE, UInt64)
	BD_BIT_BUFFER_TYPE(BD_BB_RANGED_SIGNED_INTEGER32_TYPE, RangedInt32)
	BD_BIT_BUFFER_TYPE(BD_BB_RANGED_UNSIGNED_INTEGER32_TYPE, RangeUInt32)
	BD_BIT_BUFFER_TYPE(BD_BB_FLOAT32_TYPE, Float32)
	BD_BIT_BUFFER_TYPE(BD_BB_FLOAT64_TYPE, Float64)
	BD_BIT_BUFFER_TYPE(BD_BB_RANGED_FLOAT32_TYPE, RangeFloat32)
	BD_BIT_BUFFER_TYPE(BD_BB_SIGNED_CHAR8_STRING_TYPE, String)
	BD_BIT_BUFFER_TYPE(BD_BB_UNSIGNED_CHAR8_STRING_TYPE, String)
	BD_BIT_BUFFER_TYPE(BD_BB_MBSTRING_TYPE, MultiByteString)
	BD_BIT_BUFFER_TYPE(BD_BB_BLOB_TYPE, Blob)
	BD_BIT_BUFFER_TYPE(BD_BB_FULL_TYPE, FullType)
	//BD_BIT_BUFFER_TYPE(BD_BB_SIGNED_BYTE8_TYPE, Byte8)
	//BD_BIT_BUFFER_TYPE(BD_BB_UNSIGNED_BYTE8_TYPE, UByte8)
BD_BIT_BUFFER_TYPES_END(32)

// fixme: Byte8 and NChar8 types should have their own declarations,
// fixme: but they're linked to bdChar types for compatibility
// fixme: with mm+ server.
#define BD_BB_SIGNED_BYTE8_TYPE			BD_BB_SIGNED_CHAR8_TYPE
#define BD_BB_UNSIGNED_BYTE8_TYPE		BD_BB_UNSIGNED_CHAR8_TYPE
#define BD_BB_NATIVE_CHAR8_TYPE			BD_BB_SIGNED_CHAR8_TYPE
#define BD_BB_NATIVE_CHAR8_STRING_TYPE	BD_BB_SIGNED_CHAR8_STRING_TYPE

