// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#ifndef BD_HASH_TIGER_192_H
#define BD_HASH_TIGER_192_H

#include <bdCore/bdCrypto/bdHash.h>

class bdHashTiger192 : public bdHash
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		///Default constructor
		bdHashTiger192();

		/// Virtual destructor
		virtual ~bdHashTiger192();

		virtual bdBool hash(const bdUByte8 *data,
							const bdUInt dataSize,
							bdUByte8 *result,
							bdUInt &resultSize);

	protected:


};

#endif // BD_HASH_TIGER_192_H

