// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: WIN32 PS2 UNIX OSX PSP-ADHOC PSP-INFRA PS3
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdCore/bdSocket/bdSecurityID.h>

#define BD_LOG_LEVEL "bdCore/bdSocket/bdSecurityID"

BD_COMPILE_ASSERT(sizeof(bdSecurityID) == BD_SECURITY_ID_LENGTH, The_security_id_length_has_been_unsafely_altered);

bdSecurityID::bdSecurityID()
{
	bdMemset(ab,1, BD_SECURITY_ID_LENGTH);
}

bdBool bdSecurityID::operator == (const bdSecurityID &other) const
{
	return bdMemcmp(ab, other.ab, BD_SECURITY_ID_LENGTH) == 0;
}

