// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE: Defines the default file stream buffer for each supported platform.

#ifndef BD_DEFAULT_FILE_STREAMBUF_H
#define BD_DEFAULT_FILE_STREAMBUF_H

#include <bdPlatform/bdPlatformConfig/bdPlatformConfig.h>

#ifdef BD_PLATFORM_PS2

#include <bdCore/bdStreams/bdPs2FileStreambuf.h>
typedef bdPs2FileStreambuf bdDefaultFileStreambuf;

#else // BD_PLATFORM_PS2

#include <bdCore/bdStreams/bdStdioFileStreambuf.h>
typedef bdStdioFileStreambuf bdDefaultFileStreambuf;

#endif // BD_PLATFORM_PS2

#endif // BD_DEFAULT_FILE_STREAMBUF_H

