// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE:

#ifndef MATCHMAKING_QUERIES_H
#define MATCHMAKING_QUERIES_H

#include <bdLobby/bdLobbyCommon/bdCustomQueryParams.h>

enum SearchId
{
	FINDSESSIONSBYGAMETYPE = 1
};

/// Encapsulates a matchmaking query.
class FindSessionsByGameType : public bdCustomQueryParams
{
	public:
		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		FindSessionsByGameType (bdUInt maxNumResults,
								bdInt pGameType);

		virtual void serialize(bdBitBuffer &buffer);

	protected:

		bdInt m_pGameType;
};

#endif // MATCHMAKING_QUERIES_H
