// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include "LeaderboardQueries.h"

HighestKillRateQuery::HighestKillRateQuery(const bdUInt maxNumResults)
: bdCustomQueryParams(HIGHEST_KILL_RATE_QUERY_ID, maxNumResults)
{
	BD_ASSERT(maxNumResults <= MAX_HIGHEST_KILL_RATE_RESULTS, 
		"maxNumResults is too large for the query result class.");
}

HighestKillRateQuery::~HighestKillRateQuery()
{
}

void HighestKillRateQuery::serialize(bdBitBuffer &buffer)
{
	bdCustomQueryParams::serialize(buffer);
}

