// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include "bdSampleLeaderboard1Queries.h"


bdBestDeathToKillsRatio::bdBestDeathToKillsRatio(bdUInt maxNumResults)
: bdCustomQueryParams(BD_BESTDEATHTOKILLSRATIO, maxNumResults)

{
}
void bdBestDeathToKillsRatio::serialize(bdBitBuffer &buffer)
{
	bdCustomQueryParams::serialize(buffer);
}


bdBestDeathToKillsRatioResult::bdBestDeathToKillsRatioResult()
: m_numRows(0)
{
}
bdBool bdBestDeathToKillsRatioResult::handleResult(bdUInt numReplies, bdBitBufferRef buffer)
{
	bdBool ok = bdStatsQueryResult::handleResult(numReplies, buffer);
	if (numReplies > 0)
	{
		m_numRows = numReplies;
		for (bdUInt i=0; i < numReplies && ok; i++)
		{
			ok = m_SampleLeaderboard1[i].deserialize(buffer);
		}
	}
	return ok;
}
