// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdFriends/bdGetGroupNamesResult.h>

bdGetGroupNamesResult::bdGetGroupNamesResult()
{
}

bdGetGroupNamesResult::~bdGetGroupNamesResult()
{
	m_friendgroups.clear();
}

bdBool bdGetGroupNamesResult::handleResult(const bdUInt numResults, 
										   bdBitBufferRef buffer)
{
	bdBool ok = true;

	for(bdUInt i=0; ok && (i < numResults); i++)
	{
		bdGetGroupNamesResult::bdFriendGroup fg;

		ok = buffer->readUByte8(fg.m_groupID);
		ok = ok && buffer->readString(fg.m_groupName, BD_MAX_USERNAME_LENGTH);
		
		if(ok)
		{
			m_friendgroups.pushBack(fg);
		}
	}

	m_numResults = m_friendgroups.getSize();
	return ok;
}
