// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE:

#ifndef BD_MATCHMAKING_RESULT_H
#define BD_MATCHMAKING_RESULT_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>

template <typename T, bdUInt ARRAY_SIZE = 1>
class bdMatchMakingResult : public bdQueryResult
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdMatchMakingResult();

		virtual ~bdMatchMakingResult();

		virtual bdBool handleResult(const bdUInt numResults,
									bdBitBufferRef buffer);

	public:
	
		T m_MMInfo [ARRAY_SIZE];

};


#include <bdLobby/bdMatchMaking/bdMatchMakingResult.inl>

#endif // BD_MATCHMAKING_RESULT_H
