// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#ifndef BD_MESSAGE_STORE_H
#define BD_MESSAGE_STORE_H

#include <bdCore/bdCore.h>

BD_REFERENCE(bdMessage);

class bdMessageStore
{
	public:
		bdMessageStore(){};

		virtual ~bdMessageStore(){};

		virtual bdBool accept(const bdMessageRef receivedMsg) = 0;

		bdFastArray<bdMMPMessageHeader*> m_messages;

};

#endif // BD_MESSAGE_STORE_H