// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdMessageStore/bdMessageTypes/bdTeamNotificationMessage.h>

bdTeamNotificationMessage::bdTeamNotificationMessage(const bdUInt messageType)
:	bdLobbyMessage(messageType),
	m_originatorID(0),
	m_teamID(0)
{
	bdMemset(m_originatorName, '\0', sizeof(m_originatorName));
	bdMemset(m_teamName, '\0', sizeof(m_teamName));
}


bdTeamNotificationMessage::~bdTeamNotificationMessage()
{
}

bdBool bdTeamNotificationMessage::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdLobbyMessage::deserialize(buffer);
	ok = ok && buffer->readUInt64(m_originatorID);
	ok = ok && buffer->readString(m_originatorName, sizeof(m_originatorName));
	ok = ok && buffer->readUInt64(m_teamID);
	ok = ok && buffer->readString(m_teamName, sizeof(m_teamName));
	return ok;
}
