#ifndef __alconsolequeryvoice360_h_
#define __alconsolequeryvoice360_h_

#include "../al.h"

#ifdef __cplusplus
extern "C" {
#endif

#if defined(_WIN32) && !defined(_XBOX)
 /* _OPENAL32LIB is deprecated */
 #if defined(AL_BUILD_LIBRARY) || defined (_OPENAL32LIB)
  #define AL_API __declspec(dllexport)
 #else
  #define AL_API __declspec(dllimport)
 #endif
#else
 #define AL_API extern
#endif

#if defined(_WIN32)
 #define AL_APIENTRY __cdecl
#else
 #define AL_APIENTRY
#endif

#if TARGET_OS_MAC
 #pragma export on
#endif

/* The OPENAL, ALAPI, and ALAPIENTRY macros are deprecated, but are included for applications porting code
   from AL 1.0 */
#define OPENAL
#define ALAPI AL_API
#define ALAPIENTRY AL_APIENTRY


#ifndef AL_NO_PROTOTYPES

/* Return positional submix voice belonging to source for use with XHV */
ALAPI void* ALAPIENTRY alGetSourceSubmixVoice360 ( ALuint source );

#else /* AL_NO_PROTOTYPES */

/* Return positional submix voice belonging to source for use with XHV */
void*       (*alGetSourceSubmixVoice360)    ( ALuint source );

#endif /* AL_NO_PROTOTYPES */


#ifdef TARGET_OS_MAC
#if TARGET_OS_MAC
#pragma export off
#endif /* TARGET_OS_MAC */
#endif /* TARGET_OS_MAC */


#ifdef __cplusplus
}  /* extern "C" */
#endif

#endif /* __alconsolequeryvoice360_h_ */
