//---------------------------------------------------------------------------
// File			: AVP_Behaviour_Marine_TequilaCarried.h
// Created		: 
// Created By	: Gareth Thomas
// Copyright (C) 2007 Rebellion. All Rights Reserved.
//---------------------------------------------------------------------------

// BEGIN FILE WRAPPER ///////////////////////////////////////
#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif
#ifndef __AVP_BEHAVIOUR_MARINE_TEQUILACARRIED_H__
#define __AVP_BEHAVIOUR_MARINE_TEQUILACARRIED_H__ 1
// END FILE WRAPPER ///////////////////////////////////////////

// INCLUDES ///////////////////////////////////////////////////////////
#include "Behaviour/Axon_Project_Behaviour.h"


#include "Core/BrainTypes/AVP_Brain_Actor_Marine.h"

// FORWARD DECLARATIONS ///////////////////////////////////
class AVP_Tactical_System;
class AVP_Knowledge_System_Actor;
class AVP_ServerActor_Human;

//---------------------------------------------------------------------------
// Class		: AVP_Behaviour_Marine_MeleePlayer
// Description	: 
//---------------------------------------------------------------------------
class AVP_Behaviour_Marine_TequilaCarried : public Axon_Project_Behaviour
{
	typedef Axon_Project_Behaviour PARENT;

public:

	// InCover Update State Enum
	enum UpdateState
	{
		UNSET,
		MAX_STATES
	};

	// Construction / Deconstruction
	AVP_Behaviour_Marine_TequilaCarried( AVP_Brain_Actor_Marine* pxBrain );
	virtual ~AVP_Behaviour_Marine_TequilaCarried( void );

	// Public Member Virtual Functions...
	virtual void					PerFrameUpdate( const float fTimeslice );
#ifndef ASURA_NO_DEBUG_OUTPUT
	virtual void					RenderDebugInfo( void );
#endif

private:

	enum { CURRENT_CHUNK_VERSION = 1 };
};

#endif //__AVP_BEHAVIOUR_MARINE_TEQUILACARRIED_H__

/// End Of File 'AVP_Behaviour_Marine_TequilaCarried.h'
