//////////////////////////////////////////////////////////////////////////////
//
// AVP_Brain_Team_Marine.h
//
// Copyright (C) 2007 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_BRAIN_TEAM_MARINE_H__
#define __AVP_BRAIN_TEAM_MARINE_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// avp axon
#include "Core/BrainTypes/AVP_Brain_Team.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class AVP_ServerEntity_Team_Marine;

//////////////////////////////////////////////////////////////////////////////
//
// AVP_Brain_Team_Marine
//
//////////////////////////////////////////////////////////////////////////////

class AVP_Brain_Team_Marine : public AVP_Brain_Team
{
    typedef AVP_Brain_Team PARENT;

public:
    AVP_Brain_Team_Marine( AVP_ServerEntity_Team_Marine* pxMarineTeam );

    virtual void ReadFromChunkStream( Asura_Chunk_Stream& xStream );
    virtual void WriteToChunkStream( Asura_Chunk_Stream& xStream ) const;

    static u_int GetLargestBehaviourSize();

protected:
    AVP_ServerEntity_Team_Marine* GetMarineTeam() const;

private:
    enum { CURRENT_CHUNK_VERSION = 0 };
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AVP_BRAIN_TEAM_MARINE_H__
