///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_AlienQueen_AIAnimStateConnections.h
// Author : David Wooldridge
// Date   : 06/11/2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_ALIENQUEEN_AIANIMSTATECONNECTIONS_H__
#define __AVP_ALIENQUEEN_AIANIMSTATECONNECTIONS_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Actor/Vertebrates/AlienQueen/AVP_AlienQueen_AIAnimStateMachine.h"

class AVP_Actor_AIAnimStateConnectionData;

class AVP_AlienQueen_AIAnimStateConnections
{
public:
	static const AVP_Actor_AIAnimStateConnectionData* GetConnectionData( const u_int uStateFrom, const u_int uStateTo );
private:
	static bool s_bInitialised;
	static const AVP_Actor_AIAnimStateConnectionData* s_aapxConnectionsMatrix[ AVP_AlienQueen_AIAnimStateMachine::ALIENQUEEN_STATE_END ][ AVP_AlienQueen_AIAnimStateMachine::ALIENQUEEN_STATE_END ];
};

#endif   // ifndef __AVP_FACEHUGGER_AIANIMSTATECONNECTIONS_H__

/// End of file. ///