
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_FaceHugger_AIAnimStateConnections.h
// Author : Will Plano
// Date   : 02/05/2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_FACEHUGGER_AIANIMSTATECONNECTIONS_H__
#define __AVP_FACEHUGGER_AIANIMSTATECONNECTIONS_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Actor/Vertebrates/FaceHugger/AVP_FaceHugger_AIAnimStateMachine.h"

class AVP_Actor_AIAnimStateConnectionData;

class AVP_FaceHugger_AIAnimStateConnections
{
public:
	static const AVP_Actor_AIAnimStateConnectionData* GetConnectionData( const u_int uStateFrom, const u_int uStateTo );
private:
	static bool s_bInitialised;
	static const AVP_Actor_AIAnimStateConnectionData* s_aapxConnectionsMatrix[ AVP_FaceHugger_AIAnimStateMachine::FACEHUGGER_STATE_END ][ AVP_FaceHugger_AIAnimStateMachine::FACEHUGGER_STATE_END ];
};

#endif   // ifndef __AVP_FACEHUGGER_AIANIMSTATECONNECTIONS_H__

/// End of file. ///
