/**
*
* \file Asura_Project_RagdollMesh.h
*
* Created by DWE - 22/09/2003 12:30:57
*
* Copyright (C) 2002 Rebellion, All Rights Reserved.
*
* \brief
*
**/
#ifndef __ASURA_PROJECT_RAGDOLLMESH_H__
#define __ASURA_PROJECT_RAGDOLLMESH_H__


/// DWE - 24/09/2003 10:12:03 - This is the standard (original) set up for the rendered skeleton 
/// 
enum {
	MESHBONE_BIP01,
	MESHBONE_PELVIS,
	MESHBONE_TURRET,
	MESHBONE_SPINE1,
	MESHBONE_SPINE2,

	MESHBONE_NECK,
	MESHBONE_HEAD,
	MESHBONE_JAW,
	MESHBONE_BROW,
	
	MESHBONE_LEFT_CLAVICLE,
	MESHBONE_LEFT_SHOULDER,
	MESHBONE_LEFT_ELBOW,
	MESHBONE_LEFT_WRIST,
	MESHBONE_LEFT_HAND,

	MESHBONE_RIGHT_CLAVICLE,
	MESHBONE_RIGHT_SHOULDER,
	MESHBONE_RIGHT_ELBOW,
	MESHBONE_RIGHT_WRIST,
	MESHBONE_RIGHT_HAND,

	MESHBONE_LEFT_HIP,
	MESHBONE_LEFT_KNEE,
	MESHBONE_LEFT_ANKLE,
	MESHBONE_LEFT_FOOT,

	MESHBONE_RIGHT_HIP,
	MESHBONE_RIGHT_KNEE,
	MESHBONE_RIGHT_ANKLE,
	MESHBONE_RIGHT_FOOT,
};


#endif//__ASURA_PROJECT_RAGDOLLMESH_H__
