
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_State_Connection.cpp
// Author : Anthony Gregson
// Date   : 22/11/07
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header
#include "Core/States/Connection/AVP_State_Connection.h"

// Asura includes

// Project includes
#include "Core/AVP_Connection.h"

AVP_State_Connection::AVP_State_Connection(AVP_Connection& xParentMachine)
: PARENT(xParentMachine)
{
}

AVP_Connection& AVP_State_Connection::GetParentConnection()
{
	return static_cast<AVP_Connection&>(m_xParentMachine);
}

const AVP_Connection& AVP_State_Connection::GetParentConnection() const
{
	return static_cast<const AVP_Connection&>(m_xParentMachine);
}

/// End of file. ///
