
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_CoreState_LoadingTools.h
// Author : Anthony Gregson
// Date   : 21/11/07
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_CORESTATE_LOADINGTOOLS_H__
#define __AVP_CORESTATE_LOADINGTOOLS_H__

#if defined(ASURA_TOOLS)

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/States/Core/AVP_State_Core.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////

class AVP_StateMachine_Core;

////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class  : AVP_CoreState_LoadingTools
// Author : Anthony Gregson
// Date   : 21/11/07
////////////////////////////////////////////////////////////////////////////////

class AVP_CoreState_LoadingTools : public AVP_State_Core
{
	typedef AVP_State_Core PARENT;

public:
	// Public functions...
	AVP_CoreState_LoadingTools(AVP_StateMachine_Core& xParentMachine)
		: PARENT(xParentMachine)
	{
	}
//	virtual ~AVP_CoreState_LoadingTools();

	// Overridden functions...
//	virtual	void Enter(const u_int uPreviousState);
	virtual	void Update();
//	virtual	void Render() const;
//	virtual	void Exit(const u_int uNextState);

	virtual	const char*	GetName(void) const	{ return("Loading Tools"); }

protected:

private:

};   // End of class 'AVP_CoreState_LoadingTools'.


#endif	// defined(ASURA_TOOLS)

#endif   // ifndef __AVP_CORESTATE_LOADINGTOOLS_H__


/// End of file. ///
