//////////////////////////////////////////////////////////////////////////////
//
// Asura_Project_Cutscene_Event.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Cutscene/Asura_Cutscene_Event.h"

// for AVP_CET_SetVisionMode
#include "Cutscene/AVP_Cutscene_Event.h"
#include "Cutscene/AVP_Cutscene_Event_CloakActor.h"
#include "Cutscene/AVP_Cutscene_Event_SetVisionMode.h"
//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

Asura_Cutscene_Event* Asura_Cutscene_Event::Project_AllocateEvent( int iEventType, Asura_Cutscene* pxCutscene )
{
	switch(iEventType)
	{
		case AVP_CET_SetVisionMode :
			 return new AVP_Cutscene_Event_SetVisionMode(pxCutscene);

		case AVP_CET_CloakActor :
			 return new AVP_Cutscene_Event_CloakActor(pxCutscene);

		default :
			 return NULL;
	}
}

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
