//////////////////////////////////////////////////////////////////////////////
//
// Asura_Project_Entity_Fragment.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Entity/Ephemera/Asura_Entity_Fragment.h"
#include "Entity/Ephemera/Asura_Entity_AnimatedFragment.h"

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

Asura_Entity_Fragment* Asura_Entity_Fragment::Project_Create(
          Asura_Hash_ID     uShapeHashID,
    const Asura_Vector_3&   xPos, 
    const Asura_Matrix_3x3& xOrient, 
    const Asura_Vector_3&   xInitialVelocity )
{
    return 0;
}

Asura_Entity_AnimatedFragment* Asura_Entity_AnimatedFragment::Project_Create(Asura_Hash_ID uSkinHash,
										 Asura_Hash_ID uAnimHash,
										 const Asura_Vector_3& xPos, 
										 const Asura_Matrix_3x3& xOrient)
{
	return new Asura_Entity_AnimatedFragment(uSkinHash, uAnimHash, xPos, xOrient);
}

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
