//////////////////////////////////////////////////////////////////////////////
//
// AVP_ServerNode_VantagePoint_Predator.h
//
// Copyright (C) 2008 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_SERVERNODE_VANTAGEPOINT_PREDATOR_H__
#define __AVP_SERVERNODE_VANTAGEPOINT_PREDATOR_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// avp
#include "Entity/Locations/VantagePoint/AVP_ServerNode_VantagePoint.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_Chunk_Stream;

//////////////////////////////////////////////////////////////////////////////
//
// AVP_ServerNode_VantagePoint_Predator
//
//////////////////////////////////////////////////////////////////////////////

class AVP_ServerNode_VantagePoint_Predator : public AVP_ServerNode_VantagePoint
{
	typedef AVP_ServerNode_VantagePoint PARENT;

public:
	AVP_ServerNode_VantagePoint_Predator( Asura_Guid uGuid );
	virtual ~AVP_ServerNode_VantagePoint_Predator();

	virtual void WriteToChunkStream( Asura_Chunk_Stream& xStream ) const;
	virtual void ReadFromChunkStream( Asura_Chunk_Stream& xStream );

	static AVP_ServerNode_VantagePoint_Predator* FindEntity( const Asura_Guid uGuid ) { return s_xList.FindEntity( uGuid ); }
	static Asura_Hashed_List< AVP_ServerNode_VantagePoint_Predator >* GetList() { return &s_xList; }

private:
	static Asura_Hashed_List< AVP_ServerNode_VantagePoint_Predator > s_xList;

	enum { CURRENT_CHUNK_VERSION = 0 };
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AVP_SERVERNODE_VANTAGEPOINT_PREDATOR_H__
