/////////////////////////////////////////////////////////////////////////////////////////////////////////
///
/// This is no longer used/needed but is kept just in case design changes its mind and want devoted
/// pheromone entities
///
/////////////////////////////////////////////////////////////////////////////////////////////////////////
/*

///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_ServerEntity_Pheromone.cpp
// Author : Andy Tate
// Date   : 28-Feb-2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header....
#include "Entity/Pheromone/AVP_ServerEntity_Pheromone.h"
#include "Entity/Pheromone/AVP_Pheromone_Messages.h"

#include "Entity/AVP_Entity_Classification.h"
#include "Network/Asura_Network.h"
#include "Network/Asura_Message.h"


////////////////////////////////////////////////////////////////////////////////
// Static variable declarations...
////////////////////////////////////////////////////////////////////////////////

AVP_ServerEntity_Pheromone::PheromoneList	AVP_ServerEntity_Pheromone::s_xList;


////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ServerEntity_Pheromone::AVP_ServerEntity_Pheromone
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

AVP_ServerEntity_Pheromone::AVP_ServerEntity_Pheromone()
: PARENT(Asura_Entity_System::GetCreatedByGameGuid()), m_xBlueprintHashID(ASURA_HASH_ID_UNSET)
{

	// Initialise the standard entity stuff...
	Classification	= AVP_ENTITYCLASS_PHEROMONE;
	SetAlwaysUpdateClient(false);
	s_xList.AddToList(this);

}

/// End of function 'AVP_ServerEntity_Pheromone::AVP_ServerEntity_Pheromone'. ///

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ServerEntity_Pheromone::AVP_ServerEntity_Pheromone
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

AVP_ServerEntity_Pheromone::AVP_ServerEntity_Pheromone(Asura_Guid uGuid)
: PARENT(uGuid), m_xBlueprintHashID(ASURA_HASH_ID_UNSET)
{

	// Initialise the standard entity stuff...
	Classification	= AVP_ENTITYCLASS_PHEROMONE;
	SetAlwaysUpdateClient(false);
	s_xList.AddToList(this);

}

/// End of function 'AVP_ServerEntity_Pheromone::AVP_ServerEntity_Pheromone'. ///

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ServerEntity_Pheromone::~AVP_ServerEntity_Pheromone
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

AVP_ServerEntity_Pheromone::~AVP_ServerEntity_Pheromone()
{
	s_xList.RemoveFromList(this);
}

/// End of function 'AVP_ServerEntity_Pheromone::~AVP_ServerEntity_Pheromone'. ///


////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ServerEntity_Pheromone::Create
// Author       : Andy Tate
// Date         : 28-Feb-2008
////////////////////////////////////////////////////////////////////////////////

AVP_ServerEntity_Pheromone* AVP_ServerEntity_Pheromone::Create(const Asura_Message* pxMessage)
{
	AVP_ServerEntity_Pheromone*			pxPheromone	= new AVP_ServerEntity_Pheromone ();

	return(pxPheromone);
}

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ServerEntity_Pheromone::MakeClientUpdateMessage
// Author       : Andy Tate
// Date         : 29-Feb-2008
////////////////////////////////////////////////////////////////////////////////

void AVP_ServerEntity_Pheromone::MakeClientUpdateMessage(void)
{
	Asura_Message*	pxMessage	= Asura_Network::CreateMessage(ASURA_MSG_CLIENTUPDATE, sizeof(AVP_Message_Pheromone_ClientUpdate));

	Send(pxMessage, ASURA_GUID_MY_CLIENT_ENTITIES);
}

/// End of function 'AVP_ServerEntity_Pheromone::MakeClientUpdateMessage'. ///

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ServerEntity_Pheromone::HandleMessage
// Author       : Andy Tate
// Date         : 29-Feb-2008
////////////////////////////////////////////////////////////////////////////////

bool AVP_ServerEntity_Pheromone::HandleMessage(const Asura_Message* pxMessage)
{
	const u_int	uMessageID	= pxMessage->GetMsgID();

	switch(uMessageID)
	{
	case ASURA_MSG_CLIENT_REQUESTCREATEMSG:
		{
			MakeCreateMessage(pxMessage->GetFromGuid(), true);
			return(true);
		}

	default:
		{
			return(PARENT::HandleMessage(pxMessage));
		}
	}		// End of switch.
}

/// End of function 'AVP_ServerEntity_Pheromone::HandleMessage'. ///

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_ServerEntity_Pheromone::MakeCreateMessage
// Author       : Andy Tate
// Date         : 29-Feb-2008
////////////////////////////////////////////////////////////////////////////////

void AVP_ServerEntity_Pheromone::MakeCreateMessage(Asura_Guid uRequestingClient,
													bool bSendGuaranteed)
{
	Asura_Message*	pxMessage	= Asura_Network::CreateMessage(ASURA_MSG_CLIENTCREATE, sizeof(AVP_Message_Pheromone_Create), Classification);

	if(pxMessage == NULL)
	{
		Asura_Assert(false, "Couldn't create CreationMessage");
	}
	else
	{
//		AVP_Message_Pheromone_Create*	pxData	= static_cast<AVP_Message_Pheromone_Create*>(pxMessage->GetData());

		pxMessage->SetToGuid(ASURA_GUID_MY_CLIENT_ENTITIES);
		pxMessage->SetFromGuid(GetGuid());

		if (bSendGuaranteed)
		{
			pxMessage->UseGuaranteedDelivery();
		}

		Asura_Network::SendToSpecificMachine(pxMessage, uRequestingClient);
	}
}

/// End of function 'AVP_ServerEntity_Pheromone::MakeCreateMessage'. ///
*/