//////////////////////////////////////////////////////////////////////////////
//
// AVP_Message_InteractRetinalScanner_ClientCreate.h
//
// Created by AJK 05/01/2009
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef AVP_MESSAGE_INTERACTRETINALSCANNER_CLIENTCREATE
#define AVP_MESSAGE_INTERACTRETINALSCANNER_CLIENTCREATE

#include "Entity/PhysicalObject/Interact/ToolReceptacle/AVP_Messages_InteractToolReceptacle.h"

class AVP_ServerEntity_InteractRetinalScanner;

class AVP_Message_InteractRetinalScanner_ClientCreate : public AVP_Message_InteractToolReceptacle_ClientCreate
{
public:

	AVP_Message_InteractRetinalScanner_ClientCreate();
	void FillInteractionObject( const AVP_ServerEntity_InteractRetinalScanner* pxObject );

	Asura_Hash_ID GetVictimBlueprintHash() const { return m_uVictimBlueprintHashID;     }
	Asura_Hash_ID GetVictimBlueprintType() const { return m_uVictimBlueprintType; }

private :

	Asura_Hash_ID m_uVictimBlueprintHashID;
	Asura_Hash_ID m_uVictimBlueprintType;

	typedef AVP_Message_InteractToolReceptacle_ClientCreate PARENT;

};

//
// Collection message
//

#endif   // ifndef AVP_MESSAGE_INTERACTRETINALSCANNER_CLIENTCREATE
