//
// AVP_InputSimulator_AutomatchTesting.h
//
// Created by JL - 22 April 2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//

#ifdef AVP_USE_INPUT_SIMULATOR

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_INPUTSIMULATOR_AUTOMATCHTESTING_H__
#define __AVP_INPUTSIMULATOR_AUTOMATCHTESTING_H__

#include "Core/Asura_Platform_Timers.h"

enum AVP_AUTOMATCHTESTING_STATE
{
	AVP_AUTOMATCHTESTING_STATE_PREJOIN,
	AVP_AUTOMATCHTESTING_STATE_INLOBBY,
	AVP_AUTOMATCHTESTING_STATE_JOINING,
	AVP_AUTOMATCHTESTING_STATE_INGAME,
};

class AVP_InputSimulator_AutomatchTesting
{
public:
	static bool Update( u_char* pucCurrentInput, float* pfAxisValue );

	static bool GatherStatistics( bool bHelp );

	static bool ConsoleCmd_SetAutomatchID( int iNewID, bool bInterrogate, bool bHelp);

private:

	static void FindAndClickWidget( Asura_Hash_ID uWidget, u_char* pucCurrentInput, float* pfAxisValue );

	static AVP_AUTOMATCHTESTING_STATE s_eTestState;
	static bool s_bOpenedNewLogFile;
	static bool s_bShouldUpdate;
	static int s_iAutomatchID;
	static int s_iFrameCounter;
	static int s_iLastMessageDisplayed;
	static Asura_TickCount s_lTicksAtAttempt;
	static Asura_Hash_ID s_uLastMenuHash;
};

#endif // __AVP_INPUTSIMULATOR_AUTOMATCHTESTING_H__

#endif // AVP_USE_INPUT_SIMULATOR
