#include "Core/Asura.h"

#ifdef AVP_USE_INPUT_SIMULATOR

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __AVP_INPUTSIMULATOR_BEHAVIOUR_MARINE_IDLE_H__
#define __AVP_INPUTSIMULATOR_BEHAVIOUR_MARINE_IDLE_H__

#include "InputSimulator/AVP_InputSimulator_Behaviour.h"

class AVP_InputSimulator_Behaviour_Marine_Idle : public AVP_InputSimulator_Behaviour
{
	public:
		AVP_InputSimulator_Behaviour_Marine_Idle();
		void Update( u_char* ucCurrentInput, float* pfAxisValue );

	private:
		enum UpdateState
		{
			IDLE,
			PATROL,
			NOT_SET
		};

		UpdateState m_eUpdateState;
};


#endif // __AVP_INPUTSIMULATOR_BEHAVIOUR_MARINE_IDLE_H__

#endif // AVP_USE_INPUT_SIMULATOR
