///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_InventoryTool_Battery.h
// Author : Ali Jakamy
// Date   : 20/11/2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_InventoryTool_Battery_H__
#define __AVP_InventoryTool_Battery_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Inventory/Items/Weapons/AVP_InventoryWeapon_RangedWeapon.h"

class AVP_InventoryTool_Battery : public AVP_InventoryWeapon_RangedWeapon
{
public:

	AVP_InventoryTool_Battery( AVP_Inventory_Group& xParentGroup, const Asura_Hash_ID uHash, const Asura_Hash_ID uBlueprintHash);
	virtual ~AVP_InventoryTool_Battery();

	virtual bool IsEncumberment(void) const { return true; }

private:

	typedef AVP_InventoryWeapon_RangedWeapon PARENT;

	AVP_InventoryTool_Battery(void);
	AVP_InventoryTool_Battery(const AVP_InventoryTool_Battery& xOther);

	AVP_InventoryTool_Battery&	operator=(const AVP_InventoryTool_Battery& xOther);
};

#endif   // ifndef __AVP_InventoryTool_Battery_H__
