//
// AVP_Multiplayer_HashIDs.h
//
// Created by JG - 11 September 2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_MULTIPLAYER_HASHIDS_H__
#define __AVP_MULTIPLAYER_HASHIDS_H__

static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GENERIC_HUD_MENU				= 0x418f0a8f; // Asura_GetHashID( "Generic_HUD" )
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_MESSAGE_SYSTEM_MENU		= 0x259d3e44; // Asura_GetHashID( "GameMessageSystem" )

static const Asura_Hash_ID s_uAVP_MULTIPLAYER_SCOREBOARD_TEAM				= 0x102025d1; // Asura_GetHashID( "MultiPlayer_Team_ScoreBoard" )
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_SCOREBOARD_NON_TEAM			= 0x1c58e6df; // Asura_GetHashID( "MultiPlayer_NON_Team_ScoreBoard" )
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_RESULTS_TEAM					= 0xF088361C; // Asura_GetHashID( "Multiplayer_Info_PostTeamMatch" )
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_RESULTS_NON_TEAM				= 0xC8FFD047; // Asura_GetHashID( "Multiplayer_Info_PostNONTeamMatch" )
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_RESULTS_INDIVIDUAL			= 0x7B1EBDE5; // Asura_GetHashID( "Multiplayer_Info_Individual" )

static const Asura_Hash_ID s_uAVP_MULTIPLAYER_SCORE_FONT_COL_NORMAL			= 0xFFC0C0C0; 
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_SCORE_FONT_COL_LOCAL_PLAYER	= 0xFFFFFFFF; 
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_SCORE_FONT_COL_PERSECUTOR		= 0xFFC00000; 

// Used for the title text in the multiplayer scoreboards. each of these refer to an multilanguage string ID
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TITLE_DEATHMATCH			= 0x6C7EB162; // "HUD_TITLE_DEATMATCH"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TITLE_TEAMDEATHMATCH		= 0x42EDD7DD; // "HUD_TITLE_TEAM_DETHMATCH"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TITLE_HUNT				= 0x9C862962; // "HUD_TITLE_HUNT"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TITLE_SURVIVOR			= 0xAE7CAB45; // "HUD_TITLE_SURVIVOR"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TITLE_DISDOMINATION		= 0x6C3A7CCE; // "HUD_TITLE_DIS_DOMINATION"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TITLE_PLACEHOLDER		= 0x23A88573; // "PLACEHOLDER"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TEAMNAME_GREEN			= 0x07A2F1BB; // "HUD_GREEN"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TEAMNAME_BLUE			= 0x10C0D6A2; // "HUD_BLUE"
static const Asura_Hash_ID s_uAVP_MULTIPLAYER_GAME_TEAMNAME_RED				= 0x4ADD2949; // "HUD_RED"


#endif//__AVP_MULTIPLAYER_HASHIDS_H__
