
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Platform_Predator_InputHandler.cpp
// Author : Andy Tate
// Date   : 3-Oct-2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
// JL - 01 April 2009 - Modified version of PC file, used in PC-CLI
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Actor/Vertebrates/Predator/AVP_Predator_InputHandler.h"

// AVP platform header files...
#include "Actor/Vertebrates/Predator/AVP_PC_Predator_ControlMapper.h"

// JL - 01 April 2009 - Stubbed out for PC-CLI to avoid using anything related to joysticks
void AVP_Predator_InputHandler::Platform_InitialiseControlMap(void) 
{
	AVP_PC_Predator_ControlMapper	xControlMapper;
	xControlMapper.Initialise(*this);
}

/// End of function 'AVP_Predator_InputHandler::Platform_InitialiseControlMap'. ///


/// End of file. ///
