//////////////////////////////////////////////////////////////////////////////
//
// AVP_Platform_FSFX.cpp
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
// JL - 01 April 2009 - Edited PC version used in PC-CLI, PC-CLI does not use
// directX.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#if defined ASURA_USE_FSFX

// Asura Platform-independent
#include "FSFX/Asura_FSFX_System.h"
#include "Rendering/Asura_Render.h"

// Asura PC
#include "Rendering/Asura_Direct3D.h"

// AVP Platform-independent
#include "FSFX/AVP_FSFX.h"

/******************************************************************************/
/* Asura_FSFX_System Static Class Functions                                   */
/******************************************************************************/

void Asura_FSFX_System::PlatformProject_Initialise()
{
}

void Asura_FSFX_System::PlatformProject_Reset()
{
}

void Asura_FSFX_System::PlatformProject_Shutdown()
{
}

/******************************************************************************/
/* AVP_FSFX_Component_UseStencil Class Functions                              */
/******************************************************************************/

void AVP_FSFX_Component_UseStencil::Platform_Render( const float fIntensity ) {}


#endif // defined ASURA_USE_FSFX
