/**
*
* AVP_Platform_PheromoneTrail.cpp
*
* Created by Andrew Southgate - 30/7/2008
*
* Copyright (C) 2007 Rebellion, All Rights Reserved.
*
* JL - 01 April 2009 - Edited PC version used in PC-CLI, PC-CLI does not
* display glow outlines.
*
**/

/************/
/* Includes */
/************/

// main asura header
#include "Core/Asura.h"
#include "Core/Asura_Timers.h"
#include "Core/Asura_TextureManagement.h"

// local header
#include "SpecialFX/AVP_GlowOutlines.h"

// Asura Platform-independent
#include "Camera/Asura_Camera.h"
#include "Core/Asura_Maths.h"
#include "Rendering/Asura_Render.h"
#include "Rendering/Asura_Viewport.h"
#include "Rendering/Asura_Colour.h"
#include "Animation/Asura_Animation.h"
#include "Animation/Asura_Hierarchy.h"
#include "Core/Asura_MaterialResponse_system.h"
#include "Interface/Asura_CommandConsole.h"

// AVP PC
#include "Rendering/AVP_Platform_Stencil_Setup.h"

void AVP_GlowOutlines::Platform_Initialise() {}
void AVP_GlowOutlines::Platform_Shutdown() {}

#if !defined(ASURA_HIERARCHY_QUAD)
#error AVP requires ASURA_HIERARCHY_QUAD at the moment
#endif

static void FixUpAsura_Hierarchy_SystemForAnimation( Asura_Animation* pxAnim, const Asura_Vector_3& xPos, const Asura_Matrix_3x3& xOri, u_int uRenderFlags ) {}
static void RenderSkin( const Asura_Animation& xAnimation, const Asura_Hierarchy_Skin& xSkin, Asura_AMatrix4x4_InParam xTransform, Asura_AMatrix4x4_InParam xInverseTransform, const Asura_AMatrix4x4* const pxBoneTransforms) {}
void AVP_GlowOutlines::Platform_Render(  DepthSortedSkinEntry * const * pxBuffer) {}
