//////////////////////////////////////////////////////////////////////////////
//
// AVP_Platform_ClientEntity_Actor.cpp
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#include "Entity/PhysicalObject/Actor/AVP_ClientEntity_Actor.h"

// Asura PC
#include <Rendering/Asura_Direct3D.h>

/******************************************************************************/
/* AVP_ClientEntity_Actor Class Functions                                     */
/******************************************************************************/

void AVP_ClientEntity_Actor::Platform_BeginRenderHUD() const
{
	D3DPERFCALL( BeginEvent( D3DCOLOR_XRGB( 0xFF, 0xFF, 0xFF ), L"HUD" ) );
}

void AVP_ClientEntity_Actor::Platform_EndRenderHUD() const
{
	D3DPERFCALL( EndEvent() ); // HUD
}
