// core
#include "Core/Asura.h"

// header
#include "Core/Profile/AVP_Profile_Graphics.h"
#include "Rendering/Asura_PS3_Graphics.h"

void AVP_Profile_Graphics::Platform_SetToDefaults()
{
	m_fGamma = 0.5f;
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_AcceptNewRes( bool bHelp)
{
	return false;
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_ChangeVisualDetails( bool bHelp)
{
	return false;
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_ChangeTextureDetails( bool bHelp)
{
	return false;
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_ChangeShadowDetails( bool bHelp)
{
	return false;
}


bool AVP_Profile_Graphics::Platform_ConsoleCmd_ChangeResolution( u_int uResIndex, bool bInterrogate, bool bHelp )
{
	return false;
}


bool AVP_Profile_Graphics::Platform_ConsoleCmd_RevertResolution(bool bHelp )
{
	return false;
}

bool AVP_Profile_Graphics::Platform_SetResolution(u_int uResIndex)
{
	return false;
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_ResolutionsList( u_int uResIndex, bool bInterrogate, bool bHelp )
{
	return false;
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_ChangeAnisotropicFilteringRight(bool bHelp)
{
	return false;
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_ChangeAnisotropicFilteringLeft(bool bHelp)
{
	return false;
}

void AVP_Profile_Graphics::Platform_ChangeAnisotropicFiltering(int iStep)
{
}

bool AVP_Profile_Graphics::Platform_ConsoleCmd_OnInitGraphicsOptions( bool bHelp)
{
	return false;
}

void AVP_Profile_Graphics::Platform_UpdateAnisotropicFilteringDynLbl(u_int uAnisotropicFiltering)
{
}

void AVP_Profile_Graphics::Platform_UpdateNewResConfirmationTimer()
{
}

void AVP_Profile_Graphics::Platform_ApplySettings()
{
	
	Asura_PS3_Graphics::SetGammaSetting( m_fGamma );
}