///////////////////////////////////////////////////////////////////////////////
//
// File: AVP_Platform_PerlinNoise.h
//
// Created by Andrew Southgate 05/12/2007
// 
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
// Handles AVP procedural perlin noise (to be used platform side to create textures)
//
///////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#if !defined __AVP_PLATFORM_PERLINNOISE_H__
#define __AVP_PLATFORM_PERLINNOISE_H__

#include <SpecialFX/AVP_PerlinNoise.h>

class AVP_Platform_PerlinNoise
{
public:
	static void Initialise();
	static void Shutdown();
};


#endif // #if !defined __AVP_PLATFORM_PERLINNOISE_H__
