#include "Core/Asura.h"

#if !defined(ASURA_USE_GUI_MENU_SYSTEM)
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Platform_PauseMenu.cpp
// Author : Chris Wallace
// Date   : 8-Dec-2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Menus/AVP_PauseMenu.h"
#include "Debugging/Asura_CPUProfile_Renderer.h"
#include "Rendering/Asura_Xbox360_Graphics.h"

////////////////////////////////////////////////////////////////////////////////
// Functions
////////////////////////////////////////////////////////////////////////////////

void AVP_PauseMenu::SetGameStats(bool bInput)
{
	#if defined ASURA_USE_PROFILING_SYSTEM
		Asura_CPUProfile_Renderer::EnableBars( bInput );
	#endif

	#if defined ASURA_XBOX360_ALLOW_STATS
		Asura_Xbox360_Graphics::EnableStats( bInput );
	#endif
}
#endif
