//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Cutscene_Event_SetVisionMode_Undo.h
//
// Created by Ali Jakamy 25/06/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLSAVP_CUTSCENE_EVENT_SETVISIONMODE_UNDO_H__
#define __TOOLSAVP_CUTSCENE_EVENT_SETVISIONMODE_UNDO_H__


#include "Cutscene/Tools_Cutscene_Event.h"

class ToolsAVP_Cutscene_Event_SetVisionMode_Undo : public CutsceneUndoData_Event_Changed
{
public :

	ToolsAVP_Cutscene_Event_SetVisionMode_Undo(Tools_Cutscene_Event* pxEvent);
	virtual void SwapWithEvent(Tools_Cutscene_Event* pxEvent);

private :

	//backup variables for undo
	Asura_Hash_ID m_uVisionModeHash;
	float         m_fDuration;
	u_int         m_uFlags;

};


#endif // #ifndef __TOOLSAVP_CUTSCENE_EVENT_SETVISIONMODE_UNDO_H__