//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Cutscene_Mode_Undo.cpp
//
// Created by Ali Jakamy 25/06/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Own header
#include "Cutscene/ToolsAVP_Cutscene_Mode_Undo.h"

// AVP
#include "Cutscene/AVP_Cutscene_Event.h"

// Tools
#include "Cutscene/Tools_Cutscene_Event.h"

// AVP Tools
#include "ToolsAVP_Cutscene_Event_CloakActor_Undo.h"
#include "ToolsAVP_Cutscene_Event_SetVisionMode_Undo.h"

RootUndoData* ToolsAVP_Cutscene_Mode_Undo::CreateUndo_Event_Changed(Tools_Cutscene_Event* pxEvent)
{
	switch( pxEvent->Event->m_iType )
	{
		case AVP_CET_SetVisionMode :
		     return new ToolsAVP_Cutscene_Event_SetVisionMode_Undo(pxEvent);

	 	case AVP_CET_CloakActor :
			 return new ToolsAVP_Cutscene_Event_CloakActor_Undo(pxEvent);

		default :
			 return PARENT::CreateUndo_Event_Changed(pxEvent);
	}
}
