//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Entity_InteractToolReceptacle.h
//
// Created by AJK 24/11/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __TOOLSAVP_ENTITY_INTERACTTOOLRECEPTACLE__
#define __TOOLSAVP_ENTITY_INTERACTTOOLRECEPTACLE__

#include "Entity/PhysicalObject/Interact/ToolsAVP_Entity_InteractObject.h"

class AVP_ServerEntity_InteractToolReceptacle;

class ToolsAVP_Entity_InteractToolReceptacle : public ToolsAVP_Entity_InteractObject
{
public:


	virtual bool			CanBeCopied() const { return ( Type == TOT_Entity_InteractToolReceptacle ); }

	virtual void            AddActionsControls( Asura_Overlay* pxOverlay, Asura_Vector_2& xOffset );
	virtual void			OnSelection();
	virtual	void            Update();

protected:

	ToolsAVP_Entity_InteractToolReceptacle(AVP_ServerEntity_InteractToolReceptacle* pxInteractObject);
	virtual ~ToolsAVP_Entity_InteractToolReceptacle();

	typedef ToolsAVP_Entity_InteractObject PARENT;

	virtual bool AllowToolInside() { return true; }
	void UpdateToolInsideGuid();

	Asura_Overlay* m_pxOverlay;
	static void SelectTool(void);
	static bool IsToolInside();
	static void SetSelectedTool(Asura_Guid uGuid);

	static ToolsAVP_Entity_InteractToolReceptacle* s_pxSelectedReceptacle;
};

#endif // #ifndef __TOOLSAVP_ENTITY_INTERACTTOOLRECEPTACLE__
