//
// Tools_ModuleSelect_Overlay.h
//
// Created by Richard Rice - 18/10/2005
// 
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#include "Misc/Tools_Modal_Overlay.h"


//Overlay for selecting a module , also used as a parent class for the find module overlay
//in the movement system


class Tools_ModuleSelect_Overlay : public ListSelection_Overlay
{
	public :
		Tools_ModuleSelect_Overlay(const char* pszTitle,int iDefaultModule = 0);

		//virtual bool DoModal();//just uses ListSelection_Overlay behaviour

	protected :
		virtual void AddExtraOverlayControls(class Asura_Overlay* pxOverlay,class Asura_Vector_2& xOffset);
		virtual void Update();

	private :
		int m_iModuleIndex;
		bool m_bModuleIndexChanged;
};
