//
// Tools_Zlib.h
//
// Created by Richard Rice - 21/08/2007
// 
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//


#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif


#ifndef _TOOLS_ZLIB_H_
#define _TOOLS_ZLIB_H_
#ifdef ASURA_USE_ZLIB

class Tools_Zlib
{
public :
	//Saves the contents of the buffer to a compressed file
	static bool SaveCompressedFile(const void* pBuffer, const u_int uSize, const char* szFilename, bool bBigEndian = false);

	//compresses an existing uncompressed asura file
	static bool CompressFile(const char* szFilename, bool bBigEndian = false, bool bAllowAbort = false);

	//compresses an existing uncompressed asura file to the destination file
	static bool CompressFile(const char* szSourceFile, const char* szDestFile, bool bBigEndian = false);

};


#endif //ASURA_USE_ZLIB
#endif //_TOOLS_ZLIB_H_
