
///////////////////////////////////////////////////////////////////////////////
//
// File   : Tools_MeshRestartIndex.h
// Author : Andy Tate
// Date   : 20-Sep-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __TOOLS_MESHRESTARTINDEX_H__
#define __TOOLS_MESHRESTARTINDEX_H__

// C L A S S E S /////////////////////////////////////////////////////////////

class Tools_MeshRestartIndex
{

public:

    // Query function...
    static bool IsValidForCurrentPlatform( u_short& usRestartValue );
    static bool IsValidForCurrentPlatform( void ) { u_short usIgnored; return IsValidForCurrentPlatform( usIgnored ); }

    // Replacement functions...
    static  u_int   ReplaceDegeneratesInTriStrip    (const u_int uNumIndices, const u_short* pusInputIndices, u_short* pusOutputIndices);
    static  u_int   ReplaceDegeneratesInTriStrip    (const u_int uNumIndices, u_short* pusIndices)  { return (ReplaceDegeneratesInTriStrip(uNumIndices, pusIndices, pusIndices)); }

};   // End of class 'Tools_MeshRestartIndex'.

#endif   // ifndef __TOOLS_MESHRESTARTINDEX_H__
