// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___GSREGS_H___
#define ___GSREGS_H___ 1

// B E G I N   N A M E S P A C E /////////////////////////////////////////////

namespace DMADebug
{

// T Y P E S /////////////////////////////////////////////////////////////////

struct GSRegDesc
{

    // T Y P E S /////////////////////////////////////////////////////////////

    struct Field
    {
	    const char* name;
	    const char* longname;
	    int startbit;
	    int length;
    };

    // D A T A ///////////////////////////////////////////////////////////////
    
    u_char address;
	const char* regname;
	const char* description;
	int numfields;
	Field fields[12];

};

// G L O B A L S /////////////////////////////////////////////////////////////

extern const GSRegDesc gRegs[];

// E N D   N A M E S P A C E /////////////////////////////////////////////////

}

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___GSREGS_H___
