//
// Tools_ModuleSmoothing.h
//
// Created by Richard Rice - 05/11/2002
// 
// Copyright (C) 2002 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_MODULESMOOTHING_H__
#define __TOOLS_MODULESMOOTHING_H__

class Tools_ModuleSmoothing
{
public :
	//check normals for all modules , and recalc if they aren't smoothed across modules
	static void CheckModuleNormals();

	//calculate normals for module , smoothe across module boundaries
	static void CalculateNormals(int iModuleIndex);

};


#endif //__TOOLS_MODULESMOOTHING_H__
