//////////////////////////////////////////////////////////////////////////////
//
// Tools_xWMA_Conversion.h
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if !defined __TOOLS_XWMA_CONVERSION_H__
#define __TOOLS_XWMA_CONVERSION_H__

/******************************************************************************/
/* Types                                                                      */
/******************************************************************************/

// If Tools_ConvertxWMAFile returns false, and puFailureCode is not NULL, one of
// these values is written to *puFailureCode

enum
{
	Tools_ConvertxWMAFile_Success,
	Tools_ConvertxWMAFile_InvalidParameter,
	Tools_ConvertxWMAFile_FailedToLoadExe,
	Tools_ConvertxWMAFile_FailedToConvertxWMA,
};

/******************************************************************************/
/* Functions                                                                  */
/******************************************************************************/

bool Tools_ConvertxWMAFile( const char* const szInputFileName, const char* const szOutputFileName,
	const struct ToolsSoundConversionData* const pxConvertData, u_int* const puFailureCode = 0 );

#endif // !defined __TOOLS_XWMA_CONVERSION_H__
