//
// Tools_Sound_PS2Settings.h
//
// Created by Richard Rice - 18/06/2002
// 
// Copyright (C) 2002 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef _TOOLS_SOUND_PS2SETTINGS_H_
#define _TOOLS_SOUND_PS2SETTINGS_H_


#define PS2SettingsFilename "Sounds\\PS2SoundSettings.txt"

class Tools_Sound_PS2Settings
{
public :
	static void Initialise();
	static void Shutdown();


	static bool IsModified(){return Modified;}
	//save the current settings to a text file
	static bool Save();

	//gets the current frequency stored for this file , returns 0 if no entry exists
	static int GetFrequency(const char* filename);
	static void SetFrequency(const char* filename,int frequency,bool bSetModified = true);

private :
	static struct PS2SoundSettings* GetSoundSettings(const char* filename,bool create);

	static bool Modified;

};




#endif //_TOOLS_SOUND_PS2SETTINGS_H_
