//
// Tools_SurroundPan_Dialog.h
//
// Created by Richard Rice - 18/07/2006
// 
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_SURROUNDPAN_DIALOG__
#define __TOOLS_SURROUNDPAN_DIALOG__

#include "Interface/Asura_Dialog.h"
#include "Interface/Asura_Gadget.h"
#include "Sound/Asura_Sound_Event.h"

//Dialog for editig a surround pan value
class Tools_SurroundPan_Dialog : public Asura_Dialog
{
public :
	Tools_SurroundPan_Dialog(const Asura_Vector_2& xOffset,Asura_SurroundPan* pxPan,bool* pbModified = 0);

private :
	virtual void PerFrameUpdate();

	const Asura_SurroundPan* m_pxPan;

};


///////////////////////

class Tools_SurroundPan_Gadget : public Asura_Gadget
{
public :
	Tools_SurroundPan_Gadget(const Asura_Vector_2& xOffset,Asura_SurroundPan* pxPan,bool* pbModified);

private :
	virtual void Render( const Asura_Vector_2& xOrigin );
	virtual void Update( const Asura_Vector_2& xOrigin );


	Asura_SurroundPan* m_pxPan;
	bool* m_pbModified;
	static int s_iTextureIndex;

};

#endif //__TOOLS_SURROUNDPAN_DIALOG__
