//
// Tools_Overlays.h
//
// Created by Kevin Lea - 25/06/2001 14:53:01
// 
// Copyright (C) 2001 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_OVERLAYS_H__
#define __TOOLS_OVERLAYS_H__
enum TOOLS_OVERLAY_ID
{
	TOOLS_OVERLAY_GENERIC=0,
	TOOLS_OVERLAY_MODE,

	TOOLS_OVERLAY_FLAGS,
	TOOLS_OVERLAY_LIGHTPROPERTIES,
	TOOLS_OVERLAY_LIGHTSCALE,
	TOOLS_OVERLAY_PLATFORMLIGHTSCALE,
	TOOLS_OVERLAY_LIGHTSETS,

	TOOLS_OVERLAY_PHONONPROPERTIES,
	TOOLS_OVERLAY_VOLUMESCALE,
	TOOLS_OVERLAY_MUSICPROPERTIES,
	TOOLS_OVERLAY_SOUNDEVENT1,
	TOOLS_OVERLAY_SOUNDEVENT2,
	TOOLS_OVERLAY_SOUNDMIXER,
	TOOLS_OVERLAY_DIALOGUE,
	TOOLS_OVERLAY_DIALOGUEEVENT1,
	TOOLS_OVERLAY_DIALOGUEEVENT2,
	TOOLS_OVERLAY_PICKDIALOGUEEVENT,
	TOOLS_OVERLAY_PICKDIALOGUELINE,
	TOOLS_OVERLAY_PICKDIALOGUELINETEMPLATE,
	TOOLS_OVERLAY_DSP_CHAINLIST,
	TOOLS_OVERLAY_DSP_CHAIN,
	TOOLS_OVERLAY_STREAMING_SOUNDS,
	TOOLS_OVERLAY_REVERB,
	TOOLS_OVERLAY_AUDIO_MONITOR,

	TOOLS_OVERLAY_TEXTURING_OPTIONS,
	TOOLS_OVERLAY_TEXTURING_SELECTION,
	TOOLS_OVERLAY_TEXTURING_TILING,
	TOOLS_OVERLAY_TEXTURING_COPY,
	TOOLS_OVERLAY_TEXTURING_NODEEDIT,
	TOOLS_OVERLAY_TEXTURING_MODAL,
	TOOLS_OVERLAY_TEXTURING_REPEATS,
	TOOLS_OVERLAY_TEXTURING_FIND,
	TOOLS_OVERLAY_TEXTURING_MOUSEMODE,
	TOOLS_OVERLAY_TEXTURING_ALPHA,
	TOOLS_OVERLAY_TEXTUREANIMATION,
	TOOLS_OVERLAY_EDITTEXTUREANIMATION,
	TOOLS_OVERLAY_TEXTURING_MATERIAL_RESPONSE_LIST,
	TOOLS_OVERLAY_TEXTURING_MATERIAL_RESPONSE_PROPERTIES1,
	TOOLS_OVERLAY_TEXTURING_MATERIAL_RESPONSE_PROPERTIES2,
	TOOLS_OVERLAY_TEXTURING_MATERIAL_RESPONSE_PROPERTIES3,
	TOOLS_OVERLAY_TEXTURING_MATERIAL_RESPONSE_PROPERTIES4,
	TOOLS_OVERLAY_IMPORTMATERIALRESPONSE,

	TOOLS_OVERLAY_UVEDIT_SCALE,
	TOOLS_OVERLAY_UVEDIT_SETTINGS,

	TOOLS_OVERLAY_TT_OPTIONS,
	TOOLS_OVERLAY_TT_EXPORT,
	TOOLS_OVERLAY_TT_TEXTURE,
	TOOLS_OVERLAY_TT_PREVIEW,
	TOOLS_OVERLAY_TT_CONFIRMATION,

	TOOLS_OVERLAY_SMOOTHING,
	TOOLS_OVERLAY_MODULELINKING,
	TOOLS_OVERLAY_QUITALL,
	
	TOOLS_OVERLAY_SKYBOXPROPERTIES,
	TOOLS_OVERLAY_MESHEDIT,

	TOOLS_OVERLAY_CUTSCENE,
	TOOLS_OVERLAY_CUTSCENE_PLAYBACK,
	TOOLS_OVERLAY_CUTSCENE_PLAYBACKSLIDER,
	TOOLS_OVERLAY_CUTSCENE_EVENT,
	TOOLS_OVERLAY_CUTSCENE_PANEL,
	TOOLS_OVERLAY_CUTSCENE_ATTACHMENT,
	TOOLS_OVERLAY_CUTSCENE_AVI,
	TOOLS_OVERLAY_SELECTEDOBJECT,
	TOOLS_OVERLAY_MESSAGEEDIT,
	TOOLS_OVERLAY_ENTITYSIMULATION,
	TOOLS_OVERLAY_SELECTEDOBJECT_SIMUL,
	TOOLS_OVERLAY_SECONDARYENTFILE,
	TOOLS_OVERLAY_RECEIVEDMESSAGES,
	TOOLS_OVERLAY_HIDEBYTYPE,

	TOOLS_OVERLAY_TELEPORT,
	TOOLS_OVERLAY_MOVEMENTOPTIONS,
	TOOLS_OVERLAY_RENDEROPTIONS,

	TOOLS_OVERLAY_LEVELEXPORT,
    TOOLS_OVERLAY_CHAREXPORT,

	TOOLS_OVERLAY_ANIMATIONPLAY,
	TOOLS_OVERLAY_ANIMATIONFLAG,
	TOOLS_OVERLAY_ANIMATIONSOUND,
	TOOLS_OVERLAY_HIERARCHYLOD,
	TOOLS_OVERLAY_ANIMATIONFRAMEREDUCTION,
	TOOLS_OVERLAY_ANIMPROPERTIES,
	TOOLS_OVERLAY_SKINPROPERTIES,
	TOOLS_OVERLAY_SKINSOUNDDEFNS,
	TOOLS_OVERLAY_ANIMSOUNDDEFNS,
	TOOLS_OVERLAY_POSABLEANIM,
	TOOLS_OVERLAY_SECONDARYANIM,
	TOOLS_OVERLAY_SECONDARYANIM_MAX = TOOLS_OVERLAY_SECONDARYANIM+10,
	TOOLS_OVERLAY_HIERARCHY_TESTSOUNDS,

	TOOLS_OVERLAY_PARTICLEGENERATOR_SUBSIDIARY,

	TOOLS_OVERLAY_MODULE_SELECTION,

    TOOLS_OVERLAY_REGIONS_REGIONSELECTOR,
    TOOLS_OVERLAY_REGIONS_TOPMODULES,

	TOOLS_OVERLAY_OBJECTREPORT,
	TOOLS_OVERLAY_GLASSCREATION,

	TOOLS_OVERLAY_PLANTEDIT,
	TOOLS_OVERLAY_PLANTSCATTER,
	TOOLS_OVERLAY_PLANTPLACEMENT,
	
	TOOLS_OVERLAY_WEATHER,
	TOOLS_OVERLAY_WATER,
	
	TOOLS_OVERLAY_ADVLIGHTFLICKER,
	TOOLS_OVERLAY_ADVLIGHTCOLOURFADE,
	TOOLS_OVERLAY_ADVLIGHTRANGEFADE,
	TOOLS_OVERLAY_ADVLIGHTATTACH,
	TOOLS_OVERLAY_ADVLIGHTATTACHMAIN,	

	ASURA_TOOLS_OVERLAY_EXTENDED_PARTICLES_ROOT,
	ASURA_TOOLS_OVERLAY_EXTENDED_PARTICLES,
	ASURA_TOOLS_OVERLAY_EXTENDED_PARTICLE_GENERATOR_TEMPLATE_EDIT,
	ASURA_TOOLS_OVERLAY_EXTENDED_PARTICLE_GENERATOR_PARTICLE_EDIT,
	ASURA_TOOLS_OVERLAY_EXTENDED_PARTICLE_TEXTURE_FRAME_EDIT,
	ASURA_TOOLS_OVERLAY_EXPLOSION,
	ASURA_TOOLS_OVERLAY_EXPLOSION_EDIT,
	ASURA_TOOLS_OVERLAY_EXPLOSION_PHASE_DATA_EDIT,
	ASURA_TOOLS_OVERLAY_EXTENDED_PARTICLE_GENERATOR_VALUES,

	TOOLS_OVERLAY_SHAPEDATA,
	TOOLS_OVERLAY_VERTEX_SELECTION,
	TOOLS_OVERLAY_EDGE_SELECTION,
	TOOLS_OVERLAY_VERTEXPERPOLY_SELECTION,

	TOOLS_OVERLAY_ENTITYPLATFORMS,
	TOOLS_OVERLAY_ENTITYTEMPLATE,
	
	TOOLS_OVERLAY_PFX,
	TOOLS_OVERLAY_PFX_CHOOSETEMPLATE,
	TOOLS_OVERLAY_PFX_EDIT_PARTICLE_TEMPLATE,
	TOOLS_OVERLAY_PFX_EDIT_SOURCE_TEMPLATE,
	TOOLS_OVERLAY_PFX_EDIT_EFFECT_TEMPLATE,
	TOOLS_OVERLAY_PFX_EDIT_EFFECT,
	TOOLS_OVERLAY_PFX_TEXTUREANIM,
	TOOLS_OVERLAY_PFX_OVERRIDES,

	TOOLS_OVERLAY_BOTANICALS_PAINT,
	TOOLS_OVERLAY_BOTANICALS_EDITTEMPLATES,
	TOOLS_OVERLAY_BOTANICALS_TEMPLATE,
	TOOLS_OVERLAY_BOTANICALS_INSTANCE,
	TOOLS_OVERLAY_BOTANICALS_STYLE,

	TOOLS_OVERLAY_BOTANICALCREATION_MAIN,
	TOOLS_OVERLAY_BOTANICALCREATION_PREVIEW,	
	TOOLS_OVERLAY_BOTANICALCREATION_LODS,
	TOOLS_OVERLAY_BOTANICALCREATION_IMPOSTERS,
	TOOLS_OVERLAY_BOTANICALCREATION_BASICINTERACTIVE,
	TOOLS_OVERLAY_BOTANICALCREATION_STATETABLE,


	TOOLS_OVERLAY_CARPET_PAINT,
	TOOLS_OVERLAY_CARPET_STYLE_LIST,
	TOOLS_OVERLAY_CARPET_STYLE_EDIT,

	TOOLS_OVERLAY_FSFX_MAIN,
	TOOLS_OVERLAY_FSFX_TEMPLATE_EDIT,
	TOOLS_OVERLAY_FSFX_OVERRIDES,

	TOOLS_OVERLAY_GENERALOPTIONS,

	TOOLS_OVERLAY_ATTRACTORS_MAIN,
	TOOLS_OVERLAY_ATTRACTORS_SETFILTER,

	TOOLS_OVERLAY_VERTEXPAINTING_MAIN,

	TOOLS_OVERLAY_MESSAGELOG,
	TOOLS_OVERLAY_OBJECTGROUP,
	TOOLS_OVERLAY_GIZMOPROPERTIES,

    TOOLS_OVERLAY_AXON_GAMESCENE,
	TOOLS_OVERLAY_AXON_SPLINEPOINT,
    TOOLS_OVERLAY_AXON_ANIMTEMPLATE_MAIN,
    TOOLS_OVERLAY_AXON_ANIMTEMPLATE_EDIT,
    TOOLS_OVERLAY_AXON_ANIMTEMPLATE_VIEW,

	TOOLS_OVERLAY_LINE_EDIT,

	TOOLS_OVERLAY_SKINELEMENTS,

	TOOLS_OVERLAY_GUIMENU,
	TOOLS_OVERLAY_GUIMENU_SELECTED,
	TOOLS_OVERLAY_GUIMENU_STYLE,
	TOOLS_OVERLAY_GUIMENU_PREVIEW,
	TOOLS_OVERLAY_GUIMENU_ANIMATOR,
	TOOLS_OVERLAY_GUIMENU_ANIMATORSEQUENCE,

	TOOLS_OVERLAY_DECALS,

	TOOLS_OVERLAY_PROJECTORATTACH,
	TOOLS_OVERLAY_PROJECTORATTACHMAIN,

	TOOLS_OVERLAY_DYNAMICLIGHTATTACH,
	TOOLS_OVERLAY_DYNAMICLIGHTATTACHMAIN,

	TOOLS_OVERLAY_TOOLS_LIGHTS,

	TOOLS_OVERLAY_GUIMENU_AUDIO,
	TOOLS_OVERLAY_MATERIAL_RESPONSE_OVERRIDES,

	TOOLS_OVERLAY_RAGDOLL_EDITOR,

	TOOLS_OVERLAY_DVS,

	TOOLS_OVERLAY_VISIBILITY,

	TOOLS_OVERLAY_DECAL_PLACEMENT,
	TOOLS_OVERLAY_STATICDECAL,

	TOOLS_OVERLAY_VIEWMATERIALRESPONSE,
	TOOLS_OVERLAY_VIEWTEXTURES,

	TOOLS_OVERLAY_ASRFILEMANAGER,

	TOOLS_OVERLAY_MATERIALRESPONSE_TEXTUREUSAGEREPORT,
	TOOLS_OVERLAY_HDR,

	TOOLS_OVERLAY_IK,
	TOOLS_OVERLAY_IK_EDITTEMPLATE,

	TOOLS_OVERLAY_FACIALANIMATION,
	TOOLS_OVERLAY_FACIALANIMATION_EDITFACE,
	TOOLS_OVERLAY_FACIALANIMATION_EDITFACEANIMATION,
	TOOLS_OVERLAY_FACIALANIMATION_EDITFACETYPE,
	TOOLS_OVERLAY_HIERARCHY_VIEWFACIALANIMATION,

	TOOLS_OVERLAY_CUBEMAP_GENERATOR,
	TOOLS_OVERLAY_MESSAGE_EDITOR,

	TOOLS_OVERLAY_DMUSIC_MAIN,
	TOOLS_OVERLAY_DMUSIC_TRACKLIST,
	TOOLS_OVERLAY_DMUSIC_TRACK,
	TOOLS_OVERLAY_DMUSIC_TRIGLIST,
	TOOLS_OVERLAY_DMUSIC_TRIGGER_EDIT,

	TOOLS_OVERLAY_ENLARGEDGRAPH,

	TOOLS_OVERLAY_ASSET_MANAGER,

	TOOLS_OVERLAY_FIRSTPROJECTSPECIFIC,//id of first project specific overlay
};


#endif//__TOOLS_OVERLAYS_H__
